GOLAEM 9.3.1 - CHANGELOG - May 20th 2026
---------------------------------------------

** New features

- New Golaem For Hydra procedural plugin


** Improvements

- Added support for fur in the Golaem For USD procedural plugin
- Added support for velocities computation in the Golaem For USD procedural plugin


** Bug fixes

- Fixed material binding when using namespaces in the USD Skel export


** Refactoring

- Added support for Unreal Engine 5.7
- Added support for USD 0.25.11
- Removed support for Maya 2022
- Removed support for CentOS7
- Removed support for Unreal Engine 4.27
- Removed support for Houdini gcc 9 versions
- Removed support for USD Standalone 0.23.11
- Removed support for MayaUSD 0.23.0
- Maya 2023 is only supported on RHEL/Rocky/Alma Linux 8
- Katana is only supported on RHEL/Rocky/Alma Linux 8

** Samples

- Added a new synchronized fight sample scene


** Supported DCCs

- Autodesk Maya 2023 (not all OS), 2024, 2025, 2026, 2027
- Autodesk 3ds Max 2022, 2023, 2024
- Foundry Katana 5.X, 6.X
- Unreal Engine 5.4, 5.6, 5.7
- SideFx Houdini 20.0.688, 20.5.550


** Supported Rendering Engines

- Arnold - MtoA 5.6.X (Arnold 7.5.X) for Maya 2027 / MtoA 5.5.X (Arnold 7.4.X) for Maya 2024-2026 / KtoA 4.3 (Arnold 7.2.X)
- V-Ray - For Maya 7.1 / For 3ds Max 7.1
- Renderman - For Maya 26.X, 25.X, 24.X / For Katana 26.X, 25.X, 24.X
- Redshift - For Maya 2025.3-5 / For Katana 2025.3-5 / For 3ds Max 2025.3-5
- USD - Standalone 0.25.11 / For MayaUSD 0.35.0 / For Houdini 20.0 / For Katana 5
- Guerilla Render 2.1, 2.2, 2.3, 2.4

Also supported (but must be manually installed):

- Arnold - MtoA 5.4.X (Arnold 7.3.X) for Maya 2024-2025 / KtoA 4.4.X (Arnold 7.3.X)
- V-Ray - For Maya 6.2X / For 3ds Max 6.2X
- Renderman - For Maya 23.X / For Katana 23.X
- Redshift - For Maya 3.6.0-1 / For Katana 3.6.0-1 / For 3ds Max 3.6.0-1




GOLAEM 9.3 - CHANGELOG - December 19th 2025
---------------------------------------------

** Important notice

From this release, Shading Distribution has been fixed. Thus, previous scenes will produce 
different result if using integer Shader Attribute in the Character File


** Improvements

- Improved the Golaem For USD procedural plugin performances when using motion blur
- Improved Golaem Character Geometry File size when using blendshapes
- Improved Traffic simulation in junctions
- Added support for blendshapes when using the glmCharacterMaker command


** Bug fixes

- Fixed a crash when rendering with the Golaem for Houdini procedural plugin and hrender
- Fixed a crash when using Golaem Levels and the PlayMotion Layer in the Layout Tool
- Fixed a crash when using the Golaem For Arnold procedural plugin and LODs
- Fixed determinism between Windows and Linux in Shader Attribute distribution
- Fixed CrowdField init when there is an expression on a particle system
- Fixed gmo replay on some limbs when using IK with excluded bones
- Fixed one frame delay in the Golaem Simulation
- Fixed steering angle flipping in the Traffic Behavior
- Fixed Motion Locator not working if there is no simulation in the scene


** Refactoring

- Added support for Maya 2027
- Added support for Katana 6.X
- Added support for Katana 5.X
- Removed support for Katana 3.X
- Removed support for Katana 4.X


** API

- Added -shrinkGcgBlendshape in the glmExportCharacterGeometry command
- Added -motionStartFrame and -motionEndFrame flags in the glmMotionFileTool command


** Supported DCCs

- Autodesk Maya 2022, 2023, 2024, 2025, 2026, 2027
- Autodesk 3ds Max 2022, 2023, 2024
- Foundry Katana 5.X, 6.X
- Unreal Engine 4.27, 5.4, 5.6
- SideFx Houdini 20.0.688, 20.5.550


** Supported Rendering Engines

- Arnold - MtoA 5.6.X (Arnold 7.5.X) for Maya 2027 / MtoA 5.5.X (Arnold 7.4.X) for Maya 2024-2026 / KtoA 4.3 (Arnold 7.2.X)
- V-Ray - For Maya 7.1 / For 3ds Max 7.1
- Renderman - For Maya 26.X, 25.X, 24.X / For Katana 26.X, 25.X, 24.X
- Redshift - For Maya 2025.3-5 / For Katana 2025.3-5 / For 3ds Max 2025.3-5
- USD - Standalone 0.23.11 / For MayaUSD 0.23.0 - 0.27.0 / For Houdini 19.5 and 20.0 / For Katana 3.5
- Guerilla Render 2.1, 2.2, 2.3

Also supported (but must be manually installed):

- Arnold - MtoA 5.4.X (Arnold 7.3.X) for Maya 2024-2025 / MtoA 5.3.X (Arnold 7.2.X) for Maya 2023 / KtoA 4.4.X (Arnold 7.3.X) / KtoA 4.2.X (Arnold 7.1.X)
- V-Ray - For Maya 6.2X / For 3ds Max 6.2X
- Renderman - For Maya 23.X / For Katana 23.X
- Redshift - For Maya 3.6.0-1 / For Katana 3.6.0-1 / For 3ds Max 3.6.0-1




GOLAEM 9.2.3 - CHANGELOG - November 12th 2025
---------------------------------------------

** Improvements

- Added support for geometryTagId, geometryFileId and lodName in the Golaem for USD plugin
- Added support for geometryTagId, geometryFileId and lodName in the USD Skel bake export
- Added support for vertex attributes in the Golaem Fur Cache for the Arnold plugin
- Group relative LookAt uses 0,0,0 if no locator is connected in the Population Tool Locator


** Bug fixes

- Fixed blendshapes support when using multi materials 
- Fixed a crash when using ground adaptation in the Layout Tool
- Fixed the init direction PP field in the Emit Behavior Attribute Editor
- Fixed Crossing Locator refresh if connected roads change
- Fixed PPAttribute Filter in the Sensor Locator
- Fixed entity extents in the Golaem For USD plugin
- Fixed LOD display in the Golaem For USD plugin
- Fixed LOD export in the USD Skel bake export
- Fixed rigid meshes lagging in the Golaem For Unreal plugin
- Fixed entities clipping in the Golaem For Unreal plugin


** Refactoring

- Added support for Unreal Engine 5.6
- Added support for V-Ray 7.1
- Added support for Redshift 2025.3-2025.5
- Removed support for Unreal Engine 5.3
- Removed support for V-Ray 6.0
- Removed support for Redshift 3.5.14-3.5.16
- V-Ray 7.1 is now supported by default
- Redshift 2025.3-2025.5 is now supported by default


** Supported DCCs

- Autodesk Maya 2022, 2023, 2024, 2025, 2026
- Autodesk 3ds Max 2022, 2023, 2024
- Foundry Katana 3.X, 4.X, 5.X, 6.X
- Unreal Engine 4.27, 5.4, 5.6
- SideFx Houdini 20.0.688, 20.5.550


** Supported Rendering Engines

- Arnold - MtoA 5.5.X (Arnold 7.4.X) for Maya 2024-2026 / MtoA 5.4.X (Arnold 7.3.X) for Maya 2023 / MtoA 5.3.X (Arnold 7.2.X) for Maya 2022 / KtoA 4.3 (Arnold 7.2.X)
- V-Ray - For Maya 7.1 / For 3ds Max 7.1
- Renderman - For Maya 26.X, 25.X, 24.X / For Katana 26.X, 25.X, 24.X
- Redshift - For Maya 2025.3-5 / For Katana 2025.3-5 / For 3ds Max 2025.3-5
- USD - Standalone 0.23.11 / For MayaUSD 0.23.0 - 0.27.0 / For Houdini 19.5 and 20.0 / For Katana 3.5
- Guerilla Render 2.1, 2.2, 2.3

Also supported (but must be manually installed):

- Arnold - MtoA 5.4.X (Arnold 7.3.X) for Maya 2024-2025 / MtoA 5.3.X (Arnold 7.2.X) for Maya 2023 / KtoA 4.4.X (Arnold 7.3.X) / KtoA 4.2.X (Arnold 7.1.X)
- V-Ray - For Maya 6.2X / For 3ds Max 6.2X
- Renderman - For Maya 23.X / For Katana 23.X
- Redshift - For Maya 3.6.0-1 / For Katana 3.6.0-1 / For 3ds Max 3.6.0-1




GOLAEM 9.2.2 - CHANGELOG - August 6th 2025
---------------------------------------------

** Important notice

Default ground adaptation behavior has been changed between Golaem 9.2.1 and 9.2.2 when using
multiple layout files. Setting the default mode to Snap Height will reproduce 9.2.1 behavior.


** Improvements

- Entities removed using a Kill layer are not generated anymore in the Golaem for USD plugin
- Added License information in the Golaem Scene Checker


** Bug fixes

- Fixed a crash when rendering using V-Ray IPR
- Fixed fur node creating when using the glmCharacterMaker command
- Fixed fur file export when using the glmFurCacheExport command
- Fixed default ground adaptation when using multiple Layout Files
- Fixed divide operator in the ChOp Operation Node
- Fixed FBX motion footprint extraction in the MotionClip Node
- Fixed SetBone operation in the ChOpOutput when using animated scale


** Refactoring

- Added the "Enable Random Shuffle" attribute in the Types panel of the Population Tool
- V-Ray 6.20 is now supported by default


** API

- New glmGetLicenseStatus command to get the license status


** Supported DCCs

- Autodesk Maya 2022, 2023, 2024, 2025, 2026
- Autodesk 3ds Max 2022, 2023, 2024
- Foundry Katana 3.X, 4.X, 5.X, 6.X
- Unreal Engine 4.27, 5.3, 5.4
- SideFx Houdini 20.0.688, 20.5.550


** Supported Rendering Engines

- Arnold - MtoA 5.5.X (Arnold 7.4.X) for Maya 2024-2026 / MtoA 5.4.X (Arnold 7.3.X) for Maya 2023 / MtoA 5.3.X (Arnold 7.2.X) for Maya 2022 / KtoA 4.3 (Arnold 7.2.X)
- V-Ray - For Maya 6.2X / For 3ds Max 6.2X
- Renderman - For Maya 26.X, 25.X, 24.X / For Katana 26.X, 25.X, 24.X
- Redshift - For Maya 3.6.0-1 / For Katana 3.6.0-1 / For 3ds Max 3.6.0-1
- USD - Standalone 0.23.11 / For MayaUSD 0.23.0 - 0.27.0 / For Houdini 19.5 and 20.0 / For Katana 3.5
- Guerilla Render 2.1, 2.2, 2.3

Also supported (but must be manually installed):

- Arnold - MtoA 5.4.X (Arnold 7.3.X) for Maya 2024-2025 / MtoA 5.3.X (Arnold 7.2.X) for Maya 2023 / KtoA 4.4.X (Arnold 7.3.X) / KtoA 4.2.X (Arnold 7.1.X)
- V-Ray - For Maya 6.0X, 6.1X / For 3ds Max 6.0X, 6.1X
- Renderman - For Maya 23.X / For Katana 23.X
- Redshift - For Maya 3.5.14-16 / For Katana 3.5.14-16




GOLAEM 9.2.1 - CHANGELOG - June 4th 2025
---------------------------------------------

** New features

- Added a Stop Crossing Mode in the Traffic Crossing Locator


** Improvements

- IK Behavior can now use a Maya curve as a target
- LookAt Behavior can now use a Maya curve as a target
- Improved stability of the IK Behavior IK solving
- Improved stability of the MassSpring Behavior IK solving
- Traffic Crossing Locator can be updated when curves are added / removed
- Traffic Crossing Locator can be ellipsoid for better matching
- Added support for vertex attributes in the Golaem Fur Cache for the Vray plugin


** Bug fixes

- Fixed foot roll correction in the Foot Lock of the GroundAdapt Behavior
- Fixed Character Relative Mode in the LookAt Behavior
- Fixed Joint Limits in the LookAt Behavior
- Fixed UDIMs display in viewport when using only one tile
- Fixed Golaem For Maya Plugin loading in Maya 2025.3 Linux
- Fixed cloth simulation normals


** Refactoring

- Added support for Houdini 20.5
- Removed support for Houdini 19.5
- Golaem for Houdini and GolaemUSD For Houdini are now in the same package
- Golaem for Katana and GolaemUSD For Katana are now in the same package


** API

- Added glmCoreVersion.h in devkit


** Supported DCCs

- Autodesk Maya 2022, 2023, 2024, 2025, 2026
- Autodesk 3ds Max 2022, 2023, 2024
- Foundry Katana 3.X, 4.X, 5.X, 6.X
- Unreal Engine 4.27, 5.3, 5.4
- SideFx Houdini 20.0.688, 20.5.550


** Supported Rendering Engines

- Arnold - MtoA 5.5.X (Arnold 7.4.X) for Maya 2024-2026 / MtoA 5.4.X (Arnold 7.3.X) for Maya 2023 / MtoA 5.3.X (Arnold 7.2.X) for Maya 2022 / KtoA 4.3 (Arnold 7.2.X)
- V-Ray - For Maya 6.0X, 6.1X / For 3ds Max 6.0X, 6.1X
- Renderman - For Maya 26.X, 25.X, 24.X / For Katana 26.X, 25.X, 24.X
- Redshift - For Maya 3.6.0-1 / For Katana 3.6.0-1 / For 3ds Max 3.6.0-1
- USD - Standalone 0.23.11 / For MayaUSD 0.23.0 - 0.27.0 / For Houdini 19.5 and 20.0 / For Katana 3.5
- Guerilla Render 2.1, 2.2, 2.3

Also supported (but must be manually installed):

- Arnold - MtoA 5.4.X (Arnold 7.3.X) for Maya 2024-2025 / MtoA 5.3.X (Arnold 7.2.X) for Maya 2023 / KtoA 4.4.X (Arnold 7.3.X) / KtoA 4.2.X (Arnold 7.1.X)
- V-Ray - For Maya 6.2X / For 3ds Max 6.2X
- Renderman - For Maya 23.X / For Katana 23.X
- Redshift - For Maya 3.5.14-16 / For Katana 3.5.14-16




GOLAEM 9.2 - CHANGELOG - March 26th 2025
---------------------------------------------

** Important notice

Golaem Lite features do not require a license anymore, only simulation does
Golaem Personal Learning Edition has been replaced Autodesk 30 days evaluation


** Improvements

- Added orientation support in the IK Behavior
- Added multi values comparison in the CurrentFrame, Expression, Texture and Painted Zone Triggers
- Added group relative lookAt attribute in the Population Tool
- Added reset slot positions in the Population Tool free place mode
- Restored Entity Type weights in the Group Entity Type Node
- Added a scale parameter in the Cloth Behavior
- Added skinned weights Alembic support in the Golaem Fur Cache file
- Added an execution order attribute in the MassSpring Behavior.
- Added Body Mask Attributes for bones and blind data in the PlayAnimation Layer of the Layout Tool
- Added a Snap Mode in the SnapTool Layer of the Layout Tool
- Added support of Locomotion Behavior when using the Traffic Behaviors
- Added more decimals for scalar values in the Layout Tool
- Added shortcuts to change text, size, color in the Behavior Editor Notes
- Behavior Editor Notes can be moved with their content
- Matrices are now blended smoothly when used in Blind Data
- Added custom framerate override on the GolaemCache Node in the Golaem For Unreal plugin


** Bug fixes

- Fixed Simulation Exporter load settings
- Fixed ChOp Input type detection bug
- Fixed ChOp expression when not empty
- Fixed Rigid Body creation error messages
- Fixed Motion Blur when using temporal AA in the Golaem For Unreal plugin
- Fixed Sequence Frame Range in the Golaem For Unreal plugin
- Fixed Population Tool placement when using traffic curves and the Crowd Unit
- Fixed EntityType refresh in the Population Tool
- Fixed Rendering Type color in the Population Tool Free Place mode
- Fixed slow Population Tool refresh when using colliders with many potential slots
- Fixed orientation and orientation noise in Component Mode in the Population Tool
- Fixed orientation when lookAt is enabled in the Population Tool
- Fixed a crash when editing slots in the Population Tool free place mode
- Fixed a crash when opening the Layout Tool invalid entities in cache
- Fixed a crash when appending different Population Tools to the same particle system
- Fixed a crash when using more than 9 entityTypes and MasterSlave Behavior
- Fixed a crash when running a simulation with an empty If Behavior Operator
- Fixed a crash when using SetGeometryFile Layer in the USDProc plugin
- Fixed exploding postures when using series of LookAt Layers in the Layout Tool
- Fixed SetRenderingType Layer with Shading Node Attributes in the Layout Tool
- Fixed TimeOffset Layer with Shading Node Attributes in the Layout Tool
- Fixed blind data replay in the PlayAnimation Layer of the Layout Tool 
- Fixed ReplaceLODDistances Layer in the Layout Tool
- Fixed Layout Tool frame range in Layout Nodes
- Fixed Simulation Cache Library loading in Python 3
- Fixed GCG Import in Maya
- Fixed entityKilled flag in the glmSimCacheTool command
- Fixed FBX Motion Clip animation replay (_rootHeightUnscaled error message)
- Fixed steering angle when overtaking in the Traffic Behavior
- Fixed naming conflicts when using the Character Maker Locator shapes
- Fixed append producing an additional crowdField


** Refactoring

- Added Autodesk licensing
- Added support for Maya 2026
- Added support for Maya 2025
- Added support for Unreal Engine 5.4
- Added support for Houdini 20.0.688 linux gcc11
- Added support Arnold 7.4 / MtoA 5.5 in Maya 2026
- Added support for Redshift 3.6.0
- Removed Golaem RLM licensing
- Removed support for Maya 2020
- Removed support for Unreal Engine 5.2
- Removed support for Redshift 3.0.46
- Refactored Advanced Attributes in Motion & Locomotion
- Blind data are now read by default in Locomotion Behavior
- Refactored the Character Maker default Display
- Removed Weight Attribute in the MassSpring Behavior


** API

- Added a lodName flag in the glmExportCharacterGeometry command
- Added glmEntityIds flag in the USD procedural plugin syntax


** Supported DCCs

- Autodesk Maya 2022, 2023, 2024, 2025, 2026
- Autodesk 3ds Max 2022, 2023, 2024
- Foundry Katana 3.X, 4.X, 5.X, 6.X
- Unreal Engine 4.27, 5.3, 5.4
- SideFx Houdini 19.5.716, 20.0.688


** Supported Rendering Engines

- Arnold - Mtoa 5.4.X / KtoA 4.2 / Arnold 7.3.X & Mtoa 5.5.X for Maya 2026
- V-Ray - For Maya 6.0X, 6.1X / For 3ds Max 6.0X, 6.1X
- Renderman - For Maya 25.X, 24.X / For Katana 25.X, 24.X
- Redshift - For Maya 3.6.0-1 / For Katana 3.6.0-1 / For 3ds Max 3.6.0-1
- USD - Standalone 0.23.11 / For MayaUSD 0.23.0 - 0.27.0 / For Houdini 19.5 and 20.0 / For Katana 3.5
- Guerilla Render 2.1, 2.2, 2.3

Also supported (but must be manually installed):

- Arnold - Mtoa 5.3 / Ktoa 4.2 / Arnold 7.2
- V-Ray - For Maya 6.2X / For 3ds Max 6.2X
- Renderman - For Maya 23.X / For Katana 23.X
- Redshift - For Maya 3.5.14-16 / For Katana 3.5.14-16




GOLAEM 9.1.1 - CHANGELOG - August 1st 2024
---------------------------------------------

** Improvements

- Weighted Asset Group nodes distribution can now be controlled using Golaem Attributes
- Multiple motion files can be played in the PlayMotion Layer of the Layout Tool
- Added access to the Mesh Asset Assignment window in the SetMeshAsset Layer of the Layout Tool
- Added Apply button in the Entity Mesh Asset Assignment window
- Added Highlight Factor attribute used when selecting an Entity in Simulation or Cache Replay mode
- Selection outline can be disabled during simulation and cache replay
- Rigid bodies can now be disabled in the Physics Override node of the Character Maker
- Added a menu entry to add a selected Golaem node to the current level
- Added an option to select entities inside meshes in the Entity Selector Layer
- Added display mask options on the CrowdCachePosture Layer of the Layout Tool
- Added display mask options on the CrowdCacheRig Layer of the Layout Tool
- Added an option to disable bone-to-bone replay mapping on the Locomotion behavior
- Disable bone-to-bone replay mapping when using a mirrored animation in Motion and Locomotion behaviors
- Added a External Maya Field threshold attribute in the Crowd Manager 


** Bug fixes

- Fixed a crash when initializing a simulation from particles with a lifespan set to 0
- Fixed brush position when using the Population Tool Free Place mode for Maya < 2024
- Fixed rotateNoise not taken into account in the Rotate Layer of the Layout Tool
- Fixed first slot invalid position in the Population Tool Free Place mode
- Fixed Population Tool Entity Type and Rendering Type randomness
- Fixed bones excluded from IK in the IK Behavior
- Fixed Mesh Render Previz not using existing materials


** API

- Added -getEntitiesIdsInMesh flag in the glmLayoutTool command


** Supported DCCs

- Autodesk Maya 2020, 2022, 2023, 2024
- Autodesk 3ds Max 2022, 2023, 2024
- Foundry Katana 3.X, 4.X, 5.X, 6.X
- Unreal Engine 4.27, 5.2, 5.3
- SideFx Houdini 19.5.716, 20.0.688


** Supported Rendering Engines

- Arnold - Mtoa 5.4.X / KtoA 4.2 / Arnold 7.3.X
- V-Ray - For Maya 6.0X, 6.1X / For 3ds Max 6.0X, 6.1X
- Renderman - For Maya 25.X, 24.X / For Katana 25.X, 24.X
- Redshift - For Maya 3.0.46-57 / For Katana 3.0.46-57 / For 3ds Max 3.0.46-57
- USD - Standalone 0.23.11 / For MayaUSD 0.23.0 - 0.27.0 / For Houdini 19.5 and 20.0 / For Katana 3.5
- Guerilla Render 2.1, 2.2, 2.3

Also supported (but must be manually installed):

- Arnold - Mtoa 5.3 / Ktoa 4.2 / Arnold 7.2
- V-Ray - For Maya 6.2X / For 3ds Max 6.2X
- Renderman - For Maya 23.X / For Katana 23.X
- Redshift - For Maya 3.5.14-16 / For Katana 3.5.14-16




GOLAEM 9.1 - CHANGELOG - June 26th 2024
---------------------------------------------

** New features

- New Free Place mode in the Population Tool to direct slot positions, orientations, rendering types and entity types
- Entity Mesh Asset assignment can now be edited in simulation 


** Improvements

- FBX/USD/BVH animations can now be replayed on identical skeleton without mapping
- Improved performances when using multiple Motion Behaviors
- Improved UI on the Add/Remove Mesh Asset Layer of the Layout Tool
- Added full Cryptomatte support in the Golaem for Vray plugin
- Added support for position and scale for any bone in the ChopBehavior SetBone mode
- Added support for Rendering Type color in the Entity Type display options
- Added support for rotationPP input when creating a component Population Tool
- Added move and erase options on multipoints Population Tools (using Free place mode)
- Added orientation, entity type and rendering type edits options on Population Tools (using Free place mode)
- Entity scale is now written as a PPAttribute in the linked particle system
- Entity Rendering Type idx is now written as a PPAttribute in the linked particle system
- Skeleton Overrides are now kept from one level to another
- Mesh Asset and Shader Attributes values are now kept from one level to another
- Added USD Procedural attributes in the Golaem Render Proxy
- Added kind, extentHints information in the Golaem For USD plugin
- New glmMaterialAssignMode attribute in the Golaem For USD plugin


** Bug fixes

- Fixed USDSkel export when having Character Files with namespaces
- Fixed a crash when using more than one Layout File on a Simulation Cache Proxy node
- Fixed a crash when importing a multi material mesh with invalid materials in the Character Maker
- Fixed a crash when playing a FBX file on a different skeleton
- Fixed level creation when an EntityType node has been deleted
- Fixed Population Tool density paint not being refreshed when opening a scene 
- Fixed Population Tool losing UV edits because of wrong collision tests
- Fixed the loop blending of the Motion Mode of the Character Maker
- Fixed Mesh Render Previz mode when using UDIMs
- Fixed Golaem Bbox display normals in the Golaem For USD plugin
- Fixed PP Attribute mode in the Expression Trigger
- Fixed Remap ChOp node with previous entries
- Fixed SetShaderAttribute and SetAttribute Layers error regarding map not found
- Fixed unsteady ankle orientation when using Foot Locking


** Refactoring

- Added support for Arnold 73
- Removed support for Arnold 71
- Added support for Vray 6.20
- Removed support for Vray 5
- Added support for Houdini 20.0.688
- Removed support for Houdini 20.0.506
- Added Display control option in the Entity Type shelf submenu
- Removed EntityType paint mode in the Paint Tool (replaced by the Free Place Population mode)
- Removed opaque attribute in the Golaem For Arnold plugin


** API

- New abcPVSrcFiles and abcPVPropNames flag in the glmCrowdSimulationBaker for per vertex attributes


** Supported DCCs

- Autodesk Maya 2020, 2022, 2023, 2024
- Autodesk 3ds Max 2022, 2023, 2024
- Foundry Katana 3.X, 4.X, 5.X, 6.X
- Unreal Engine 4.27, 5.2, 5.3
- SideFx Houdini 19.5.716, 20.0.688


** Supported Rendering Engines

- Arnold - Mtoa 5.4.X / KtoA 4.2 / Arnold 7.3.X
- V-Ray - For Maya 6.0X, 6.1X / For 3ds Max 6.0X, 6.1X
- Renderman - For Maya 25.X, 24.X / For Katana 25.X, 24.X
- Redshift - For Maya 3.0.46-57 / For Katana 3.0.46-57 / For 3ds Max 3.0.46-57
- USD - Standalone 0.23.11 / For MayaUSD 0.23.0 - 0.27.0 / For Houdini 19.5 and 20.0 / For Katana 3.5
- Guerilla Render 2.1, 2.2, 2.3

Also supported (but must be manually installed):

- Arnold - Mtoa 5.3 / Ktoa 4.2 / Arnold 7.2
- V-Ray - For Maya 6.2X / For 3ds Max 6.2X
- Renderman - For Maya 23.X / For Katana 23.X
- Redshift - For Maya 3.5.14-16 / For Katana 3.5.14-16




GOLAEM 9.0.2 - CHANGELOG - April 30th 2024
---------------------------------------------

** Improvements

- Added GLM_MOTIONBLUR_MAKEARRAYS environment variable for shading attribute sampling when motion blur is enabled (Arnold renders only)


** Bug fixes

- Fixed a crash in Character Maker Auto Compute Skeleton Mapping
- Fixed Poptool slots popping in some cases when changing distance
- Fixed roll bones not being taken into account if they were not mapped
- Fixed a potential crash in the Track Locator when curves produce invalid geometry
- Fixed a crash when running a simulation with an IF operator when not all conditions are connected
- Fixed Golaem Character export alias was sometimes reset when changing file version
- Fixed using CreateEntity layout node with several CrowdFields / Simulations
- Fixed a bug where footprints were not correctly computed while replaying some gmo files. This was also affecting the locomotion for the same files.
- Fixed a crash when creating a Poptool in component mode on selected faces
- Fixed position offset in level 1 if level 0 was done with skeleton overrides
- Fixed bad footprints computation when using several animations in a single behavior (as in locomotion)


** Refactoring

- Fixed USD plugin build without Tracy
- Set default mask to "" (empty) for Spines, Limbs and Effectors on CrowdBeMotion, CrowdBeSyncMotion, CrowdBeLocomotion, CrowdBeNavAndLoco, CrowdBePhysicalize, CrowdBeForce
- ID Pass: changed limit before potential overlapping IDs for objectID render pass


** Supported DCCs

- Autodesk Maya 2020, 2022, 2023, 2024
- Autodesk 3ds Max 2022, 2023, 2024
- Foundry Katana 3.X, 4.X, 5.X, 6.X
- Unreal Engine 4.27, 5.2, 5.3
- SideFx Houdini 19.5.716, 20.0.506


** Supported Rendering Engines

- Arnold - Mtoa 5.2.X, 5.1.X / KtoA 4.1 / Arnold 7.1.X
- V-Ray - For Maya 5.0.22, 5.1, 5.2 / For 3ds Max 5.1
- Renderman - For Maya 25.X, 24.X / For Katana 25.X, 24.X
- Redshift - For Maya 3.0.46-57 / For Katana 3.0.46-57 / For 3ds Max 3.0.46-57
- USD - Standalone 0.23.11 / For MayaUSD 0.23.0 - 0.27.0 / For Houdini 19.5 and 20.0 / For Katana 3.5
- Guerilla Render 2.1, 2.2, 2.3

Also supported (but must be manually installed):

- Arnold - Mtoa 5.3 / Ktoa 4.2 / Arnold 7.2
- V-Ray - For Maya 6.0X, 6.1X / For 3ds Max 6.0X, 6.1X
- Renderman - For Maya 23.X / For Katana 23.X
- Redshift - For Maya 3.5.14-16 / For Katana 3.5.14-16




GOLAEM 9.0.1 - CHANGELOG - March 6th 2024
---------------------------------------------

** New features

- New CreateEntity Layer in the Layout Tool to allow creation of characters at layout time


** Improvements

- Added a Ground Offset Attribute in the PlayMotion Layer of the Layout Tool
- Added Ramp control in the Distance Trigger
- Added support for animated scales when using modular rigs
- Added Ground Offset Adaptation Mode in the PlayMotion Layer of the Layout Tool
- Added support for Arnold renderer attributes when baking Simulation Caches in UsdProc
- Added support for Arnold renderer attributes when baking Simulation Caches in UsdSkel
- Added LOD level on the tree view of the Mesh Asset in the Character Maker
- Added orientation support when creating a Population Tool from particles 
- Improved performances when manipulating complex Character Files
- Improved Character Geometry export when blendshapes had no target mesh in the scene
- Improved the position of the default exit of the IF Behavior Operator
- Improved Skeleton Automap in the Character Maker
- Traffic safety distance is in Golaem Unit instead of a percentage of the length 


** Bug fixes

- Fixed import of Behavior Templates when using Simulation Levels
- Fixed incorrect exported rgbPP attribute when using Simulation Levels
- Fixed Population Tool not being displayed when using Simulation Levels
- Fixed export of multiple CrowdFields when using Simulation Levels
- Fixed Group Entity Type display when using Simulation Levels
- Fixed a crash when using the Motion Collection node
- Fixed a crash when creating a Simulation Level in certain conditions
- Fixed a crash when loading a motion with no selection in the Character Maker
- Fixed a crash when using the SetBone Behavior and the Channel Operator SetBone mode
- Fixed a crash when reloading a scene with the Simulation Exporter Window open
- Fixed a crash when loading multiple FBX motion files
- Fixed a crash when using the SetMeshAsset Layer and the Character File is not accessible
- Fixed a crash in the Behavior Editor when using broken behavior graphs
- Fixed support of scale when using modular rigs
- Fixed motion blending when using stand and locomotion animations at the same time
- Fixed deletion of the Layout File in a Simulation Cache Proxy node
- Fixed body mask computation when using usd/fbx/bvh motion files
- Fixed Character geometry export when using blendshapes in local origin
- Fixed normal computation in the Golaem Character Geometry file
- Fixed Visual Feedback Entity Voxels not working when no Sensors were selected
- Fixed Layout computation when changing the name of the Simulation Cache
- Fixed Body Mask with Blind Data using usd/fbx/bvh motion files
- Fixed a drift in orientation when using usd/fbx/bvh motion files
- Fixed PlayAnimation layout node was not keeping the skeleton overrides values
- Fixed AdaptGround Behavior Attribute Editor
- Fixed MotionCollection Attribute Editor


** Refactoring

- Added support for Houdini 20.0
- Removed support for Houdini 19.0
- Added support for USD 0.23.11
- Added support for MayaUSD 0.23.0 - 0.27.0
- Removed support for USD 0.23.08
- Refactored ChopInput Attribute Editor
- Added submenus for the Target Locator in the Golaem Shelf


** Supported DCCs

- Autodesk Maya 2020, 2022, 2023, 2024
- Autodesk 3ds Max 2022, 2023, 2024
- Foundry Katana 3.X, 4.X, 5.X, 6.X
- Unreal Engine 4.27, 5.2, 5.3
- SideFx Houdini 19.5.716, 20.0.506


** Supported Rendering Engines

- Arnold - Mtoa 5.2.X, 5.1.X / KtoA 4.1 / Arnold 7.1.X
- V-Ray - For Maya 5.0.22, 5.1, 5.2 / For 3ds Max 5.1
- Renderman - For Maya 25.X, 24.X / For Katana 25.X, 24.X
- Redshift - For Maya 3.0.46-57 / For Katana 3.0.46-57 / For 3ds Max 3.0.46-57
- USD - Standalone 0.23.11 / For MayaUSD 0.23.0 - 0.27.0 / For Houdini 19.5 and 20.0 / For Katana 3.5
- Guerilla Render 2.1, 2.2, 2.3

Also supported (but must be manually installed):

- Arnold - Mtoa 5.3 / Ktoa 4.2 / Arnold 7.2
- V-Ray - For Maya 6.0X, 6.1X / For 3ds Max 6.0X, 6.1X
- Renderman - For Maya 23.X / For Katana 23.X
- Redshift - For Maya 3.5.14-16 / For Katana 3.5.14-16




GOLAEM 9.0.0 Beta - CHANGELOG - November 10th 2023
-------------------------------------------------

** New features

- New Animation Engine which supports translation, orientation and scale animations
- FBX, USDSkel, BVH and Golaem Cache files can now be used directly as Motion Clips in Golaem Behaviors
- New Crowd Level paradigm which allows to recreate a simulation context from a Golaem Cache node
- New PlayMotion Layer in the Layout Tool to allow motion replacement at layout time
- Modular rigs can now be imported in Golaem (with some limitations)
- New TrackLocator node to define a curve based target mode
- New Follow Track mode in the Goto Behavior
- New LOD and Geometry Tag definition in the Character Maker via LOD Level and Geometry Tag labels


** Improvements

- IF Operator triggers are now consistent when a Behavior is disconnected
- Default LOD Levels for a Mesh Asset are read from a custom attribute glmLodLevels when imported in the Character Maker
- Default Geometry Tags for a Mesh Asset are read from a custom attribute glmGeometryTag when imported in the Character Maker
- Entity meshes and materials are now instanced when using the USD Skel Bake Export
- Materials are not overriden anymore if already exported when using the USD Skel Bake Export
- USDA is now available on Linux when using the USD Skel Bake Export
- Character Geometry Files can be exported per LOD or Geometry Tag in the Character Node 
- Behavior Container can be shared on multiple Entity Types in the Behavior Editor
- Golaem Attributes can be created on multiple Entity Types in the Behavior Editor
- New Output Channel "None" in the ChOpOutput node 
- New Channel Operator Behavior "outputChannel" Channel
- New Locomotion Behavior "motionClipBlendWeight", "startMotionBlendWeight" Channels
- New Physics Collision Filter attributes in the Entity Type Node
- New Entity Voxels display option in the Entity Visual Feedback 
- Improved voxel definition and accuracy on Entities and External Entities
- Added multithread support to the Mesh Render Previz display mode
- Motion Mapping files can now be created from a Golaem Character File
- Simplified Skeleton Mapping for new characters when not using Motion Retargeting


** Bug fixes

- Fixed scrolling in the Excluded Mesh Asset Panels of the Character Maker


** Refactoring

- Refactored Goto Behavior Attribute Editor
- Refactored ChopInput Attribute Editor
- Refactored TextScrollList controls
- Character Files and Shading Namespaces attributes are now unlocked in the Crowd Manager Node 
- Added submenus for the Terrain Locator, EntityType Node and Target Locator in the Golaem Shelf
- Removed the Golaemisator icon for the Golaem Shelf
- Refactored Golaem QT Windows names


** API

- New glmImportCacheAsSim command
- New setAllNodesOfTypeAttribute function in the Layout Python API


** Supported DCCs

- Autodesk Maya 2020, 2022, 2023, 2024
- Autodesk 3ds Max 2020, 2022, 2023
- Foundry Katana 3.X, 4.X, 5.X, 6.X
- Unreal Engine 4.27, 5.1, 5.2
- SideFx Houdini 19.0.622, 19.5.435


** Supported Rendering Engines

- Arnold - Mtoa 5.2.X, 5.1.X / KtoA 4.1 / Arnold 7.1.X
- V-Ray - For Maya 5.0.22, 5.1, 5.2 / For 3ds Max 5.1
- Renderman - For Maya 24.X, 25.X / For Katana 24.X, 25.X
- Redshift - For Maya 3.0.46-57 / For Katana 3.0.46-57 / For 3ds Max 3.0.46-57
- USD - Standalone 0.23.08 / For Houdini 19 and 19.5 / For Katana 3.5
- 3Delight - For Katana 2.3.2 (through USD)
- Guerilla Render 2.1, 2.2, 2.3

Also supported (but must be manually installed):

- Arnold - Mtoa 5.3 / Ktoa 4.2 / Arnold 7.2
- V-Ray - For Maya 6.0X, 6.1X / For 3ds Max 6.0X, 6.1X
- Renderman - For Maya 23.X / For Katana 23.X
- Redshift - For Maya 3.5.14-16 / For Katana 3.5.14-16




GOLAEM 8.2.7 - CHANGELOG - February 13th 2024
---------------------------------------------

** Improvements

- Added vector support for the == and != operators in the ChOp BoolOp Node
- Added new Output Mode in the ChOp Memory Node
- Added new Default Value in the ChOp Memory Node


** Bug fixes

- Fixed fps support in the Golaem For USD procedural plugin
- Fixed a crash when using PPAttribute in the SyncMotion Behavior
- Fixed Simulation Cache Proxy creation when using Maya batch
- Fixed dynamic Enable control in the ChOp Memory Node
- Fixed min mode in the ChOp Accu Node


** Refactoring

- Added support for 3ds Max 2024
- Removed support for 3ds Max 2020


** API

- New getRenderingTypeNames function in the Golaem Python API


** Supported DCCs

- Autodesk Maya 2020, 2022, 2023, 2024
- Autodesk 3ds Max 2022, 2023, 2024
- Foundry Katana 3.X, 4.X, 5.X, 6.X
- Unreal Engine 4.27, 5.2, 5.3
- SideFx Houdini 19.0.622, 19.5.716


** Supported Rendering Engines

- Arnold - Mtoa 5.2.X, 5.1.X / KtoA 4.1 / Arnold 7.1.X
- V-Ray - For Maya 5.0.22, 5.1, 5.2 / For 3ds Max 5.1
- Renderman - For Maya 25.X, 24.X / For Katana 25.X, 24.X
- Redshift - For Maya 3.0.46-57 / For Katana 3.0.46-57 / For 3ds Max 3.0.46-57
- USD - Standalone 0.19.11 and 0.20.02 / For Houdini 19 and 19.5 / For Katana 3.5
- 3Delight - For Katana 2.3.2 (through USD)
- Guerilla Render 2.1, 2.2, 2.3

Also supported (but must be manually installed):

- Arnold - Mtoa 5.3 / Ktoa 4.2 / Arnold 7.2
- V-Ray - For Maya 6.0X, 6.1X / For 3ds Max 6.0X, 6.1X
- Renderman - For Maya 23.X / For Katana 23.X
- Redshift - For Maya 3.5.14-16 / For Katana 3.5.14-16




GOLAEM 8.2.6 - CHANGELOG - December 18th 2023
---------------------------------------------

** Improvements

- Newly created skeleton override nodes are added to the selected asset node in the Character Maker


** Bug fixes

- Fixed deformation when using multiple Channel Operators in the Set Bone mode
- Fixed foot locking starting one frame too early
- Fixed angle computation in the LookAt Layer of the Layout Tool
- Fixed skeleton override import when using the glmCharacterMaker command
- Fixed foot roll when a toe is mapped to the same bone as the ankle
- Fixed slot orientation when combining component mode orientation and orientation in the Population Tool
- Fixed entity selection when reexporting a Simulation Cache with a different name in the Layout Tool


** Refactoring

- Added support for Renderman 25
- Added support for Houdini 19.5.716
- Removed support for Houdini 19.5.435
- Removed obsolete node CrowdTargetLocator
- Renamed First motion attributes in the Locomotion Behavior
- Added runtime license for Unreal simulation


** API

- New Python API to edit gfc fur files


** Supported DCCs

- Autodesk Maya 2020, 2022, 2023, 2024
- Autodesk 3ds Max 2020, 2022, 2023
- Foundry Katana 3.X, 4.X, 5.X, 6.X
- Unreal Engine 4.27, 5.2, 5.3
- SideFx Houdini 19.0.622, 19.5.716


** Supported Rendering Engines

- Arnold - Mtoa 5.2.X, 5.1.X / KtoA 4.1 / Arnold 7.1.X
- V-Ray - For Maya 5.0.22, 5.1, 5.2 / For 3ds Max 5.1
- Renderman - For Maya 25.X, 24.X / For Katana 25.X, 24.X
- Redshift - For Maya 3.0.46-57 / For Katana 3.0.46-57 / For 3ds Max 3.0.46-57
- USD - Standalone 0.19.11 and 0.20.02 / For Houdini 18 and 18.5 / For Katana 3.5
- 3Delight - For Katana 2.3.2 (through USD)
- Guerilla Render 2.1, 2.2, 2.3

Also supported (but must be manually installed):

- Arnold - Mtoa 5.3 / Ktoa 4.2 / Arnold 7.2
- V-Ray - For Maya 6.0X, 6.1X / For 3ds Max 6.0X, 6.1X
- Renderman - For Maya 23.X / For Katana 23.X
- Redshift - For Maya 3.5.14-16 / For Katana 3.5.14-16




GOLAEM 8.2.5 - CHANGELOG - September 25th 2023
---------------------------------------------

** New features

- New pelvis orientation on ground contacts in the AdaptGround Behavior


** Improvements

- Improved import of custom behaviors and triggers
- Added a RotateOrder parameter in the Rotate Layer of the Layout Tool
- Layers of a selection of entities are visible in the Entity Inspector
- Custom save options are now registered from one session to another
- Added support for forceMovingDirectionComputation in the Golaem Engine plugin
- Added material linking option when importing a Character in the Golaem For Unreal plugin


** Bug fixes

- Fixed glmCrowdSettings python command when called with parameters
- Fixed glmNavMeshTool python command when called with parameters
- Fixed short character file flag in the glmExportCharacterGeometry command
- Fixed the Expression dropdown in the Expression Trigger, ChOp Input...
- Fixed a multithreading bug when using motion blur in the Golaem For USD plugin
- Fixed a crash when using custom sensors in the Navigation Behavior
- Fixed a crash when disabling the Crash Report option in the Golaem Settings
- Fixed Golaem Attribute deletion in the Simulation Exporter Window
- Fixed Entity emission when using slot overrides in the Population Tool


** Refactoring

- Added support for Maya 2024
- Added support for Unreal Engine 5.2
- Removed support for Unreal Engine 5.0


** API

- New -getAttr flag in the glmCrowdSettings command
- New -setAttr flag in the glmCrowdSettings command
- New -append flag in the glmExportCharacterGeometry command
- Added missing dependencies in the Golaem devkit


** Supported DCCs

- Autodesk Maya 2020, 2022, 2023, 2024
- Autodesk 3ds Max 2020, 2022, 2023
- Foundry Katana 3.X, 4.X, 5.X, 6.X
- Unreal Engine 4.27, 5.1, 5.2
- SideFx Houdini 19.0.622, 19.5.435


** Supported Rendering Engines

- Arnold - Mtoa 5.2.X, 5.1.X / KtoA 4.1 / Arnold 7.1.X
- V-Ray - For Maya 5.0.22, 5.1, 5.2 / For 3ds Max 5.1
- Renderman - For Maya 24.X / For Katana 24.X
- Redshift - For Maya 3.0.46-57 / For Katana 3.0.46-57 / For 3ds Max 3.0.46-57
- USD - Standalone 0.19.11 and 0.20.02 / For Houdini 18 and 18.5 / For Katana 3.5
- 3Delight - For Katana 2.3.2 (through USD)
- Guerilla Render 2.1, 2.2, 2.3

Also supported (but must be manually installed):

- Arnold - Mtoa 5.3 / Ktoa 4.2 / Arnold 7.2
- V-Ray - For Maya 6.0X, 6.1X / For 3ds Max 6.0X, 6.1X
- Renderman - For Maya 23.X / For Katana 23.X
- Redshift - For Maya 3.5.14-16 / For Katana 3.5.14-16




GOLAEM 8.2.4 - CHANGELOG - June 27th 2023
---------------------------------------------

** New features

- New foot locking mode in the AdaptGround Behavior
- New Skeleton display mode configurable in the Character File


** Improvements

- Improved performances of the Mesh Render Previz display mode
- New starting velocities attributes in the Locomotion Behavior


** Bug fixes

- Fixed Blind Data animation replay when using Entities with Skeleton Overrides
- Fixed physics computation when using Blind Data combined with World Servo Physics Mode
- Fixed data casting when using a Remap ChOp after a Multiplexer ChOp
- Fixed Sensor Input ChOp computation when using the Crowd Unit
- Fixed Sensor Input ChOp Visual Feedback display when using the Crowd Unit
- Fixed Sensor Input ChOp Visual Feedback display when using angular and distance modes
- Fixed a crash when angular and distance modes in the Sensor Input ChOp 
- Fixed a crash when baking rigid meshes in FBX
- Fixed Matte when rendering with MtoA
- Fixed dirmap in the Golaem For Unreal plugin


** Refactoring

- Added support for Unreal Engine 4.27
- Added support for Mtoa 5.3 / Ktoa 4.2 / Arnold 7.2
- Added support for Redshift 3.5.14-16 / For Katana 3.5.14-16
- Removed support for Mtoa 4.2 / Ktoa 3.2 / Arnold 6.2
- Removed support for Redshift for Maya 3.5.01-04 / For Katana 3.5.01-04
- Shader Attributes are now declared in the primVars namespace when exported as USD Procedural
- Refactored the AdaptGround Behavior Attribute Editor


** API

- New glmCrowdSettings command
- New -ignoreHiddenMeshes flag in the glmExportTerrain command
- Added GLMCROWD_CUSTOMBEHAVIOR_DIR environment variable for custom behavior directory
- Added GLMCROWD_CUSTOMTRIGGER_DIR environment variable for custom trigger directory


** Supported DCCs

- Autodesk Maya 2020, 2022, 2023
- Autodesk 3ds Max 2020, 2022, 2023
- Foundry Katana 3.X, 4.X, 5.X
- Unreal Engine 4.27, 5.0, 5.1
- SideFx Houdini 19.0.622, 19.5.435


** Supported Rendering Engines

- Arnold - Mtoa 5.2.X, 5.1.X / KtoA 4.1 / Arnold 7.1.X
- V-Ray - For Maya 5.0.22, 5.1, 5.2 / For 3ds Max 5.1
- Renderman - For Maya 24.X / For Katana 24.X
- Redshift - For Maya 3.0.46-57 / For Katana 3.0.46-57 / For 3ds Max 3.0.46-57
- USD - Standalone 0.19.11 and 0.20.02 / For Houdini 18 and 18.5 / For Katana 3.5
- 3Delight - For Katana 2.3.2 (through USD)
- Guerilla Render 2.1, 2.2, 2.3

Also supported (but must be manually installed):

- Arnold - Mtoa 5.3 / Ktoa 4.2 / Arnold 7.2
- V-Ray - For Maya 6.0X / For 3ds Max 6.0X
- Renderman - For Maya 23.X / For Katana 23.X
- Redshift - For Maya 3.5.14-16 / For Katana 3.5.14-16




GOLAEM 8.2.3 - CHANGELOG - April 12th 2023
---------------------------------------------

** New features

- New Switch ChOp node in the ChOp Editor


** Improvements

- Added support for glmPreviewShader custom attribute when a Shader is imported in the Character Maker
- Added support for Arnold Opaque attribute when a Mesh is imported in the Character Maker
- Added support for Maya Display Layers and Drawing Overrides on Golaem nodes
- Added support for * keyword in the ReplaceShader Layer of the Layout Tool
- Added PreFrame Attribute in the ChOp Input Node
- Added Linkable Attributes in the Trigger nodes
- Improved LOD computation based on AABB
- Added LOD Variants when using the USD Skel Bake Export
- Added LOD support in the USD Procedural plugin  
- Improved memory usage when using the USD Procedural plugin 
- Improved mesh distribution when all weights are equal


** Bug fixes

- Fixed a crash when exiting Houdini under Linux
- Fixed motion blending when using Golaem Attributes to set weights
- Fixed improper scale when converting some animations in Golaem Motion
- Fixed ground adaptation when using specific skeleton hierarchies


** Refactoring

- Reordered Chop nodes order in the Channel Operator Editor
- Refactored Expression Type order in the ChOp Output Node
- Refactored the Force Behavior Attribute Editor
- Refactored Motion Mapping Attributes in the Motion Behavior
- Refactored plug names in some of the ChOp Operator nodes
- Added Flat Layout Attributes in the Simulation Cache Proxy Node


** API

- Added empty geometry tag support in the glmCharacterMaker command
- Added edition capabilities when using the -fileTab flag in the glmCharacterMaker command
- New -fileTabNeedsSave flag in the glmCharacterMaker command


** Supported DCCs

- Autodesk Maya 2018, 2019, 2020, 2022, 2023
- Autodesk 3ds Max 2020, 2022, 2023
- Foundry Katana 3.X, 4.X
- Unreal Engine 5.0, 5.1
- SideFx Houdini 19.0.622, 19.5.435


** Supported Rendering Engines

- Arnold - Mtoa 5.2.X, 5.1.X / KtoA 4.1 / Arnold 7.1.X
- V-Ray - For Maya 5.0.22, 5.1, 5.2 / For 3ds Max 5.1
- Renderman - For Maya 24.X / For Katana 24.X
- Redshift - For Maya 3.0.46-57 / For Katana 3.0.46-57 / For 3ds Max 3.0.46-57
- USD - Standalone 0.19.11 and 0.20.02 / For Houdini 18 and 18.5 / For Katana 3.5
- 3Delight - For Katana 2.3.2 (through USD)
- Guerilla Render 2.1, 2.2, 2.3

Also supported (but must be manually installed):

- Arnold - Mtoa 4.2.X / KtoA 3.2.X / Arnold 6.2
- V-Ray - For Maya 6.0X / For 3ds Max 6.0X
- Renderman - For Maya 23.X / For Katana 23.X
- Redshift - For Maya 3.5.01-04 / For Katana 3.5.01-04




GOLAEM 8.2.2 - CHANGELOG - February 10th 2023
---------------------------------------------

** New features

- Float Shader Attributes can now be weighted in the Character Maker
- New Geometry Input ChOp node in the ChOp Editor
- New Memory ChOp node in the ChOp Editor
- New Ramp ChOp node in the ChOp Editor
- New Counter ChOp node in the ChOp Editor


** Improvements

- Rendering Types can now be reordered in the Character Maker
- New Group hasGroup, groupTypeId, groupId, groupIdx Channels
- New Time frameRate, frameTime Channels
- New Entity entityIdx, entityCount Channels
- New Traffic trafficRollAngle Channel
- New Motion motionTime Channel
- Added Safe Distance Attributes in the Population Tool Locator
- Added randomize Motion Id attribute in the Motion Behavior
- Added randomize Motion Id attribute in the SyncMotion Behavior
- Added ramp control to initialize Golaem Attributes
- Added a FIFO attribute in the Accumulator ChOp Node
- Added an Enable attribute in the Accumulator ChOp Node
- FIFO and enable attributes of the Accumulator ChOp Node can be driven by inputs
- Added support for Actor Hidden In Game attribute in the Unreal Sequencer
- Added support of dirmapping through environment variable GLM_DIRMAP in the Golaem For Unreal plugin
- Added support for multiple sequencer tracks of a single Golaem Cache in the Golaem For Unreal plugin


** Bug fixes

- Fixed reproducibility when using Channel Operators
- Fixed result when using a Time Offset Layer after a Layer that uses a Reference Frame
- Fixed a crash when importing a FBX in Houdini with Golaem loaded
- Fixed a crash when Simulation Cache Proxy is created before the Crowd Manager Node
- Fixed Set Weights to 0 / 50 context menu not working in the Character Maker
- Fixed simulation export when having a \n character in MEL Render Scripts
- Fixed .apx file relocation in the Character Maker
- Fixed Entity Type weights refreshing in the Population Tool Locator
- Fixed the Component Replace in the Population Tool Locator
- Fixed light linking within the Golaem For Arnold plugin
- Fixed Double casting when using a Driven Attribute in the Input Chop Node


** Refactoring

- Added support for Houdini 19.5
- Added support for Unreal Engine 5.1
- Added support for Vray 6 For Maya
- Added support for Vray 6 For 3dsMax
- Added support for Redshift 3.5.01-04
- Added support for 3dsMax 2023
- Removed support for Houdini 18.5
- Removed support for Unreal Engine 4.27
- Removed support for Vray Next For Maya
- Removed support for Vray Next For 3dsMax
- Removed support for Redshift 2.6.49
- Added Expression helpers in the Force Behavior
- Refactored Attribute Editor for the Chop Input Node
- Refactored Attribute Editor for the Golaem For Arnold plugin in Houdini
- Changed default Ragdoll spring joint limits stiffness in the Physics Locator
- SetBone Behavior is now deprecated (use ChannelOperator Behavior instead)


** API

- New setAllNodesAttribute and listNodeIds functions in the Layout Python API


** Supported DCCs

- Autodesk Maya 2018, 2019, 2020, 2022, 2023
- Autodesk 3ds Max 2020, 2022, 2023
- Foundry Katana 3.X, 4.X
- Unreal Engine 5.0, 5.1
- SideFx Houdini 19.0.622, 19.5.435


** Supported Rendering Engines

- Arnold - Mtoa 5.2.X, 5.1.X / KtoA 4.1 / Arnold 7.1.X
- V-Ray - For Maya 5.0.22, 5.1, 5.2 / For 3ds Max 5.1
- Renderman - For Maya 24.X / For Katana 24.X
- Redshift - For Maya 3.0.46-57 / For Katana 3.0.46-57 / For 3ds Max 3.0.46-57
- USD - Standalone 0.19.11 and 0.20.02 / For Houdini 18 and 18.5 / For Katana 3.5
- 3Delight - For Katana 2.3.2 (through USD)
- Guerilla Render 2.1, 2.2, 2.3

Also supported (but must be manually installed):

- Arnold - Mtoa 4.2.X / KtoA 3.2.X / Arnold 6.2
- V-Ray - For Maya 6.0X / For 3ds Max 6.0X
- Renderman - For Maya 23.X / For Katana 23.X
- Redshift - For Maya 3.5.01-04 / For Katana 3.5.01-04




GOLAEM 8.2.1 - CHANGELOG - November 28th 2022
---------------------------------------------

** Important notice

From this release, Golaem GDA files must be reexported if they used Channel Operators


** New features

- New "Spherical Occupation (Ratio)" vision mode in the Chop Sensor Input
- New "Maximum Clearance (Vector)" vision mode in the Chop Sensor Input
- New "Minimum Clearance (Vector)" vision mode in the Chop Sensor Input
- New Output Channel Desired Moved Direction
- New Output Channel Body Direction
- New Output Channel Position And Body Direction
- New Output Channel to request left / right Traffic Lane switch or disable it
- New Channels for Traffic Lane switching trafficRoadId, isTrafficSwitchingLane
- New Lane Switch Attributes in the Traffic Locator


** Improvements

- Added support for Golaem Attributes in the Entity Type Scale Attribute
- Added support for Golaem Attributes in the Entity Type Rendering Type Attribute
- Added support for Golaem Attributes in the Adapt Orientation Behavior
- Added support for Entity Ids filter in the Simulation Cache Bake export
- Added voxel display for the External Entity Locator
- Added World Direction to Body Direction mode in the ChOp Converter 
- Added Body Direction to World Direction mode in the ChOp Converter
- Added Helper button in the Bone Attributes of the ChOp Output
- Added Helper button in the BlindData Attributes of the ChOp Output
- Improved performances when opening a Character File with a lot of Rendering Types
- Improved traffic lane switching computation
- Improved workflow for the Perception Bounding Box computation in the Character Maker
- Added contextual menu in the Rendering Types panel to expand and select a Node in the Nodal Workspace
- Added contextual menu in the Asset Outline to expand and select a Node in the Nodal Workspace
- Added contextual menu in the Rendering Types panel to Collapse / Expand all Children (also available with Shift + click)
- Added shortcut to set all the weights of an Asset Group to the same value (Shift + click on a slider)
- Added shortcut to set all the weights of an Integer Shader Attribute to the same value (Shift + click on a slider or Shift + Enter in a text box)
- Asset Group weighting is enabled if its Maya transform has a custom attribute glmIsWeighted when imported in the Character Maker
- Default weights for an Asset Group are read from a custom attribute glmWeights when imported in the Character Maker
- Integer Shader Attribute weighting is enabled if its Maya shader has a custom attribute glmIsWeighted when imported in the Character Maker
- Default weights for an Integer Shader Attribute are read from a custom attribute glmWeights when imported in the Character Maker
- The Mesh Alias defined in a Character File are now used when naming meshes in the Golaem For USD plugin
- The Mesh Alias defined in a Character File are now used when naming meshes in the Golaem For Arnold plugin
- The Mesh Alias defined in a Character File are now used when naming meshes in the Golaem For Renderman plugin
- The Mesh Alias defined in a Character File are now used when naming meshes in the Golaem For Guerilla plugin
- Added meshName string attribute in generated mesh in the Golaem For Arnold plugin
- Added support for string casting when using Renderer Attributes in the Golaem For Arnold plugin
- Added automatic coloring system for Terrain Attributes in the Outliner and the viewport 
- Added camera margin support when using Frustum culling in a Simulation Cache Proxy
- Delete All Golaem Nodes now remove Golaem shaders as well
- Added import button on Library Tool Items to create multiple Simulation Cache Proxies when having Simulation Caches with multiple CrowdFields


** Bug fixes

- Fixed slot collisions in the Population Tool
- Fixed slot scales to avoid collisions with the NavMesh
- Fixed slot positions when using negative distance
- Fixed Golaem Attribute Filter in the Sensor Locator
- Fixed Fur import when curves have invalid values
- Fixed painting Entity Types on a decimated slots Population Tool Locator
- Fixed Integer Shader Attribute weight overrides when having different Rendering Types
- Fixed FBX Bake Export which could lead to NaN data in scales / rotations
- Fixed FBX Bake Export visibility when using Frame Offset or Killed Layers
- Fixed FBX Bake Export when using Skeleton Overrides
- Fixed GPU Render Previz when using Skeleton Overrides
- Fixed Layout Destination Terrain file naming postfix issues
- Fixed Layout Destination Terrain overwriting when saving it from a Simulation Cache Proxy
- Fixed a crash when using Skeleton Overrides on multiple character sources
- Fixed a crash when using a Sensor and the Visual Feedback at the same time
- Fixed a crash when disabling Perception Visibility on an Entity Type
- Fixed a crash when running a Kill Behavior on an Entity with a simulated ApexCloth
- Fixed a crash when grouping Behaviors and deleting them
- Fixed a crash when removing a Rendering Type with weighted Integer Shader Attribute
- Fixed a crash when painting Entity Types in a Population Tool
- Fixed a crash when using scattering slots on a mesh in a Population Tool
- Fixed Entity orientation when switching traffic lane 
- Fixed Populate on curve placement when there is no Traffic Locator attached
- Fixed deprecated "varying" flag in the GPU Render Previz vertex shader
- Fixed Child Rendering Type weight override computation in the Character Maker
- Fixed tab order in the Perception BBox attributes of the Character Maker
- Fixed a selection bug when a node is not visible in the Nodal Workspace of the Character Maker
- Fixed Rendering Types panel expanded items not restored when switching to another file and back in the Character Maker
- Fixed Rendering Types panel when disconnecting a weighted Integer Shader Attribute and reconnecting it again in the Character Maker
- Fixed missing separator when querying a Shader Asset Node in the glmCharacterMaker command
- Fixed refresh button icon in the Visual Feedback window


** Refactoring

- Added support for Mtoa 5.2
- Changed default values in the Golaem Ramp node
- Changed outputs order in the ChOp Output
- Refactored ChOp Output Attribute Editor
- Refactored Character Maker Locator Attribute Editor
- Refactored GolaemCache UI in the Golaem For Houdini plugin
- Added contextual menus to the Simulation Cache Shelf icon
- Perception BBox display has been removed from the Character Maker and added to the Character Maker Locator
- A default Asset Group is created when connecting Mesh Assets to the Character Node in the Character Maker
- Entity Types Attribute Nodes are now renamed based on attribute name
- Removed NavMesh is Deformable attribute from the Terrain Locator
- Uniformized usage of "this.attribute.XXX" in all the Behaviors, Triggers... 
- Golaem For Arnold shaders can now be found in the utility/golaem section
- Removed unused flags in the Golaem For Renderman plugin
- Restored Decimate Slope Falloff attribute in the Population Tool
- All Geometry Nodes are now framed by default when opening a Character File in the Character Maker
- Renamed "World Direction to Body Direction" in the ChOp Converter
- Renamed "Body Direction to World Direction" in the ChOp Converter
- Renamed Master / Slave Level in the EntityType Node


** API

- All MEL/Python commands can run with a Lite License in Maya batch


** Supported DCCs

- Autodesk Maya 2018, 2019, 2020, 2022, 2023
- Autodesk 3ds Max 2020, 2022
- Foundry Katana 3.X, 4.X
- Unreal Engine 4.27, 5.0
- SideFx Houdini 19.0.622, 18.5.672


** Supported Rendering Engines

- Arnold - Mtoa 5.2.X, 5.1.X / KtoA 4.1 / Arnold 7.1
- V-Ray - For Maya 5.0.22, 5.1, 5.2 / For 3ds Max 5.1
- Renderman - For Maya 24.X / For Katana 24.X
- Redshift - For Maya 3.0.46-57 / For Katana 3.0.46-57 / For 3ds Max 3.0.46-57
- USD - Standalone 0.19.11 and 0.20.02 / For Houdini 18 and 18.5 / For Katana 3.5
- 3Delight - For Katana 2.3.2 (through USD)
- Guerilla Render 2.1, 2.2, 2.3

Also supported (but must be manually installed):

- Arnold - Mtoa 4.2.X / KtoA 3.2.X
- V-Ray - For Maya 4.0X, 4.1X, 4.3X / For 3ds Max 4.30
- Renderman - For Maya 23.X / For Katana 23.X
- Redshift - For Maya 2.6.49, 2.6.5X / For Katana 2.6.55




GOLAEM 8.2 - CHANGELOG - September 8th 2022
---------------------------------------------

** Important notice

From this release, Golaem does not use Cylinders anymore for its population, navigation and perception
Scenes made with previous versions of Golaem will produce different simulation results.


** New features

- Added Perception Bounding Box attribute in the Character File
- Population Tool now uses Perception Bounding Box for the shape of its slots
- Navigation Behavior now uses Perception Bounding Box for its collision detection
- Traffic Behavior now uses Perception Bounding Box for its traffic avoidance
- Emit Behavior now uses Perception Bounding Box for its entity generation
- Sensors now uses Perception Bounding Box for Entities perception
- Added Bounding Box display in Entity Type Node
- Added Bounding Box display in Simulation Cache Proxy Node
- Added support for Maya 2023
- Golaem Switch and HSL shaders are also available in OSL


** Improvements

- Slot distance can be negative in the Population Tool
- Improved GCG export when having invalid UVSets
- Remap ranges of the ChOp Remap node can be driven by inputs
- Multiple "isVisible" Shading Attributes can be used in a Character File
- Trigger graphs containing Behavior Time Triggers can be shared and evaluated properly
- Trigger graphs containing Motion Time Triggers can be shared and evaluated properly


** Bug fixes

- Fixed Reference frame computation when using a Rotate and a Frame Offset Layer
- Fixed Entity Types not correctly generated when using Maya emitter based Population Tool
- Fixed parallel evaluation when using Maya emitter based Population Tool
- Fixed Simulation Cache Proxy shape name when created from the Library Tool
- Fixed transforms inside variants that refer to the same Maya hierarchy in the USDSkel baker
- Fixed a potential crash when adding a new entity type or changing the character file and relaunching the simulation
- Fixed a crash when using Maya emitter based Population Tool
- Fixed a crash when a Group EntityType references its Population Tool when exporting a scene as a GDA file
- Fixed missing threshold attribute in the Expression Trigger when exporting a scene as a GDA file
- Fixed shared triggers when exporting a scene as a GDA file


** Refactoring

- Added support for Maya 2023
- Added support for 3dsmax 2022
- Removed support for 3dsmax 2018
- Removed support for 3dsmax 2019
- Added support for Arnold 7.1
- Removed support for Arnold 7.0
- Added support for Houdini 19.0.622
- Removed support for Houdini 19.0.531
- Entity Types Nodes are now renamed based on Character File
- Added contextual menu to close tabs in the Character Maker
- Added contextual menu to close tabs in the Behavior Editor
- Removed Cylinder display mode in Entity Type Node
- Removed Cylinder display mode in Simulation Cache Proxy Node
- Removed Entity Type Attributes in the Group Entity Type Node


** Supported DCCs

- Autodesk Maya 2018, 2019, 2020, 2022, 2023
- Autodesk 3ds Max 2020, 2022
- Foundry Katana 3.X, 4.X
- Unreal Engine 4.27, 5.0
- SideFx Houdini 19.0.622, 18.5.672


** Supported Rendering Engines

- Arnold - Mtoa 5.1.X / KtoA 4.1
- V-Ray - For Maya 5.0.22, 5.1, 5.2 / For 3ds Max 5.1
- Renderman - For Maya 24.X / For Katana 24.X
- Redshift - For Maya 3.0.46-57 / For Katana 3.0.46-57 / For 3ds Max 3.0.46-57
- USD - Standalone 0.19.11 and 0.20.02 / For Houdini 18 and 18.5 / For Katana 3.5
- 3Delight - For Katana 2.3.2 (through USD)
- Guerilla Render 2.1, 2.2, 2.3

Also supported (but must be manually installed):

- Arnold - Mtoa 4.2.X / KtoA 3.2.X
- V-Ray - For Maya 4.0X, 4.1X, 4.3X / For 3ds Max 4.30
- Renderman - For Maya 23.X / For Katana 23.X
- Redshift - For Maya 2.6.49, 2.6.5X / For Katana 2.6.55




GOLAEM 8.1.4 - CHANGELOG - July 5th 2022
---------------------------------------------

** Improvements

- IK planes can be edited on multiple selected nodes in the Character Maker
- Added support for sparsed texture UDIMs in GPU Render Previz Display mode
- Added Bindpose clean tool in the Character Maker Locator
- Added Auto Mirror tool in the Locomotion Behavior
- Added skeleton display mode in the Golaem For USD Procedural plugin 
- Added Crowd Ramps helper in the Expressions Helper Window
- Added support for 'gid' keyword in the Attribute Filter of the Sensor Locator
- Improved performances when computing Shader Attributes at render time
- Improved gcg export when some vertices do not have UVs
- Improved gcg export feedback log window to separate critical errors from warning messages


** Bug fixes

- Fixed a crash when rendering multiple caches with the same names in Golaem For Arnold
- Fixed Layout Tool using PLE Mode within Unreal Engine 5.0
- Fixed Golaem Crowd Unit not handled correctly in Golaem For Unreal
- Fixed error when loading a Golaem Cache using the Cache Library in Golaem For Unreal
- Fixed initialization of emitted entities in Golaem Engine
- Fixed warning message when using the Search tool of the Helper Window
- Fixed USDSkel Export when having invalid letters in mesh names
- Fixed USD Export options presets load and save


** Refactoring

- Changed default sample curve value in the Traffic Locator
- Frame is not changed anymore when using the Simulation Baker
- User attributes are now prefixed with prefix primvars in the USDSkel baker
- Shading Namespace and Character Files attributes are now locked in the Manager Node
- Tracy Profiler is disabled for this release


** Supported DCCs

- Autodesk Maya 2018, 2019, 2020, 2022
- Autodesk 3ds Max 2018, 2019, 2020
- Foundry Katana 3.X, 4.X
- Unreal Engine 4.27, 5.0
- SideFx Houdini 19.0.531, 18.5.672


** Supported Rendering Engines

- Arnold - Mtoa 5.0.X / KtoA 4.0
- V-Ray - For Maya 5.0.22, 5.1, 5.2 / For 3ds Max 5.1
- Renderman - For Maya 24.X / For Katana 24.X
- Redshift - For Maya 3.0.46-57 / For Katana 3.0.46-57 / For 3ds Max 3.0.46-57
- USD - Standalone 0.19.11 and 0.20.02 / For Houdini 18 and 18.5 / For Katana 3.5
- 3Delight - For Katana 2.3.2 (through USD)
- Guerilla Render 2.1, 2.2, 2.3

Also supported (but must be manually installed):

- Arnold - Mtoa 4.2.X / KtoA 3.2.X
- V-Ray - For Maya 4.0X, 4.1X, 4.3X / For 3ds Max 4.30
- Renderman - For Maya 23.X / For Katana 23.X
- Redshift - For Maya 2.6.49, 2.6.5X / For Katana 2.6.55




GOLAEM 8.1.3 - CHANGELOG - May 9th 2022
---------------------------------------------

** New features

- Perception Shape can now be defined in the Character File
- Goto and Navigation Behaviors now use the Character Perception Shape (voxel based)
- New Bool Operation node in the ChOp Editor


** Improvements

- Added support of Unreal Engine 5.0
- Added support for UDIMs in GPU Render Previz Display mode
- Added support for Shader Attributes in the USDSkel bake
- Added support for mesh variation variants in the USDSkel bake
- Added threshold attribute in the Expression Trigger
- Added support for Ctrl + G shortcut to group Layers in the Layout Editor
- Added support for Ctrl + double click shortcut to move up groups in the Layout Editor
- Added support for V shortcut to Set As Root a Trigger in the Trigger Editor
- Frame attribute of the ChOp Accu node can be driven by the second input
- Threshold value for the bool operators of the Operation node can be driven by the third input
- Improved performances for the "Create parameters" button in the BlindData Layer node
- Improved display of Crossing Locators when set to Junction
- Improved Channel Helper window when using Golaem Attributes
- Remove Tip contextual menu can now be applied on the selected Effector nodes in the Character Maker
- Remap Ext / Remap Aux contextual menu can now be applied on the selected Effector nodes in the Character Maker
- IK Planes toggle can now be applied on the selected Effector nodes if holding Shift in the Character Maker


** Bug fixes

- Fixed reopening of the Golaemisator
- Fixed display of fur on killed Entities
- Fixed killed Entities when using the Alembic or FBX bakers
- Fixed Layout Tool opening in the Golaem For Katana plugin
- Fixed Layout Tool opening in the Golaem For Houdini plugin
- Fixed GCG export with blendshapes having multiple materials
- Fixed GCG export with blendshapes having complex rig deformers
- Fixed External Entities perception when using a different Crowd Unit
- Fixed disabled input slots in the Chop Editor when reopening a scene
- Fixed mesh target Relative Closest assign mode in the Goto Behavior
- Fixed mesh target Relative Closest assign mode in the Steer Behavior
- Fixed warning messages when connecting curves to a Traffic Locator
- Fixed Population Tool slot orientation when populating on Traffic Locator curves
- Fixed a crash when using a wrong / empty Expression in the Goto Behavior
- Fixed a crash when using a wrong / empty Expression in the Steer Behavior
- Fixed a crash when using a wrong / empty Expression in the TrafficGoto Behavior
- Fixed a crash at simulation rewind when using Sensor filter operators
- Fixed a crash when exiting Maya in some specific cases
- Fixed Cylinders display when using the XRay viewport mode
- Fixed Physics Shapes display when using the XRay viewport mode
- Fixed Mesh Render Previz display not taking the Layout into account if not saved
- Fixed the "Pick From Selected Entity" button in the SetMeshAsset Layer of the Layout Tool
- Fixed PPAttributes values when emitting entities from multiple Population Tools simultaneously
- Fixed attributeValueType value when using the queryProperties flag on the glmCharacterMaker command
- Fixed memory leak in the Tracy profiler


** Refactoring

- Removed support for Unreal Engine 4.26
- Modified the NCloth Behavior icon
- Added tooltips on icons in the Layout Editor
- Added tooltips on icons in the ChOp Editor
- Simulation Cache Proxies are now added to a glmCaches group
- Default Terrain Locator is created when using a Navigation Behavior
- Refactored Goto Behavior Attribute Editor
- Refactored Steer Behavior Attribute Editor
- Renamed Reference Position to Relative Position in Goto and Steer Behavior
- Removed the Enable attribute of the Cache Proxy Manager Node
- Removed Attribute Behavior from the Behavior Editor (use Chop Behavior instead)
- Removed PPAttribute Trigger from the Behavior Editor (use Expression Trigger instead)
- Removed the Golaem Profiler (use Tracy profiler instead)


** API

- New addSkeletonOverride flag in the glmCharacterMaker command
- New addBlindDataOverride flag in the glmCharacterMaker command
- Added SkeletionOverride in the addGeoNode flag of the glmCharacterMaker command
- Added BlindDataOverride in the addGeoNode flag of the glmCharacterMaker command
- Added PhysicsOverride in the addGeoNode flag of the glmCharacterMaker command


** Supported DCCs

- Autodesk Maya 2018, 2019, 2020, 2022
- Autodesk 3ds Max 2018, 2019, 2020
- Foundry Katana 3.X, 4.X
- Unreal Engine 4.27, 5.0
- SideFx Houdini 19.0.531, 18.5.672


** Supported Rendering Engines

- Arnold - Mtoa 5.0.X / KtoA 4.0
- V-Ray - For Maya 5.0.22, 5.1, 5.2 / For 3ds Max 5.1
- Renderman - For Maya 24.X / For Katana 24.X
- Redshift - For Maya 3.0.46-57 / For Katana 3.0.46-57 / For 3ds Max 3.0.46-57
- USD - Standalone 0.19.11 and 0.20.02 / For Houdini 18 and 18.5 / For Katana 3.5
- 3Delight - For Katana 2.3.2 (through USD)
- Guerilla Render 2.1, 2.2, 2.3

Also supported (but must be manually installed):

- Arnold - Mtoa 4.2.X / KtoA 3.2.X
- V-Ray - For Maya 4.0X, 4.1X, 4.3X / For 3ds Max 4.30
- Renderman - For Maya 23.X / For Katana 23.X
- Redshift - For Maya 2.6.49, 2.6.5X / For Katana 2.6.55




GOLAEM 8.1.2 - CHANGELOG - March 30th 2022
---------------------------------------------

** New features

- New performance profiling using the Tracy library
- New Remap ChOp node in the ChOp Editor


** Improvements

- Added cross product operator in the ChOp Operation Node
- Added dot product operator in the ChOp Operation Node
- Added recursive weight enabling contextual menu in the Character Maker
- Added recursive weight disabling contextual menu in the Character Maker
- Added direction alignment on particles when using the Population Component mode
- Added support for Golaem Attributes for the TargetID Name of the Goto Behavior
- Added support for Golaem Attributes for the TargetID Name of the Steer Behavior
- Added support for Golaem Attributes for the TargetID Name of the TrafficGoto Behavior
- Improved overall performances and memory management
- Improved computation of heavy skeletons in the Character Maker
- Improved Render Checker with Golaem Mode and Render Proxy checks
- Improved Render Checker when Golaem is not in the plugin installation path
- Improved performance when computing shading diversity for GPU Render Previz display mode
- Allowed multiple connections to or from selected nodes in the Behavior Editor
- Allowed multiple connections to or from selected nodes in the Character Maker
- New Environment Channels (closestParticleIdx, closestVertexIdx, closestParticlePosition, closestVertexPosition...)
- New height attribute in the External Entity Locator
- New External Entity Locator filter in the Sensor Locator


** Bug fixes

- Fixed the If and Rnd Operators duplication in the Behavior Editor
- Fixed UI update after deleting a node from a Parallel, Random or Loop operator in the Behavior Editor
- Fixed the If Operator losing its triggers when replacing a following node in the Behavior Editor
- Fixed incorrect voxel based perception in the Navigation Behavior
- Fixed texture loading blocking display in GPU Render Previz display mode
- Fixed UVs assignment on curves in the Golaem For Renderman plugin
- Fixed UVs assignment on curves in the Golaem For Guerilla plugin
- Fixed PPAttribute values when using Entity emitters
- Fixed trafficSteerAngle Channel computation
- Fixed initial values when using Golaem Vector Attributes
- Fixed initial values when exporting a scene as a GDA file
- Fixed blendshape names when exporting Character geometry files as a GCG
- fixed default Crowd Unit when opening scenes and setting the GLMCROWD_UNIT environment variable
- Fixed wrong glmPopulationTool PPAttribute value when emitting from selection of several PopulationTool
- Fixed perception computation with External Entity Locators in Custom Radius mode
- Fixed default perception shape orientation
- Fixed input plug creations in the ChOP Editor
- Fixed a crash when using more than 8 apex clothes on an Entity
- Fixed a crash when rendering in Geolib3-MT mode with multiple Golaem caches in Katana
- Fixed a crash in the Python devkit when not able to create a new thread
- Fixed a crash if the Perception Locator is deleted
- Fixed issues when grouping nodes in the Chop Editor
- Fixed VRScene export when using floating frames
- Fixed If and Block operators unselection color
- Fixed Chop Editor and Layout Tool window priority on Linux
- Fixed Layout File creation in the Golaem For Unreal plugin
- Fixed the Open Layout File button failing in the Golaem For Unreal plugin
- Fixed rendering issue when using the Movie Render Queue in the Golaem For Unreal plugin
- Fixed Golaem Cache node parameters copy between contexts in the Golaem For Unreal plugin


** Refactoring

- Added support for Houdini 19.0 Python3 and Python2
- Added Surface Shader name in the Guerilla tags
- Refactored the UI of the External Entity Locator
- Refactored the UI of the Cylinder display attributes
- Refactored the UI of the Alignment attributes in the Sensor Locator
- Refactored Max Voxel Count in Max Voxel Per Axis in the EntityType node
- Refactored Max Voxel Count in Max Voxel Per Axis in the External Entity Locator
- Refactored Max Voxel Count in Max Voxel Per Axis in the Sensor Locator
- Refactored the Physics Override icon in the Character Maker
- Refactored the Perception Default Scale to 0.25 in the Entity Type node
- External Entities are now created in the glmPopulations group
- Removed support for Houdini 18.0
- Removed support for Mental Ray


** API

- Golaem Python devkit can be initialized monothreaded (default is multithreaded)


** Supported DCCs

- Autodesk Maya 2018, 2019, 2020, 2022
- Autodesk 3ds Max 2018, 2019, 2020
- Foundry Katana 3.X, 4.X
- Unreal Engine 4.26, 4.27, 5.0
- SideFx Houdini 19.0.531, 18.5.672


** Supported Rendering Engines

- Arnold - Mtoa 5.0.X / KtoA 4.0
- V-Ray - For Maya 5.0.22, 5.1, 5.2 / For 3ds Max 5.1
- Renderman - For Maya 24.X / For Katana 24.X
- Redshift - For Maya 3.0.46-57 / For Katana 3.0.46-57 / For 3ds Max 3.0.46-57
- USD - Standalone 0.19.11 and 0.20.02 / For Houdini 18 and 18.5 / For Katana 3.5
- 3Delight - For Katana 2.3.2 (through USD)
- Guerilla Render 2.1, 2.2, 2.3

Also supported (but must be manually installed):

- Arnold - Mtoa 4.2.X / KtoA 3.2.X
- V-Ray - For Maya 4.0X, 4.1X, 4.3X / For 3ds Max 4.30
- Renderman - For Maya 23.X / For Katana 23.X
- Redshift - For Maya 2.6.49, 2.6.5X / For Katana 2.6.55




GOLAEM 8.1.1 - CHANGELOG - February 23rd 2022
---------------------------------------------

** Improvements

- Mass, Force and Speed attributes of the Flock Behavior are now dynamic when using Golaem Attributes
- Added support for Preview Shader when using the Mesh Render Previz mode
- Added nParticle target support for the Goto Behavior
- Added nParticle target support for the TrafficGoto Behavior
- Added nParticle target support for the Steer Behavior
- New Flock Channels (hasASteerTarget, steerTargetPosition, distanceToSteerTarget...)


** Bug fixes

- Fixed python error when clearing a ChOp graph
- Fixed shading assignment when shaders have '.' in names in the Mesh Render Previz mode
- Fixed local path computation when saving a Character File using the glmCharacterMaker command
- Fixed cloth cache rendering when using several Mesh Assets based on the same shape
- Fixed enabledMeshes attribute UI of the FurMeshAsset node in the Character Maker
- Fixed invalid input connections on the ChOpMultiplexer
- Fixed a crash when using an invalid Golaem Attribute Expression in the ChOpInput node
- Fixed a crash when removing behaviors from a container expanded view
- Fixed a crash when using the Duplicate Layer Node in the Golaem For Unreal plugin
- Fixed a crash when using the SnapTo Layer Node in the Golaem For Unreal plugin
- Fixed blendshape import issues in the Golaem For Unreal plugin
- Fixed refresh after changing the Layout File in the Golaem For Unreal plugin


** Refactoring

- glmCharacterMaker command does not prompt for a gfc file anymore when used in script mode


** API

- New glmExportFurCache command to create or merge gfc Fur files
- New queryProperty flag in the glmCharacterMaker command
- New setProperty flag in the glmCharacterMaker command
- Added GLM_CRASH_REPORT_DIR environment variable for dump report


** Supported DCCs

- Autodesk Maya 2018, 2019, 2020, 2022
- Autodesk 3ds Max 2018, 2019, 2020
- Foundry Katana 3.X, 4.X
- Unreal Engine 4.26, 4.27, 5.0
- SideFx Houdini 18.0.566, 18.5.672


** Supported Rendering Engines

- Arnold - Mtoa 4.2.X / KtoA 3.2.X
- V-Ray - For Maya 5.0.22, 5.1 / For 3ds Max 5.1
- Renderman - For Maya 24.X / For Katana 24.X
- Redshift - For Maya 3.0.46-57 / For Katana 3.0.46-57 / For 3ds Max 3.0.46-57
- USD - Standalone 0.19.11 and 0.20.02 / For Houdini 18 and 18.5 / For Katana 3.5
- 3Delight - For Katana 2.3.2 (through USD)
- Mental Ray - For Maya 3.14
- Guerilla Render 2.1, 2.2

Also supported (but must be manually installed):

- Arnold - Mtoa 5.0.X / KtoA 4.0
- V-Ray - For Maya 4.0X, 4.1X, 4.3X / For 3ds Max 4.30
- Renderman - For Maya 23.X / For Katana 23.X
- Redshift - For Maya 2.6.49, 2.6.5X / For Katana 2.6.55




GOLAEM 8.1 - CHANGELOG - January 24th 2022
---------------------------------------------

** New features

- New Physics Override Node in the Character Maker to represent different physics morphologies within the same Character File
- Motion behavior weights are dynamic when using Golaem Attributes
- New Golaem HUD in the Maya viewport
- New tool to assign scene character shaders to a geo proxy
- New tool to remove character shaders from the scene
- Entities can now have Perception custom shapes


** Improvements

- Apex Cloth simulation is not limited to 32 colliders anymore
- Improved ChOp Editor usability (autolayout, controls...)
- Improved GCG skin weights export performance
- Hidden meshes can be skipped in the Polygon Zone Trigger 
- Added transformation support when exporting a Fur Cache as GFC
- Added transformation support when exporting a Geometry Cache as GCG
- Added attributes aliases in the GDA file format
- USD Bake parameters are now saved in the scene
- NavMesh Creator tool inherits from the Crowd Manager Crowd Unit when opened the first time
- Added fur rendering support in the Guerilla Render rendering plugin
- Added Character Maker helper button in the Motion Locator


** Bug fixes

- Fixed GCG blendshape export when target does not exist in the scene
- Fixed GCG animated meshes export with constant keyframe values
- Fixed blendshape offset when using FBX Character Geometry
- Fixed Bounding box computation error message when exporting a Character with a Fur Asset
- Fixed fur assets export in the glmExportCharacterGeometry command
- Fixed error message when a Character File is invalid in a scene
- Fixed UI refresh when reexporting a Fur Cache in the Character Maker
- Fixed mesh append when using relative file paths in the Character Maker
- Fixed Vector Field Layer not working on entities with a zero height pelvis in the Layout Tool
- Fixed Vector Field Layer not refreshing properly in the Layout Tool
- Fixed frames in the GSCB Library File when using the Batch Simulation Exporter command
- Fixed orientations not being taken into account in the External Entity Locator
- Fixed a crash when baking meshes with namespaces as USDSkel
- Fixed a crash when rendering an incomplete Fur Cache
- Fixed a crash when loading the Golaem and the MayaUSD plugins in Maya 2022
- Fixed a crash when using expressions in ChOp Input in the Golaem Engine
- Fixed a crash when rendering several Simulation Caches in Katana
- Fixed Sensor attributes export in the Golaem Engine
- Fixed identifier assignment in the Renderman rendering plugin
- Fixed export of Maya Curves as Fur Cache
- Fixed ground adaptation when using Skeleton Overrides
- Fixed Curve sampling not uniform in the Goto Behavior
- Fixed Curve sampling not uniform in the Flock Behavior
- Fixed avoidance when the NavMesh does not match Ground Terrain in the Navigation Behavior
- Fixed the default size of the Chop Node Library


** Refactoring

- Added support for Renderman 24
- Added support for Arnold 70 
- Removed support for Renderman 22
- Removed support for Arnold 60
- Added contextual menu to the Shaders Shelf icon
- Removed External Entity Shelf icon (still available for the Golaem Menu)
- Polygon trigger returns false by default if no active mesh is set
- Character shaders are now added to a glmShaders group 
- USD Procedural file export is now available from the Simulation Baker tool
- ARNOLD_PROCEDURAL_PATH environment variable is not used anymore (replaced by standard ARNOLD_PLUGIN_PATH)
- Added warning message when blendshape targets are unreadable when exporting geometry as GCG
- Added USD bake parameters in the Crowd Manager Node


** API

- UVs are now stored in the same channel in the C++ API


** Supported DCCs

- Autodesk Maya 2018, 2019, 2020, 2022
- Autodesk 3ds Max 2018, 2019, 2020
- Foundry Katana 3.X, 4.X
- Unreal Engine 4.26, 4.27, 5.0
- SideFx Houdini 18.0.566, 18.5.672


** Supported Rendering Engines

- Arnold - Mtoa 4.2.X / KtoA 3.2.X
- V-Ray - For Maya 5.0.22, 5.1 / For 3ds Max 5.1
- Renderman - For Maya 24.X / For Katana 24.X
- Redshift - For Maya 3.0.46-57 / For Katana 3.0.46-57 / For 3ds Max 3.0.46-57
- USD - Standalone 0.19.11 and 0.20.02 / For Houdini 18 and 18.5 / For Katana 3.5
- 3Delight - For Katana 2.3.2 (through USD)
- Mental Ray - For Maya 3.14
- Guerilla Render 2.1, 2.2

Also supported (but must be manually installed):

- Arnold - Mtoa 5.0.X / KtoA 4.0
- V-Ray - For Maya 4.0X, 4.1X, 4.3X / For 3ds Max 4.30
- Renderman - For Maya 23.X / For Katana 23.X
- Redshift - For Maya 2.6.49, 2.6.5X / For Katana 2.6.55




GOLAEM 8.0.3 - CHANGELOG - November 3rd 2021
---------------------------------------------

** New features

- External Entities can now be approximated with voxels for perception


** Improvements

- Speed Ratio Attribute of a Motion Behavior is now dynamic
- Improved UI for Layout Files in the Simulation Cache Proxy node
- Improved selection feedback in the Layout Tool when zoomed out
- Improved Mirror Layer processing on different characters in the Layout Tool
- Added support for shared triggers in the Golaem Engine plugin
- Added string id per mesh for cryptomatte in the Renderman plugin
- Added shader and entity name in the tags of the Guerilla Render plugin
- Added specific display on non default triggers in the Behavior Editor node graph
- Added entity filter attribute in the Cloth Locator
- Added support for more Nucleus constraints (cloth on cloth, more than 2 components...) in the NCloth Behavior
- Added Namespace export attribute in the FBX Bake tab
- Slots use now the orientation of faces / edges when populated in Component Mode in the Population Tool
- Slots can now be updated from Component selection in the Population Tool
- Character can now be translated on the Y axis with the Translate Layer in the Layout Tool


** Bug fixes

- Fixed HSL shading on cloth display in GPU Render Previz display mode
- Fixed HSL shading computation in GPU Render Previz display mode
- Fixed asset repartition inconsistency when adding a Layout File to a Simulation Cache Proxy
- Fixed EntitTypes weights not restored correctly when a Population Tool is hidden in the scene
- Fixed Decimate attributes not updated when distance or operator change in the Population Tool
- Fixed mesh deletion when switching display from Mesh Drive to GPU Render Previz
- Fixed integer shading attributes assignment in the Guerilla Render plugin
- Fixed a crash when no Entity Type is specified in the MasterSlave Behavior
- Fixed a crash when using an invalid Golaem Attribute Expression
- Fixed a crash when using multi threads at rendering time
- Fixed a crash when exiting Maya 2022 within a Golaem scene
- Fixed a crash when opening the Attribute SpreadSheet with an External Entity in the scene
- Fixed socket not closed error when rendering heavy simulations
- Fixed default values for the Bake tab settings of the Simulation Exporter
- Fixed Helper Window when having an empty Entity Type in the scene
- Fixed Golaem Attribute Helper window


** Refactoring

- Merged Golaem Attributes and Entity Type Attributes
- Tabs can now be renamed in the Layout Tool
- Added support for Houdini 18.5.672
- Added support for Redshift 3.0.46-57
- Removed support for Houdini 18.5.462
- Removed support for Redshift 3.0.36-40


** Supported DCCs

- Autodesk Maya 2018, 2019, 2020, 2022 (beta)
- Autodesk 3ds Max 2018, 2019, 2020
- Foundry Katana 3.X, 4.X
- Unreal Engine 4.25, 4.26
- SideFx Houdini 18.0.566, 18.5.672


** Supported Rendering Engines

- Arnold - Mtoa 4.2.X / KtoA 3.2.X
- V-Ray - For Maya 5.0.22, 5.1 / For 3ds Max 5.1
- Renderman - For Maya 23.0 / For Katana 23.0
- Redshift - For Maya 3.0.46-57 / For Katana 3.0.46-57 / For 3ds Max 3.0.46-57
- USD - Standalone 0.19.11 and 0.20.02 / For Houdini 18 and 18.5 / For Katana 3.5
- 3Delight - For Katana 2.3.2 (through USD)
- Mental Ray - For Maya 3.14
- Guerilla Render 2.1, 2.2

Also supported (but must be manually installed):

- Arnold - Mtoa 4.0.X, 4.1.X / KtoA 3.0
- V-Ray - For Maya 4.0X, 4.1X, 4.3X / For 3ds Max 4.30
- Renderman - For Maya 22.4, 22.5 / For Katana 22.4, 22.5
- Redshift - For Maya 2.6.49, 2.6.5X / For Katana 2.6.55




GOLAEM 8.0.2 - CHANGELOG - September 8th 2021
---------------------------------------------

** Important notice

From this release, the Layout License has been renamed to Lite License


** New features

- Added new Mesh Render Previz display mode for crowd entities (generates Maya meshes in the viewport)


** Improvements

- Int Shader Attributes are now written as int user data in Renderman
- All crowd units are now supported in the Golaem For 3dsMax plugin
- Duplicating a Rendering Type also duplicates its child Rendering Types in the Character Maker
- Added Render Previz texture memory and size management attributes in the CrowdManager Node
- Added Render Previz texture statistics in the CrowdManager Node
- Added a position offset attribute for the Cylinder Display Mode
- Added support of Golaem Attributes in the Golaem Engine
- Expand Layer now uses a vector3 scale rather than a single float in the Layout Tool
- Added support for NURBS in the EditTrajectory Layer of the Layout Tool
- Added support for Golaem Attributes from the Entity Type Attribute Node
- Added support for custom tab names in the Layout Tool


** Bug fixes

- Fixed a crash when baking a Simulation Cache as FBX
- Fixed a crash when using the MassSpring Behavior on null-length bones
- Fixed Terrain Mesh export that was producing bad Ground Adaptation in Cache Replay Mode
- Fixed Entity Perception size when using a non default Crowd Unit
- Fixed Entity Type Node Attribute Editor from Maya 2020
- Fixed LookAt Behavior Attribute Editor from Maya 2020
- Fixed Populate on Curve with non default Crowd Unit
- Fixed curve follow looping in the Steer Behavior
- Fixed Entity orientations when using the Populate on Curve for Traffic
- Fixed Simulation Cache Library when trying to add a cache with no open tab
- Fixed Bump Map not working when using motion blur in Renderman For Katana
- Fixed int id identifier in Golaem For Renderman


** Refactoring

- Simulation Attributes have been replaced by EntityType Attributes wrappers in the EntityType Node


** API

- Added entityIds flag in the glmCrowdSimulationExporter command
- Added new -lite flag in the glmCheckLicense command (-layout is deprecated)
- Added new GLMCROWD_LITE_LICENSE env var (GLMCROWD_LAYOUT_LICENSE is deprecated)
- Added new usingGolaemLiteLicense function in the Python API (usingGolaemLayoutLicense is deprecated)
- Added new hasLayoutLicenseFeatures function in the Pythin API (hasLayoutLicenseFeatures is deprecated)


** Supported DCCs

- Autodesk Maya 2018, 2019, 2020, 2022 (beta)
- Autodesk 3ds Max 2018, 2019, 2020
- Foundry Katana 3.X, 4.X
- Unreal Engine 4.25, 4.26
- SideFx Houdini 18.0.566, 18.5.462


** Supported Rendering Engines

- Arnold - Mtoa 4.2.X / KtoA 3.2.X
- V-Ray - For Maya 5.0.22, 5.1 / For 3ds Max 5.1
- Renderman - For Maya 23.0 / For Katana 23.0
- Redshift - For Maya 3.0.36 / For Katana 3.0.36 / For 3ds Max 3.0.36
- USD - Standalone 0.19.11 and 0.20.02 / For Houdini 18 and 18.5 / For Katana 3.5
- 3Delight - For Katana 2.3.2 (through USD)
- Mental Ray - For Maya 3.14
- Guerilla Render 2.1, 2.2

Also supported (but must be manually installed):

- Arnold - Mtoa 4.0.X, 4.1.X / KtoA 3.0
- V-Ray - For Maya 4.0X, 4.1X, 4.3X / For 3ds Max 4.30
- Renderman - For Maya 22.4, 22.5 / For Katana 22.4, 22.5
- Redshift - For Maya 2.6.49, 2.6.5X / For Katana 2.6.55




GOLAEM 8.0.1 - CHANGELOG - July 8th 2021
---------------------------------------------

** Important notice

From this release, the version of MtoA supported by default is 4.2
Rendering plugin for MtoA 4.0.X or 4.1.X needs to be installed manually

From this release, the version of Vray supported by default is 5.X
Rendering plugin for Vray 4.X needs to be installed manually


** New features

- Added shading diversity in viewport for simulation and cache replay. Supports switch/hsl shaders for Anrold, V-Ray, Renderman, Redshift
- Added support for preview shaders for the viewport only. Added CrowdSwitchShaderPreviz and CrowdHSLShaderPreviz shaders 
- New EditTrajectory Layer in the Layout Tool
- Added Visual Feedback for triggers
- Added the possibility to add or replace some GCG meshes to an existing GCG geometry in the Character Maker


** Improvements

- Added per mesh subdivision control at render time (through the Shader Attribute subdivOverride)
- Added source object orientation support in Component Mode Population Tool
- Added aiImage and PxrTex shading node support in the viewport display
- Improved Simulation cache export and replay performances
- Improved skin weights memory management
- Improved curve following / looping in the Goto Behavior
- Improved curve following / looping in the Steer Behavior
- Particle systems are now emitted in the same group as their Population Tool Locator


** Bug fixes

- Fixed a massive memory leak when in Cache Replay Mode and refreshing caches
- Fixed a crash when LOD geometries have different numbers of Shader Nodes
- Fixed a crash when merging two caches with Layout Files
- Fixed a crash when an invalid input is cast to a Golaem Attribute
- Fixed Entity flickering when using the Traffic Behavior
- Fixed broken connection between particle system and Population Tool Locator when renamed
- Fixed oversized Replace Node popup in the Character Maker
- Fixed Attribute Editor for Painted Zone Locator
- Fixed Attribute Editor for Vector Field Locator
- Fixed Golaemisator not opening
- Fixed a display memory leak when changing scenes
- Golaem Engine: fixed crash when having more than 8 gtg meshes
- Fixed GDA Public Attributes Editor failing to open
- GDA export: fixed export attribute rngSeed as public
- GDA export: fixed wrong type for AdaptPositionBehavior.inObjects attribute - was string, now meshArray
- Layout Editor: fixed wrong message when devkit is not found for Linux
- Fixed missing viewport refresh for ReplaceShader Layout node
- Fixed traffic steer angle in channel operators
- Fixed a crash when rendering nCloth simulation in viewport


** Refactoring

- Mtoa 4.2 is the default supported version
- Vray 5 is the default supported version


** API

- Added forwards flag in the glmCreatePopulationTool command


** Supported DCCs

- Autodesk Maya 2018, 2019, 2020, 2022 (beta)
- Autodesk 3ds Max 2018, 2019, 2020
- Foundry Katana 3.X, 4.X
- Unreal Engine 4.25, 4.26
- SideFx Houdini 18.0.566, 18.5.462


** Supported Rendering Engines

- Arnold - Mtoa 4.2.X / KtoA 3.2.X
- V-Ray - For Maya 5.0.22, 5.1 / For 3ds Max 5.1
- Renderman - For Maya 23.0 / For Katana 23.0
- Redshift - For Maya 3.0.36 / For Katana 3.0.36 / For 3ds Max 3.0.36
- USD - Standalone 0.19.11 and 0.20.02 / For Houdini 18 and 18.5 / For Katana 3.5
- 3Delight - For Katana 2.3.2 (through USD)
- Mental Ray - For Maya 3.14
- Guerilla Render 2.1, 2.2

Also supported (but must be manually installed):

- Arnold - Mtoa 4.0.X, 4.1.X / KtoA 3.0
- V-Ray - For Maya 4.0X, 4.1X, 4.3X / For 3ds Max 4.30
- Renderman - For Maya 22.4, 22.5 / For Katana 22.4, 22.5
- Redshift - For Maya 2.6.49, 2.6.5X / For Katana 2.6.55




GOLAEM 8.0.0 Beta - CHANGELOG - May 12th 2021
---------------------------------------------

** Important notice

From this release, rendering plugins are now installed in per version directories
Version of rendering procedural plugins to use can be changed from the .mod file


** New features

- New Golaem Engine For Unreal plugin to run simulations in Unreal Engine
- New Golaem Engine For Unreal wrappers to interact with simulations with Unreal Engine Blueprints
- New Golaem Digital Asset file format (.gda) to serialize simulations and ressources
- New Golaem Digital Asset Public Attributes Editor in Maya
- New Golaem Engine API to run and interact with simulations in other DCCs
- New ReplaceLODDistances Layer in the Layout Tool
- New Mirror Layer in the Layout Tool
- Added support of Maya 2022 Python3 (beta)
- Added support of Maya 2022 Python2
- Integer Shader Attributes can now be weighted in the Character Maker
- Nvidia PhysX For Maya plugins are now maintained and distributed by Golaem
- Added support of Linux for the Nvidia PhysX For Maya plugin
- Added support of Maya 2019 for the Nvidia PhysX For Maya plugin
- Added support of Maya 2020 for the Nvidia PhysX For Maya plugin
- Added support of hardware fog in the Maya viewport


** Improvements

- Added keyframe support in Kill Layer in the Layout Tool
- Added keyframe support in Unkill Layer in the Layout Tool
- Added keyframe support in the activation of the AddRemoveMeshAsset Layer in the Layout Tool
- Added Cloth Material Overrides in the ApexCloth Behavior
- Added comparison operators (== != > < >= <=) in the ChOp Operation Node
- Added driven attribute support in the ChOp Input Node
- Added torque support in the Force Behavior
- Freeze On Stop in the ApexCloth Behavior can now be bound to a bone
- Freeze On Stop in the NCloth Behavior can now be bound to a bone
- Simulation Caches can now be exported from the Golaem Engine For Unreal plugin
- Improved Render Checker window (now displays additional data in Script Editor)
- Improved Skeleton Override UI in the Character Maker


** Bug fixes

- Fixed sequencer not working with GolaemCache nodes in Unreal Engine 4.26


** Refactoring

- Procedurals rendering plugins are now installed in per version directories
- Version of procedural rendering plugins to use can be enabled from the .mod file
- Simulation Cache Proxy nodes have a unique color in the Outliner and the timeline
- Auto Apex Generation is now deprecated in the ApexCloth Behavior (in favor of the Nvidia plugin)
- Removed support of Maya 2017


** API

- New mayaToGda python command
- New Golaem Digital Asset manipulation python API
- Added support for user callbacks when Golaem triggers are created
- Added support for user callbacks when any Golaem node is created
- Added support of short names in the SimulationCacheMerge command
- Added support for gda files in the glmLicenseCheck command
- Added BlindDataOverride node query and edit in the glmCharacterMaker command
- Added SkeletonOverride node query and edit in the glmCharacterMaker command


** Supported DCCs

- Autodesk Maya 2018, 2019, 2020, 2022 (beta)
- Autodesk 3ds Max 2018, 2019, 2020
- Foundry Katana 3.X, 4.X
- Unreal Engine 4.25, 4.26
- SideFx Houdini 18.0.566, 18.5.462


** Supported Rendering Engines

- Arnold - Mtoa 4.0.X, 4.1.X / KtoA 3.0
- V-Ray - For Maya 4.0X, 4.1X, 4.3X / For 3ds Max 4.30
- Renderman - For Maya 23.0 / For Katana 23.0
- Redshift - For Maya 3.0.36 / For Katana 3.0.36 / For 3ds Max 3.0.36
- USD - Standalone 0.19.11 and 0.20.02 / For Houdini 18 and 18.5 / For Katana 3.5
- 3Delight - For Katana 2.3.2 (through USD)
- Mental Ray - For Maya 3.14
- Guerilla Render 2.1, 2.2

Also supported (but must be manually installed):

- Arnold - Mtoa 4.2.X / KtoA 2.X
- V-Ray - For Maya 5.0.22, 5.1 / For 3ds Max 5.1
- Renderman - For Maya 22.4, 22.5 / For Katana 22.4, 22.5
- Redshift - For Maya 2.6.49, 2.6.5X / For Katana 2.6.55




GOLAEM 7.3.11 - CHANGELOG - June 4th 2021
---------------------------------------------

** Important notice

From this release, the version of MtoA supported by default is 4.2
Rendering plugin for MtoA 4.0.X or 4.1.X needs to be installed manually

From this release, the version of Vray supported by default is 5.X
Rendering plugin for Vray 4.X needs to be installed manually


** New features

- Added support for Maya 2022 Python 3 (beta)
- Added support for Maya 2022 Python 2


** Improvements

- Added per mesh subdivision control at render time (through the Shader Attribute subdivOverride)
- Added source object orientation support in Component Mode Population Tool
- Added aiImage and PxrTex shading node support in the viewport display
- Improved Simulation cache export and replay performances
- Improved skin weights memory management 
- Improved curve following / looping in the Goto Behavior
- Improved curve following / looping in the Steer Behavior
- Particle systems are now emitted in the same group as their Population Tool Locator


** Bug fixes

- Fixed a massive memory leak when in Cache Replay Mode and refreshing caches
- Fixed a crash when LOD geometries have different numbers of Shader Nodes
- Fixed a crash when merging two caches with Layout Files
- Fixed a crash when an invalid input is cast to a Golaem Attribute
- Fixed Entity flickering when using the Traffic Behavior
- Fixed broken connection between particle system and Population Tool Locator when renamed
- Fixed oversized Replace Node popup in the Character Maker
- Fixed Attribute Editor for Painted Zone Locator
- Fixed Attribute Editor for Vector Field Locator


** Refactoring

- Mtoa 4.2 is the default supported version
- Vray 5 is the default supported version


** API

- Added forwards flag in the glmCreatePopulationTool command


** Supported DCCs

- Autodesk Maya 2017, 2018, 2019, 2020, 2022 (beta)
- Autodesk 3ds Max 2018, 2019, 2020
- Foundry Katana 3.X, 4.X
- Unreal Engine 4.25, 4.26
- SideFx Houdini 18.0.566, 18.5.462


** Supported Rendering Engines

- Arnold - Mtoa 4.2.X / KtoA 3.2.X
- V-Ray - For Maya 5.0.22, 5.1 / For 3ds Max 5.1
- Renderman - For Maya 23.0 / For Katana 23.0
- Redshift - For Maya 3.0.36 / For Katana 3.0.36 / For 3ds Max 3.0.36
- USD - Standalone 0.19.11 and 0.20.02 / For Houdini 18 and 18.5 / For Katana 3.5
- 3Delight - For Katana 2.3.2 (through USD)
- Mental Ray - For Maya 3.14
- Guerilla Render 2.1, 2.2

Also supported (but must be manually installed):

- Arnold - Mtoa 4.0.X, 4.1.X / KtoA 3.0
- V-Ray - For Maya 4.0X, 4.1X, 4.3X / For 3ds Max 4.30
- Renderman - For Maya 22.4, 22.5 / For Katana 22.4, 22.5
- Redshift - For Maya 2.6.49, 2.6.5X / For Katana 2.6.55




GOLAEM 7.3.10 - CHANGELOG - April 26th 2021
---------------------------------------------

** Improvements

- Added geometryFileIdx Channel Shader Attribute in the Character Maker
- Added support of master keyword in ChOp Nodes
- Added support of Redshift for 3dsMax
- Improved Redshift shading assignment


** Bug fixes

- Fixed the Library Tool when not having a license
- Fixed the Render Checker when not having a license
- Fixed Golaem Attributes fetching when there are Initial State overrides
- Fixed geometryId not initialized in Caches when using the Golaemisator Tool
- Fixed physics simulation not working when the PhysX plugin is loaded under Linux 
- Fixed a crash when opening the Character Maker within the Physx plugin loaded under Linux
- Fixed a crash when opening the Attributes Spreadsheet on a Killed Entity
- Fixed Vector parsing in Golaem Expressions
- Fixed explicit cast in Golaem Expressions
- Fixed the opening of the Golaemisator Tool


** Refactoring

- Added support of Redshift 3.0.36
- Removed support of Redshift 3.0.22


** API

- Added nbFrames, framerate, limbs, footprints attributes for the getAttr flag in the glmMotionFileTool command
- Added footprintSequence flag in the glmExportMotion command


** Supported DCCs

- Autodesk Maya 2017, 2018, 2019, 2020, 2022 (on demand)
- Autodesk 3ds Max 2018, 2019, 2020
- Foundry Katana 3.X, 4.X
- Unreal Engine 4.25, 4.26
- SideFx Houdini 18.0.566, 18.5.462


** Supported Rendering Engines

- Arnold - Mtoa 4.0.X, 4.1.X / KtoA 3.0
- V-Ray - For Maya 4.0X, 4.1X, 4.3X / For 3ds Max 4.30
- Renderman - For Maya 23.0 / For Katana 23.0
- Redshift - For Maya 3.0.36 / For Katana 3.0.36 / For 3ds Max 3.0.36
- USD - Standalone 0.19.11 and 0.20.02 / For Houdini 18 and 18.5 / For Katana 3.5
- 3Delight - For Katana 2.3.2 (through USD)
- Mental Ray - For Maya 3.14
- Guerilla Render 2.1, 2.2

Also supported (but must be manually installed):

- Arnold - Mtoa 4.2.X / KtoA 2.X
- V-Ray - For Maya 5.0.22, 5.1 / For 3ds Max 5.1
- Renderman - For Maya 22.4, 22.5 / For Katana 22.4, 22.5
- Redshift - For Maya 2.6.49, 2.6.5X / For Katana 2.6.55




GOLAEM 7.3.9 - CHANGELOG - March 10th 2021
---------------------------------------------

** Improvements

- Curve following now support dynamic curves in the Goto Behavior
- Curve following now support dynamic curves in the Steer Behavior
- Improved error message when mesh normals are not valid in the GCG Exporter


** Bug fixes

- Fixed the Attribute Helper UI in the Expression Trigger
- Fixed Master Entity Type not found message in the MasterSlave Behavior
- Fixed Flock Behavior taking into account non flocking Entities
- Fixed error when opening the Layout Tool in a vanilla Maya session
- Fixed shading assignment when using multiple CrowdFields in the Golaem For 3dsMax plugin
- Fixed Map update in the SetAttribute Layer of the Layout Tool


** Refactoring

- Added support of Mtoa 4.2 / Ktoa 3.2 / Arnold 6.2
- Removed support of Mtoa 3.X / Arnold 5
- Added support of Houdini 18.5.462
- Removed support of Houdini 18.5.351
- Added support of Vray For 3dsMax 5.1
- Added support of multiple version of Vray in the Golaem For 3dsMax plugin
- Names of the Golaem For 3dsMax plugins have changed (glmCrowd3dsMax2020Vray.dlo instead of vrayGolaem.dlo)


** API

- glmExportMotion now supports gmo.xml import / export


** Supported DCCs

- Autodesk Maya 2017, 2018, 2019, 2020, 2021 (on demand)
- Autodesk 3ds Max 2018, 2019, 2020
- Foundry Katana 3.X, 4.X
- Unreal Engine 4.25 (4.24 on demand)
- SideFx Houdini 18.0.566, 18.5.462


** Supported Rendering Engines

- Arnold - Mtoa 4.0.X, 4.1.X / KtoA 3.0
- V-Ray - For Maya 4.0X, 4.1X, 4.3X / For 3ds Max 4.30
- Renderman - For Maya 23.0 / For Katana 23.0
- Redshift - For Maya 3.0.22-26 / For Katana 3.0.22-26
- USD - Standalone 0.19.11 and 0.20.02 / For Houdini 18 and 18.5 / For Katana 3.5
- 3Delight - For Katana 2.3.2 (through USD)
- Mental Ray - For Maya 3.14
- Guerilla Render 2.1, 2.2

Also supported (but must be manually installed):

- Arnold - Mtoa 4.2.X / KtoA 2.X
- V-Ray - For Maya 5.0.22, 5.1 / For 3ds Max 5.1
- Renderman - For Maya 22.4, 22.5 / For Katana 22.4, 22.5
- Redshift - For Maya 2.6.49, 2.6.5X / For Katana 2.6.55




GOLAEM 7.3.8 - CHANGELOG - January 22nd 2021
---------------------------------------------

** New features

- New SetAttribute Layer in the Layout Tool


** Improvements

- Added a random seed attribute in the SetShaderAttribute Layer in the Layout Tool
- Added support of Golaem Attributes as input in Behaviors (when random or PPAttr)
- Added node name attribute in the Simulation Cache Library
- Added a Disable AutoUpdate in the Population Tool Locator
- Added Prevent Entity Selection locking attributes in the Simulation Cache Proxy node
- Improved multiple edition of Golaem Attribute in the Attribute Spreadsheet
- Improved PPAttribute / Golaem Attribute list helper in Expression Attributes


** Bug fixes

- Fixed Custom Trigger Container save in the Behavior Editor
- Fixed noise ramp evaluation when having a high number of Entities
- Fixed a crash when baking a Simulation Cache with blendshapes as USDSkel
- Fixed a crash when saving a file using the glmCharacterMaker command
- Fixed Expression Attribute Editor in the ChopInput, Expression Trigger and other nodes
- Fixed init state status of CrowdField Golaem Attributes
- Fixed rendering of instanced geoemtry combined with LODs


** Refactoring

- The Python Boost library is now installed within the Golaem USD plugin for Windows
- The same tab is now focused in the Character Maker if a Character File is opened multiple times


** API

- Added glmSaveAsCustomBehavior MEL command to save custom behavior graphs
- Added glmSaveAsCustomTrigger MEL command to save custom trigger graphs
- Added user callbacks for all operations of the Simulation Cache Library


** Supported DCCs

- Autodesk Maya 2017, 2018, 2019, 2020, 2021 (on demand)
- Autodesk 3ds Max 2017, 2018, 2019, 2020
- Foundry Katana 3.X, 4.X
- Unreal Engine 4.25 (4.24 on demand)
- SideFx Houdini 18.0.566, 18.5.351


** Supported Rendering Engines

- Arnold - Mtoa 4.0.X, 4.1.X / KtoA 3.0
- V-Ray - For Maya 4.0X, 4.1X, 4.3X / For 3ds Max 4.30
- Renderman - For Maya 23.0 / For Katana 23.0
- Redshift - For Maya 3.0.22-26
- USD - Standalone 0.19.11 and 0.20.02 / For Houdini 18 and 18.5 / For Katana 3.5
- 3Delight - For Katana 2.3.2 (through USD)
- Mental Ray - For Maya 3.14
- Guerilla Render 2.1, 2.2

Also supported (but must be manually installed):

- Arnold - Mtoa 3.1, 3.2, 3.3 / KtoA 2.X
- V-Ray - For Maya 5.0.22
- Renderman - For Maya 22.4, 22.5 / For Katana 22.4, 22.5
- Redshift - For Maya 2.6.49, 2.6.5X / For Katana 2.6.55




GOLAEM 7.3.7 - CHANGELOG - December 3rd 2020
---------------------------------------------

** Improvements

- Added support of Houdini 18.5.351
- Added support of Houdini 18.0.566
- Added viewport check in the Golaem Scene Checker Tool
- Improved multithreading performances in Cache Replay
- Multiple sensors can now be enabled in the ActivateSensor Behavior
- Added option to disable Perception in the EntityType Node
- Default Navigation Sensor can be customized in the Perception Locator


** Bug fixes

- Fixed closest curve picking in the Goto Behavior
- Fixed Entities not showing out of initial simulation time range in the USD Proc plugin
- Fixed Vector Field raycast on sloppy terrains within the SetShaderAttribute Layer
- Fixed a crash when rendering FBX geometry Characters with invalid blendshapes
- Fixed Automatic Frame Step mode in the Geometry Animation Behavior
- Fixed -cameraName flag requirement in the glmSimulationCacheTool command


** Refactoring

- Removed support of Houdini 17.5
- Removed support of Houdini 18.0.348
- 3d Adaptation Mode is enabled when a Terrain Node is created from a MayaMesh NavMesh
- Changed default curve following sampling mode 


** API

- Added -openedFiles, -currentFile and -nodeTab flags in the glmCharacterMaker command
- added getShadingGroupNames and getShaderAssetNames functions in the Python API


** Supported DCCs

- Autodesk Maya 2017, 2018, 2019, 2020, 2021 (on demand)
- Autodesk 3ds Max 2017, 2018, 2019, 2020
- Foundry Katana 3.X
- Unreal Engine 4.25 (4.24 on demand)
- SideFx Houdini 18.0.566, 18.5.351


** Supported Rendering Engines

- Arnold - Mtoa 4.0.X, 4.1.X / KtoA 3.0
- V-Ray - For Maya 4.0X, 4.1X, 4.3X / For 3ds Max 4.30
- Renderman - For Maya 23.0 / For Katana 23.0
- Redshift - For Maya 3.0.22-26
- USD - Standalone 0.19.11 and 0.20.02 / For Houdini 18 and 18.5 / For Katana 3.5
- 3Delight - For Katana 2.3.2 (through USD)
- Mental Ray - For Maya 3.14
- Guerilla Render 2.1, 2.2

Also supported (but must be manually installed):

- Arnold - Mtoa 3.1, 3.2, 3.3 / KtoA 2.X
- V-Ray - For Maya 5.0.22
- Renderman - For Maya 22.4, 22.5 / For Katana 22.4, 22.5
- Redshift - For Maya 2.6.49, 2.6.5X / For Katana 2.6.55




GOLAEM 7.3.6 - CHANGELOG - October 20th 2020
---------------------------------------------

** Important notice

From this release, the version of Redshift supported by default is 3.0
Rendering plugin for Redshift 2.6 needs to be installed manually


** Improvements

- Added support for Redshift 3
- Added support for Mental Ray 3.14
- Added support for VRay For Maya 5
- Added support of LOD in Vray for 3dsMax
- Added support of Log Level in Vray for 3dsMax
- Added support of fur for Redshift 
- Added PaintedLocator support in the SetShaderAttr Layer in the Layout Tool
- Added a reference frame in the FrameWarp Layer in the Layout Tool
- Added support of Python Script in Golaem Expressions
- Added support of initial state of Golaem Attributes in the ChOp Behavior
- Added support of initial state of Golaem Attributes in the Python API
- Added blendshapes detection in the updateSkeleton flag of the glmCharacterMaker 


** Bug fixes

- Fixed blendshapes normals conversion in the GCG File Format
- Fixed blendshapes deformation when using the GCG File Format
- Fixed blendshapes normals rendering when using the GCG File Format
- Fixed blendshapes export in GCG File Format when using empty targets
- Fixed Terrain adaptation when using multiple CrowdFields in Cache Replay Mode
- Fixed Speed Ratio conversion by the Crowd Unit in the Traffic Locator
- Fixed Traffic lights updates in the Traffic Locator
- Fixed face orientation in Renderman For Katana
- Fixed rendering of multiple VrayGolaem nodes in 3dsMax
- Fixed Shader Attribute multithread export in the Alembic baker
- Fixed Vector Shader Attribute conversion export in the Alembic baker
- Fixed a crash when exporting fur with a FBX Geometry Golaem Character
- Fixed name / value attributes accessors in the Simulation Cache Python devkit
- Fixed Chop Accu node not resetting when a ChOp Behavior is restarted
- Fixed layout ground adaptation for Redshift renders in the Golaem For Katana plugin


** Refactoring

- Removed support of Redshift 2.6.14-48
- Removed support of Vray 3.6.X


** API

- New glmAttributeInitialState command to set initial states of Golaem Attributes
- Added getSelectedEntitiesIdx flag in the glmLayoutTool command


** Supported DCCs

- Autodesk Maya 2017, 2018, 2019, 2020
- Autodesk 3ds Max 2017, 2018, 2019, 2020
- Foundry Katana 3.X
- Unreal Engine 4.25 (4.24 on demand)
- SideFx Houdini 17.5, 18.0.348


** Supported Rendering Engines

- Arnold - Mtoa 4.0.1, 4.0.2 / KtoA 3.0
- V-Ray - For Maya 4.0X, 4.1X, 4.3X / For 3ds Max 4.30
- Renderman - For Maya 23.0 / For Katana 23.0
- Redshift - For Maya 3.0.22-26
- USD - Standalone 0.19.11 / For Houdini 18 / For Katana 3.5
- Mental Ray - For Maya 3.14
- Guerilla Render 2.1, 2.2

Also supported (but must be manually installed):

- Arnold - Mtoa 3.1, 3.2, 3.3 / KtoA 2.X
- V-Ray - For Maya 5.0.22
- Renderman - For Maya 22.4, 22.5 / For Katana 22.4, 22.5
- Redshift - For Maya 2.6.49, 2.6.5X / For Katana 2.6.55



GOLAEM 7.3.5 - CHANGELOG - August 31st 2020
---------------------------------------------

** Improvements

- Added support of Alembic bake when using Maya batch and a Layout License
- Added support of mixing skinning and scalp of fur curves
- Added a Message Box when a Character GCG Export reports warnings or errors
- Added support of Entity Type color display in the Population Tool Locator
- Added a Reverse Attribute for Curve Following in the GoTo Behavior
- Added Entity Traffic Speed Ratio Output Channel


** Bug fixes

- Fixed Attribute Editor of the AdaptPosition Behavior
- Fixed Alembic baking progress bar in the Simulation Baker
- Fixed Terrain geometry export when using instanced geometries
- Fixed Terrain geometry export when using multiple CrowdField
- Fixed a crash when using Master Slave on EntityTypes not initialized
- Fixed a crash when using the SetTerrain Behavior with different number of meshes
- Fixed a crash when using Sensors on multiple Entity Types
- Fixed a crash when the Character File is updated once the Simulation Cache has been exported
- Fixed Locomotion Spine Body Mask Attribute Editor
- Fixed NavAndLoco Spine Body Mask Attribute Editor
- Fixed Crowd Rigid Body Node Height Field Mode not taken the mesh scale into account
- Fixed the node display of the ShaderAttribute in the CharacterMaker
- Fixed rendering when using a FBX file missing some meshes
- Fixed Blind Data translation animation computation when using the SetBone Behavior
- Fixed Geometry Node types in the glmCharacterMaker command


** Refactoring

- Terrain Geometry is now exported automatically the first time a Simulation is exported
- Added Source Terrains export button in the Proxy Manager
- Renamed Attribute Display in the EntityType Attribute Editor
- Changed default output of the ChOutput to Golaem Attribute
- Shading is disabled when playblasting in PLE Mode


** API

- Added GLMCROWD_TERRAINAUTOEXPORT_ENABLE to disable automatic Terrain geometry export
- New frame flag in the glmExportTerrainCmd command
- New remapByName flag in the glmExportMotion command


** Samples

- Added a Bee Character in the Character Pack
- Added a flocking sample in the Character Pack


** Supported DCCs

- Autodesk Maya 2017, 2018, 2019, 2020
- Autodesk 3ds Max 2017, 2018, 2019, 2020
- Foundry Katana 3.X
- Unreal Engine 4.25 (4.24 on demand)
- SideFx Houdini 17.5, 18.0.348


** Supported Rendering Engines

- Arnold - Mtoa 4.0.1, 4.0.2 / KtoA 3.0
- V-Ray - For Maya 4.0X, 4.1X, 4.3X / For 3ds Max 4.30
- Renderman - For Maya 23.0 / For Katana 23.0
- Redshift - For Maya 2.6.49, 2.6.5X / For Katana 2.6.55
- USD - Standalone 0.19.11 / For Houdini 18 / For Katana 3.5
- Guerilla Render 2.1, 2.2

Also supported (but must be manually installed):

- Arnold - Mtoa 3.1, 3.2, 3.3 / KtoA 2.X
- V-Ray - For Maya 3.6X
- Renderman - For Maya 22.4, 22.5 / For Katana 22.4, 22.5
- Redshift - For Maya 2.6.14-48




GOLAEM 7.3.4 - CHANGELOG - July 28th 2020
---------------------------------------------

** Improvements

- Added a Closest Entity mode in the MasterSlave Behavior
- Added a "seconds" mode in the Current Frame Trigger
- FaceTo Layer is now using a reference frame in the Layout Tool
- Character File is now displayed in the Entity Inspector
- Objects can now be assigned with PPAttributes in the AdaptPosition Behavior


** Bug fixes

- Fixed a crash when using the Population Tool emitter and the Goto Behavior
- Fixed Cached Entities selection when using Maya split panel layout
- Fixed the geoFilePaths flag in glmCharacterFileTool
- Fixed terrain export when using multiple meshes
- Fixed creation of Crowd Render Proxies when added to Maya Display Layer
- Disabled USDSkel export usda (ascii) format for Maya 2020 linux because of a crash


** API

- USD libraries are now prefixed to avoid dependency collisions
- Added a -updateSkeleton flag in the glmCharacterMaker command
- Added a -clothFilePaths flag in the glmCharacterFileTool command
- Added a -furFilePaths flag in the glmCharacterFileTool command
- The fbxFilePaths flag is now deprecated in glmCharacterFileTool (replaced with geoFilePaths)


** Supported DCCs

- Autodesk Maya 2017, 2018, 2019, 2020
- Autodesk 3ds Max 2017, 2018, 2019, 2020
- Foundry Katana 3.X
- Unreal Engine 4.25 (4.24 on demand)
- SideFx Houdini 17.5, 18.0.348


** Supported Rendering Engines

- Arnold - Mtoa 3.1, 3.2, 3.3 / KtoA 2.X
- V-Ray - For Maya 4.0X, 4.1X, 4.3X / For 3ds Max 4.30
- Renderman - For Maya 22.4, 22.5 / For Katana 22.4, 22.5
- Redshift - For Maya 2.6.49, 2.6.5X / For Katana 2.6.55
- USD - Standalone 0.19.11 / For Houdini 18 / For Katana 3.5
- Guerilla Render 2.1, 2.2

Also supported (but must be manually installed):

- Arnold - Mtoa 4.0.1, 4.0.2 / KtoA 3.0
- V-Ray - For Maya 3.6X
- Renderman - For Maya 23.0 / For Katana 23.0
- Redshift - For Maya 2.6.14-48




GOLAEM 7.3.3 - CHANGELOG - June 22nd 2020
---------------------------------------------

** Important notice

From this release, Golaem rendering procedurals, shaders and extensions are 
installed in renderer named directories (eg. GolaemDir/procedurals/arnold/...)


** Improvements

- Added USDSkel bake export 
- Added a display scale factor in the Population Tool Locator


** Bug fixes

- Fixed Curve Follow mode with loops in the Goto Behavior
- Fixed blendshapes computation with a negative parameter and inBetweens
- Fixed Redshift specific attributes in the Golaem For Katana plugin
- Fixed layout attributes for Redshift in the Golaem For Katana plugin
- Fixed default render percent attribute in the Golaem For Katana plugin
- Fixed a crash with some triggers on GroupEntityTypes
- Fixed a crash when running the glmChannelTool command
- Fixed script flag in the glmCharacterMaker command
- Fixed search in string function performances in the interface
- Fixed Visual Feedback display in Maya 2020


** Refactoring

- Added a shelf icon and menu entry for the Profiler Tool
- Extensions, shaders and procedurals are now written in renderer named directories


** API

- Added new bindings in the Simulation Cache Python API (can now apply layout)


** Supported DCCs

- Autodesk Maya 2017, 2018, 2019, 2020
- Autodesk 3ds Max 2017, 2018, 2019, 2020
- Foundry Katana 3.X
- Unreal Engine 4.25 (4.24 on demand)
- SideFx Houdini 17.5, 18.0.348


** Supported Rendering Engines

- Arnold - Mtoa 3.1, 3.2, 3.3 / KtoA 2.X
- V-Ray - For Maya 4.0X, 4.1X, 4.3X / For 3ds Max 4.30
- Renderman - For Maya 22.4, 22.5 / For Katana 22.4, 22.5
- Redshift - For Maya 2.6.49, 2.6.5X / For Katana 2.6.55
- USD - Standalone 0.19.11 / For Houdini 18 / For Katana 3.5
- Guerilla Render 2.1, 2.2

Also supported (but must be manually installed):

- Arnold - Mtoa 4.0.1, 4.0.2 / KtoA 3.0
- V-Ray - For Maya 3.6X
- Renderman - For Maya 23.0 / For Katana 23.0
- Redshift - For Maya 2.6.14-48




GOLAEM 7.3.2 - CHANGELOG - May 6th 2020
---------------------------------------------

** Improvements

- Added an exportAlias attribute in Mesh Asset and Fur Asset nodes of the Character Maker
- Added name based Body Masks for Spine Nodes in the Motion Behavior
- Added name based Body Masks for Spine Nodes in the SyncMotion Behavior
- Added name based Body Masks for Spine Nodes in the Locomotion Behavior
- Rig and Posture Nodes are now placed at ground adaptation height in the Layout Tool
- Added a Cache Frame Activity widget in the Layout Tool Performance Profiler (beta)
- Added a bar graph widget in the Layout Tool Performance Profiler (beta)
- Added a parameter to configure the max row count for table attribute in the Layout Tool


** Bug fixes

- Fixed overwritten dirmap attribute in the CrowdManagerNode
- Fixed the Attribute Editor of the TrafficGoto Behavior
- Fixed Simulation Cache Library not opening when having an empty library file
- Fixed a crash when refreshing the Simulation Cache Layout Tool
- Fixed attribute editor display in the Simulation Cache Layout Tool
- Fixed a crash when launching the Simulation Cache Library in stand alone mode
- Fixed a crash when exporting Character Geometry File with Fur Asset nodes
- Fixed a crash when using a large number of entities or Emitter Shared Pool Size
- Fixed displacement when using instancing in the Vray rendering plugin 
- Fixed object names for expression based shading in the Guerilla rendering plugin
- Fixed error message when using the HeightField mode of the Crowd Rigid Body Node
- Fixed error message when adding a Traffic Behavior before a TrafficGoto Behavior
- Fixed error message when adding an empty fur file or importing xgen fur in the Character Maker
- Fixed Safety Distance conversion with Crowd Unit in the Traffic Behavior
- Fixed Fur File Data update in the Fur Asset Node of the Character Maker
- Fixed Fur loading from Maya Curves (number of curves was 3 times bigger than expected)
- Fixed GCG Character Geometry File import when using relative paths in the Character Maker
- Fixed GCG Character Geometry File export when using root name with namespaces in the Character Maker
- Fixed glmSimulationCacheTool sample not installed in the devkit
- Fixed environment variable replacement in the Simulation Cache Proxy node
- Fixed environment variable replacement when opening a scene with dirmap enabled


** API

- Added inCameraFrustum and cameraDistance attributes in the glmSimulationCacheTool command


** Supported DCCs

- Autodesk Maya 2017, 2018, 2019, 2020
- Autodesk 3ds Max 2017, 2018, 2019, 2020
- Foundry Katana 3.X
- Unreal Engine 4.24 (4.23 on demand)
- SideFx Houdini 17.5, 18.0.348


** Supported Rendering Engines

- Arnold - Mtoa 3.1, 3.2, 3.3 / KtoA 2.X
- V-Ray - For Maya 4.0X, 4.1X, 4.3X / For 3ds Max 4.30
- Renderman - For Maya 22.4, 22.5 / For Katana 22.4, 22.5
- Redshift - For Maya 2.6.49, 2.6.5X / For Katana 2.6.51
- USD - Standalone 0.19.11 / For Houdini 18 / For Katana 3.5
- Guerilla Render 2.1, 2.2

Also supported (but must be manually installed):

- Arnold - Mtoa 4.0.1, 4.0.2 / KtoA 3.0
- V-Ray - For Maya 3.6X
- Renderman - For Maya 23.0 / For Katana 23.0
- Redshift - For Maya 2.6.14-48




GOLAEM 7.3.1 - CHANGELOG - April 7th 2020
---------------------------------------------

** New features

- New MassSpring Behavior to add secondary animations to Character Limbs
- New Layout Tool Performance Profiler (beta)


** Improvements

- Added support for Environment Variables in Golaem file paths (%myEnvVar%)
- Added support for relative file paths in the Golaem Character File (enabled by default)
- Added Golaem Attributes support in the Sensor Filters 
- Added information in the error message when UVs can not be exported in GCG file format
- Added Traffic Crossing speed factor attribute in the Traffic Locator
- Improved Traffic system in crossings


** Bug fixes

- Fixed Decimate on Distance in the Population Tool
- Fixed a crash when importing fur from Maya
- Fixed target fallback in the Goto Behavior
- Fixed cryptomatte in the Renderman procedural plugin
- Fixed Character Maker scripting when using Maya in batch mode
- Fixed USD file export when using namespaces
- Fixed Log Level changing after rendering


** Supported DCCs

- Autodesk Maya 2017, 2018, 2019, 2020
- Autodesk 3ds Max 2017, 2018, 2019, 2020
- Foundry Katana 3.X
- Unreal Engine 4.22 (4.23, 4.24 on demand)
- SideFx Houdini 17.5, 18.0.348


** Supported Rendering Engines

- Arnold - Mtoa 3.1, 3.2, 3.3 / KtoA 2.X
- V-Ray - For Maya 4.0X, 4.1X, 4.3X / For 3ds Max 4.30
- Renderman - For Maya 22.4, 22.5 / For Katana 22.4, 22.5
- Redshift - For Maya 2.6.49, 2.6.5X / For Katana 2.6.51
- USD (beta) - Standalone 0.19.11 / For Houdini 18 / For Katana 3.5
- Guerilla Render 2.1, 2.2

Also supported (but must be manually installed):

- Arnold - Mtoa 4.0.1, 4.0.2 / KtoA 3.0
- V-Ray - For Maya 3.6X
- Renderman - For Maya 23.0 / For Katana 23.0
- Redshift - For Maya 2.6.14-48




GOLAEM 7.3 - CHANGELOG - March 9th 2020
---------------------------------------------

** New features

- Added support for Maya 2020
- Added support of Animation Layers in the Posture Layer of the Layout Tool
- Added support of Animation Layers in the Rig Layer of the Layout Tool
- Source code of the Golaem For USD Plugin is now published under LGPL v2.1


** Improvements

- Improved curve following in the Steer Behavior
- Improved performances of the Layout Tool when using Time Layers
- Improved cache performances of the Layout Tool
- Performance critical attributes are now tagged in the Layout Tool
- Performance details are logged when a Layout Tool computation is longer than expected
- Added noise step attribute in the Frame Offset Layer of the Layout Tool
- Added noise step attribute in the Frame Warp Layer of the Layout Tool
- Added support for USD for Katana 3.5
- Added API version check in the Golaem For Houdini plugin
- Added support of Maya emitters in the Populate On Selected option of the Population Tool
- Added seed manipulators in the scattering mode of the Population Tool
- Added Roll Offset Attribute in the Entity Type Node 
- Improved scattering mode of the Population Tool
- Improved Decimate By Distance in the Population Tool
- Safety Distance is now based on Entity radius in the Traffic Behavior
- Orientation Bank and Attitude noises are now independant


** Bug fixes

- Fixed dynamic Speed Ratio in the Motion Behavior
- Fixed Blind Data animation replay when in Unmapped Only mode
- Fixed Alembic Export when using the Layout Tool
- Fixed Visual Feedback of the SyncMotion Behavior
- Fixed a crash when rendering multiple cache proxies with Redshift
- Fixed group names when converting a Layout File made with Golaem v6
- Fixed baking of Layout Files when multiple Selector Nodes


** Refactoring

- Refactored Goto Attribute Editor
- Refactored Steer Attribute Editor
- Golaem For Katana plugin is now packaged independantly


** Supported DCCs

- Autodesk Maya 2017, 2018, 2019, 2020
- Autodesk 3ds Max 2017, 2018, 2019, 2020
- Foundry Katana 3.X
- Unreal Engine 4.22 (4.23, 4.24 on demand)
- SideFx Houdini 17.5, 18.0.348 and above


** Supported Rendering Engines

- Arnold - Mtoa 3.1, 3.2, 3.3 / KtoA 2.X
- V-Ray - For Maya 4.0X, 4.1X, 4.3X / For 3ds Max 4.30
- Renderman - For Maya 22.4, 22.5 / For Katana 22.4, 22.5
- Redshift - For Maya 2.6.49, 2.6.5X / For Katana 2.6.51
- USD (beta) - Standalone 0.19.11 / For Houdini 18 / For Katana 3.5
- Guerilla Render 2.1, 2.2

Also supported (but must be manually installed):

- Arnold - Mtoa 4.0 / KtoA 3.0
- V-Ray - For Maya 3.6X
- Renderman - For Maya 23.0 / For Katana 23.0
- Redshift - For Maya 2.6.14-48




GOLAEM 7.2.2 - CHANGELOG - February 10th 2020
---------------------------------------------

** New features

- Added skinning support for Fur Assets
- Fur Assets can now be baked in Alembic file


** Improvements

- Improved Layout Tool Cache performances
- Improved Alembic baker performances 
- Fur Assets can now be created out of Maya curves
- Added height field support in the Crowd Rigid Body Node
- Added Safety Distance Noise Attribute in the Traffic Behavior
- Added Lateral Noise Attribute in the Traffic Behavior
- Added information about the gfc file on the Fur Asset Node
- Added Trajectory follow in the Steer Behavior
- Added Mesh target in the Steer Behavior
- Added support of Maya Fields in the Force Behavior
- Added Golaem and PPAttr in the transform of each Entity in the USD Plugin
- Added namespace and PPAttr (glmAttributeNamespace) in the USD Plugin
- Added support for Houdini 18
- Added support for Mtoa 4.0
- Added support for USD for Houdini 18


** Bug fixes

- Fixed a crash when opening a scene with Shader Layers in the Layout File
- Fixed a crash when displaying Entities with 0 vertex meshes in the Population Tool
- Fixed a crash when using Characters with blendshapes but without blendshape values in the Simulation Cache
- Fixed a crash when restarting a Traffic Simulation with different roads
- Fixed Populate on Curve when curve is part of a Traffic Locator in the Population Tool
- Fixed FBX bake when using Skeleton Overrides 
- Fixed mesh naming when importing a GCG File in Maya
- Fixed displacement when using Mtoa 3.3
- Fixed loop in the TrafficGoto Behavior
- Fixed dirmap attribute in the USD exporter
- Fixed RIB export in the Simulation Baker


** Refactoring

- Feedback about missing files in the Library Tool
- Removed support for Maya 2016
- Removed support for Mtoa 3.0, 2.X
- Removed support for Mental Ray
- Removed support for 3Delight


** API

- Added user callbacks when a file is opened or saved


** Supported DCCs

- Autodesk Maya 2017, 2018, 2019
- Autodesk 3ds Max 2017, 2018, 2019, 2020
- Foundry Katana 2.5, 2.6 and 3.X
- Unreal Engine 4.22 (4.21, 4.23 on demand)
- SideFx Houdini 17.5


** Supported Rendering Engines

- Arnold - Mtoa 3.1, 3.2, 3.3 / KtoA 2.X
- V-Ray - For Maya 4.0X, 4.1X, 4.3X / For 3ds Max 4.30
- Renderman - For Maya 22.4, 22.5 / For Katana 22.4, 22.5
- Redshift - For Maya 2.6.49, 2.6.5X / For Katana 2.6.51
- USD (beta) - Standalone 0.19.11 / For Houdini 18
- Guerilla Render 2.1, 2.2

Also supported (but must be manually installed):

- Arnold - Mtoa 4.0
- V-Ray - For Maya 3.6X
- Renderman - For Maya 23.0 / For Katana 23.0
- Redshift - For Maya 2.6.14-48




GOLAEM 7.2.1 - CHANGELOG - January 15th 2020
---------------------------------------------

** New features

- New Golaem procedural plugin for USD 0.19.11 (beta)


** Improvements

- Added USD exporter in the Crowd Render Proxy
- NavMesh computation is now multithreaded
- Added a Max Speed Ramp attribute in the LookAt Behavior
- Added a Max Angular Velocity attribute in the Physics Locator
- Added slot sorting attributes in the Population Tool Locator
- Added support of Matte attribute in the Redshift rendering plugin
- Added support of tangents in the rendering plugins
- Added support for V-Ray For Max Update 3 
- Added support for Renderman 23 (For Maya and Katana)
- Added support of instancing when using FBX to store Character Geometry
- Added Redshift rendering parameters in the Golaem for Katana plugin
- Added noise parameters on the SetShaderAttribute Layer in the Layout Tool
- Increased number of bones support in the Render Previz Display Mode
- Rendered Geometry and Fur Curves and now generated in Entity Space
- Improved common attribute display in the Entity Inspector
- Simulation Cache Layout Layers can be created from the Entity Inspector


** Bug fixes

- Fixed TrafficGoto Behavior Attribute Editor
- Fixed GCG Maya import with scaled bindposes
- Fixed Population Tool Entity Display when hidden
- Fixed dropdown in the TrajectoryVectorField Layer
- Fixed string flag error in the glmCharacterMaker command
- Fixed FBX Character Export when using the Character Maker
- Fixed a crash when importing Fur Curves with uniform uvs
- Fixed a crash when a cached frame is unloaded in Simulation Cache Proxy
- Fixed Population Tool Entity Display when a Mesh Asset has no Shading Group
- Fixed error message when selecting the Geometry Node in the Character Maker
- Fixed scene opening when the Crowd Manager is not created first


** Refactoring

- Refactored LookAt Behavior Attribute Editor
- Refactored SyncMotion Behavior Attribute Editor


** Supported DCCs

- Autodesk Maya 2016, 2017, 2018, 2019
- Autodesk 3ds Max 2016, 2017, 2018, 2019
- Foundry Katana 2.5, 2.6 and 3.X
- Unreal Engine 4.22 (4.21, 4.23 on demand)
- SideFx Houdini 17.5


** Supported Rendering Engines

- Arnold - Mtoa 3.1, 3.2, 3.3 / KtoA 2.X
- V-Ray - For Maya 4.0X, 4.1X, 4.3X / For 3ds Max 4.30
- Renderman - For Maya 22.4, 22.5 / For Katana 22.4, 22.5
- Redshift - For Maya 2.6.49, 2.6.5X / For Katana 2.6.51
- 3Delight Studio Pro - For Maya 11.0.XX, 12.X
- Mental Ray - For Maya 3.13.X
- Guerilla Render 2.1, 2.2

Also supported (but must be manually installed):

- Arnold - Mtoa 3.0, 2.X
- V-Ray - For Maya 3.6X
- Renderman - For Maya 23.0 / For Katana 23.0
- Redshift - For Maya 2.6.14-48




GOLAEM 7.2 - CHANGELOG - November 21st 2019
---------------------------------------------

** New features

- New Override Nodes in the Character Maker to represent different morphologies within the same Character File
- New Simulation Cache Entity Inspector to query data about Entities in Cache Replay Mode
- Added a Scatter Mode in the Population Tool to scatter vegetation or organic Entities
- Added an Entity Display mode in the Population Tool to see placement before creating the particles
- Added decimation options in the Population Tool (distance, slope...)
- Added support of Redshift For Katana (from Redshift 2.6.49)
- Added Layout Tool in the Golaem for Katana plugin
- Added Simulation Cache Library in the Golaem for Katana plugin


** Improvements

- New Traffic Channels (hasTarget, turning left/right...)
- Added speed limits on curves in the Traffic Locator
- Added roll controller in the Rig Layer of the Layout Tool
- Improved mesh pinning of 3D oriented Entities
- Added support of camera DOF in Cache Replay Mode
- Added support of camera Frustum Culling in Cache Replay Mode
- Added support of keyframes to enable / disable Layout Files in the Simulation Cache Proxy
- Added support of keyframes to enable / disable Layout Files in the Crowd Render Proxy
- Added LOD support in the Golaem For Katana plugin
- Added support of packed primitives in the Golaem For Houdini plugin
- Improved display performances (x10) in the Golaem For Houdini plugin


** Bug fixes

- Fixed Python API initialization
- Fixed GCG export of meshes using multi materials
- Fixed meshes namespace management when rendering using a GCG File
- Fixed meshes not skinned or not parented when rendering using a FBX File
- Fixed Entity Perception Box size when Crowd Unit is changed
- Fixed Populate On Curve mode of the Population Tool when Crowd Unit is changed
- Fixed foot sequence computation in the Locomotion Behavior
- Fixed offset when using Freeze on Collided in the MasterSlave Behavior
- Fixed Entity Selection filtering in Cache Replay Mode
- Fixed Geometry Files not archived when in Cache Replay Mode
- Fixed Maya hanging when shutdown if Redshift was loaded
- Fixed a crash when rendering outside of Maya (within Kick or Katana)
- Fixed a crash when rendering a frame X.001
- Fixed a crash when baking a Layout File on a Simulation Cache
- Fixed a crash when using NavMesh None in the Terrain Locator
- Fixed attributeValueType property in the glmCharacterMaker command
- Fixed icons loading in the Golaem For Houdini plugin


** Refactoring

- Changed Traffic simulation paradigm. A Traffic Goto is now required for Entities to wander
- Changed licensing model for the Golaem for Unreal Engine plugin (now can use a Layout License)
- Changed licensing model for the Golaem for Houdini plugin (now can use a Layout License)
- Changed shelf icon for the Visual Feedback Tool
- Removed XML saving / loading for the Golaem For Katana plugin
- Removed Excluded Entities and Shading Overrides in the Golaem For Katana plugin (can use Layout Tool now)
- Removed need of environment variable for Renderman in the Golaem For Katana plugin
- Removed support of Redshift 2.5


** API

- New glmMotionFileTool command to query Motion File properties
- Added cloth access in the glmCrowdSimulationCacheTool sample
- Added License query functions in the Python API
- Added getParentBone function in the Python API
- Updated Simulation Cache Library Tool for QT 5.6
- Updated Layout Tool Tool for QT 5.6


** Samples

- Added a cartoon Character in the Character Pack
- Added a morphology variation sample in the Character Pack


** Supported DCCs

- Autodesk Maya 2016, 2017, 2018, 2019
- Autodesk 3ds Max 2016, 2017, 2018, 2019
- Foundry Katana 2.5, 2.6 and 3.X
- Unreal Engine 4.22 (4.21, 4.23 on demand)
- SideFx Houdini 17.5


** Supported Rendering Engines

- Arnold - Mtoa 3.1, 3.2, 3.3 / KtoA 2.X
- V-Ray - For Maya 4.0X, 4.1X / For 3ds Max 4.10
- Renderman - For Maya 22.4, 22.5 / For Katana 22.4, 22.5
- Redshift - For Maya 2.6.49 / For Katana 2.6.49
- 3Delight Studio Pro - For Maya 11.0.XX, 12.X
- Mental Ray - For Maya 3.13.X
- Guerilla Render 2.1, 2.2

Also supported (but must be manually installed):

- Arnold - Mtoa 3.0, 2.X
- V-Ray - For Maya 3.6X
- Redshift - For Maya 2.6.14-48




GOLAEM 7.1.1.1 - CHANGELOG - October 31st 2019
---------------------------------------------

** Bug fixes

- Fixed deadlock when rendering Golaem Cache outside of Maya (kick, Katana...)


** Supported Rendering Engines

- Mtoa 3.1, 3.2
- V-Ray For Maya 4.0X
- V-Ray For 3ds Max 4.10
- Renderman For Maya 22.4, 22.5
- Mental Ray 3.13.X
- Redshift 2.6.14-20
- 3Delight Studio Pro 11.0.XX and 12.X
- Guerilla Render 2.1, 2.2
- Katana 2.5, 2.6 and 3.X from KtoA 2.X and RfK 22.4, 22.5
- Unreal Engine 4.20
- Houdini 17.5

Also supported (but must be manually installed):

- Mtoa 3.0, 2.X
- V-Ray For Maya 3.6X
- Redshift 2.5.64-71
- Unreal Engine 4.21-23




GOLAEM 7.1.1 - CHANGELOG - October 8th 2019
---------------------------------------------

** New features

- Added support of instancing in the Character Geometry file (animated or not)
- Added "Mesh Target" mode on Goto Behavior


** Improvements

- Added a Far Clip Distance in the Simulation Cache Proxy
- Enabled multithreading in the Renderman Plugin
- Added curve type parameter when rendering fur with the Renderman Plugin
- Added search field in the Add / Remove Mesh Assets Helper in the Layout Tool
- Added fallback on Goto Behavior when target is outside the navigation mesh
- Added Stop On Target Reached option on Goto Behavior (on by default)

** Bug fixes

- Fixed Cryptomatte passe when using multiple Crowd Render Proxies
- Fixed Entity Type detection size not taken into account in Perception
- Fixed Keyframe Locator creation / deletion in the Layout Tool
- Fixed ground adaptation when using multiple Layout Files in the Layout Tool
- Fixed fur rendering when using a specific number of CV per curve
- Fixed rendering of Geometry Behavior when not starting at frame 0 
- Fixed rendering of Geometry Behavior when using instancing 
- Fixed refresh when changing ground adaptation in the Simulation Cache Proxy Manager
- Fixed "AEreplaceCompound" error message in the Simulation Cache Proxy
- Fixed ChOps connection deletion 
- Fixed ChOps error message when connecting in a backward way
- Fixed reinitializing Layout Editor window position when a new layout file is loaded
- Fixed layout files not being added when archiving a scene
- Fixed terrain not being taken into account when using layout in Houdini plugin
- Fixed a crash in Houdini when trying to add shader attributes with invalid names. Invalid names are now encoded
- Fixed uvs in Houdini when rendering with Arnold
- Fixed ground adaptation when legs are attached to a spine with null length

** Refactoring

- Updated Render Checker for Renderman 22
- The Simulation Cache Library Tool is now available without a license
- Renamed Entity Type parameter Detection Shape and Detection Shape Offset


** Supported Rendering Engines

- Mtoa 3.1, 3.2
- V-Ray For Maya 4.0X
- V-Ray For 3ds Max 4.10
- Renderman For Maya 22.4, 22.5
- Mental Ray 3.13.X
- Redshift 2.6.14-20
- 3Delight Studio Pro 11.0.XX and 12.X
- Guerilla Render 2.1, 2.2
- Katana 2.5, 2.6 and 3.X from KtoA 2.X and RfK 22.4, 22.5
- Unreal Engine 4.20
- Houdini 17.5

Also supported (but must be manually installed):

- Mtoa 3.0, 2.X
- V-Ray For Maya 3.6X
- Redshift 2.5.64-71
- Unreal Engine 4.21-23




GOLAEM 7.1 - CHANGELOG - September 9th 2019
---------------------------------------------

** New features

- New Golaem plugin for Houdini 17.5 which allows to preview and render Golaem Caches in Mantra (beta)
- Cache Proxies can now have a hierarchy of Layout Files to layout Simulation Cache at multiple levels (project, sequence, shot...)
- New renderer attributes mechanism to control per mesh rendering properties (subd, displ, viz...) for Arnold, Vray, Renderman rendering plugin


** Improvements

- Added an offline mode to the Posture and the Rig Layers in the Layout Tool
- Added an 'Import Maya Keyframes' button on the Posture and Rig Layer in the Layout Tool
- Layout Nodes can be double clicked to be added to the latest Selector in the Layout Tool
- Added a progress bar when loading keyframes in the Layout Tool
- Layers can now be copied between Layout Files in the Layout Tool
- Layers can now be directly added to links or Groups in the Layout Tool
- Added a indicator * on tabs that are modified but not yet saved in the Layout Tool
- A Merge Layer is now added if several links are connected to root when grouping in the Layout Tool
- Added ungroup option in the Layout Tool
- Notes can be copied in the Layout Tool
- Added coloring of Entities when a Behavior starts
- Added support for Guerilla Render 2.2
- Added support for expression based shading in Guerilla Render 2.2


** Bug fixes

- Fixed first frame and batch rendering in the 3ds Max render plugin
- Fixed the Set Mode of the Posture Layer in the Layout Tool
- Fixed saving of nested Layer Groups in the Layout Tool
- Fixed doubled connections between nodes when grouped in the Layout Tool
- Fixed Populate On Curve with various Crowd Unit in the Population Tool
- Fixed Populate On Curve and Terrain pinning in the Population Tool
- Fixed Terrain Adaptation in the Renderman render plugin
- Fixed a crash when parsing some attributes in the Renderman render plugin
- Fixed a crash when displaying fur previz with textures


** Refactoring

- Refactored Undo/Redo in the Layout Tool
- Removed the Set Mode of the Rig Layer in the Layout Tool
- duplicateIds are now replaced by an expression taking their ID directly from node output in the Layout Tool
- Improved update of keyframes of the Posture Layer in the Layout Tool
- Layout Graphs are now centered when opening Layout Files or Layout Groups
- Removed .mi option in the Crowd Archiver Node


** Supported Rendering Engines

- Mtoa 3.1, 3.2
- V-Ray For Maya 4.0X
- V-Ray For 3ds Max 4.10
- Renderman For Maya 22.4, 22.5
- Mental Ray 3.13.X
- Redshift 2.6.14-20
- 3Delight Studio Pro 11.0.XX and 12.X
- Guerilla Render 2.1, 2.2
- Katana 2.5, 2.6 and 3.X from KtoA 2.X and RfK 22.4, 22.5
- Unreal Engine 4.20
- Houdini 17.5

Also supported (but must be manually installed):

- Mtoa 3.0, 2.X
- V-Ray For Maya 3.6X
- Redshift 2.5.64-71




GOLAEM 7.0.3 - CHANGELOG - August 7th 2019
---------------------------------------------

** Improvements

- New mode to rotate Entities around their pivots in the Layout Tool
- Added Selection Filter preset in the Layout Tool
- New Blind Data Replay mode in the EntityType Node
- Better ground adaptation when using an additive Squash n Stretch animation
- Improved Simulation Cache recyling in the Layout Tool
- Added scale, characterFileId and geoFileId in the Point Cache Alembic export


** Bug fixes

- Fixed Vector Field Layer raycast and refresh in the Layout Tool
- Fixed unset of the Root Node in the Layout Tool
- Fixed Simulation Cache refresh when setting root and using scale in the Layout Tool
- Fixed duplicated Entities not always scaled and / or noised correctly in the Layout Tool
- Fixed display when dragging a maya object plugged to Layout Tool keyframes
- Fixed memory budget not restored when loading the scene in the Layout Tool
- Fixed loop protection in the Layout Tool
- Fixed crossing not letting cars pass if the road is shorter than the Entity in the Traffic Behavior
- Fixed bone names in Point Cache Alembic export


** Refactoring

- Removed support of Renderman 21
- Display Percent as number in addition to slider in the Layout Tool


** Supported Rendering Engines

- Mtoa 3.1, 3.2
- V-Ray For Maya 4.0X
- V-Ray For 3ds Max 4.10
- Renderman For Maya 22.4, 22.5
- Mental Ray 3.13.X
- Redshift 2.6.14-20
- 3Delight Studio Pro 11.0.XX and 12.X
- Guerilla Render 1.4.4
- Katana 2.5, 2.6 and 3.X from KtoA 2.X and RfK 21.6, 22.X
- Unreal Engine 4.20

Also supported (but must be manually installed):

- Mtoa 3.0, 2.X
- V-Ray For Maya 3.6X
- Redshift 2.5.64-71




GOLAEM 7.0.2 - CHANGELOG - July 10th 2019
---------------------------------------------

** New features

- New BlendShape / BlindData Layer in the Layout Tool
- New SetGeoFile Layer in the Layout Tool
- Source code of the Unreal Plugin is published under LGPL v2.1


** Improvements

- Layout Nodes allows multiple outputs
- Layout Nodes can be double clicked to be added to the latest Selector in the Layout Tool
- Added raycast options on the GroundAdaptation Layer in the Layout Tool
- Added noise parameters on Translate, Rotate, LookAt, Scale, Expand Layers in the Layout Tool
- Added an auto alignment on the LookAt Layer in the Layout Tool
- Improved performances on the Vector Field Layer in the Layout Tool
- Improved node graphs display in the Layout Tool and the ChOp Editor
- Improved performances when a Simulation Cache uses multiple CrowdFields
- Simulation Cache Library Tool can now be resized
- Simulation Exporter can now export thumbnails for the auto generated Library Files
- Items can be renamed in the Simulation Cache Library Tool
- Directories can now be imported in the Simulation Cache Library Tool
- New Advanced panel in the Simulation Exporter
- Added support of aiUserDataString in detection of Shader Attributes
- Added Character Maker button in the Simulation Cache and Render proxy nodes


** Bug fixes

- Fixed viewport refreshes in the Layout Tool
- Fixed a crash when using a SetMeshAsset Layer in the Layout Tool
- Fixed unstability in the LookAt Layer in the Layout Tool
- Fixed rendering unstability when using the Kill / Unkill layers
- Fixed focus changing when saving or reopening a file in the Layout Tool
- Fixed the Simulation Cache Bake in the Simulation Exporter
- Fixed the Simulation Cache Output refresh
- Fixed Layout File saving when having multiple Simulation Cache Proxies in a scene
- Fixed error messages when the plugin is loaded at scene opening
- Fixed a potential crash when rendering in Katana
- Fixed ground adaptation not working correctly when using Squash and Stretch


** Refactoring

- Changed noise parameters on FaceTo, FrameOffset, FrameWarp Layers for consistency reasons
- Changed icon of the FaceTo Layer in the Layout Tool
- Removed the Scale Range Layer in the Layout Tool (can now be done with the Scale Layer)
- Removed the Mental Ray Bake Export option in the Simulation Exporter
- Renamed Export Caa File Only in the Simulation Exporter


** API

- New Simulation Cache Library Python API
- Added a stand alone launcher for the Simulation Cache Library
- Added a stand alone launcher for the Layout Tool
- Added accesses to the SimulationData and FrameData in the Simulation Cache Python API
- Added getBoneNames / getSortedBones functions in the Simulation Cache Python API


** Supported Rendering Engines

- Mtoa 3.1, 3.2
- V-Ray For Maya 4.0X
- V-Ray For 3ds Max 4.10
- Renderman For Maya 22.4, 22.5
- Mental Ray 3.13.X
- Redshift 2.6.14-20
- 3Delight Studio Pro 11.0.XX and 12.X
- Guerilla Render 1.4.4
- Katana 2.5, 2.6 and 3.X from KtoA 2.X and RfK 21.6, 22.X
- Unreal Engine 4.20

Also supported (but must be manually installed):

- Mtoa 3.0, 2.X
- V-Ray For Maya 3.6X
- Renderman Studio 21.5-7
- Redshift 2.5.64-71




GOLAEM 7.0.1 - CHANGELOG - June 10th 2019
---------------------------------------------

** New features

- New Nodal Simulation Layout Tool in the Golaem for Maya plugin
- New Nodal Simulation Layout Tool in the Golaem for Unreal plugin
- New Nodal Simulation Layout Tool standalone 
- New Full IK Rig Layer in the Layout Tool to reanimate characters
- New Ground Adaptation Layer (with IK on feet) in the Layout Tool
- New Look At Layer in the Layout Tool
- New Face To Layer in the Layout Tool
- New Set Frame Layer in the Layout Tool
- Relevant attributes of Layers of the Layout Tool can now be keyframed
- Keyframable attributes of Layers can be controlled by Maya locators
- New Merge Simulation Caches Tool


** Improvements

- Added support of the Geometry Tag in the Golaem For Katana plugin
- Added support of subdivision parameters for Renderman in the Golaem For Katana plugin
- Added Crowd Unit and Character import scale support in the Golaem for Unreal plugin
- Added RotateVector, RotateEuler and Normalize operations in the ChOp Editor
- Added displacement support in the Golaem For Renderman plugin
- Golaem painted locators can now be controlled by Maya Shading Nodes


** Bug fixes

- Fixed missing cloth deformation when using fur
- Fixed '-' parsing in the Golaem For Renderman plugin
- Fixed the normal pass in the Golaem For Renderman plugin within Katana
- Fixed batch rendering in he Golaem For Renderman plugin (must use Renderman 22.4)
- Fixed Distance trigger when linking Maya groups with objects


** Refactoring

- Crowd Manager Attributes have been rearranged 
- Swiss Knife Tool has been merged in the Crowd Manager Attributes


** API

- Layout File format (.gscl) has been completely rewritten
- New Golaem Layout Python API
- Simulation Cache C++ API has been updated for the new Layout Tool
- Simulation Cache Python API has been updated for the new Layout Tool


** Supported Rendering Engines

- Mtoa 3.1, 3.2
- V-Ray For Maya 4.0X
- V-Ray For 3ds Max 4.10
- Renderman For Maya 22.4, 22.5
- Mental Ray 3.13.X
- Redshift 2.6.14-20
- 3Delight Studio Pro 11.0.XX and 12.X
- Guerilla Render 1.4.4
- Katana 2.5, 2.6 and 3.X from KtoA 2.X and RfK 21.6, 22.X
- Unreal Engine 4.20

Also supported (but must be manually installed):

- Mtoa 3.0, 2.X
- V-Ray For Maya 3.6X
- Renderman Studio 21.5-7
- Redshift 2.5.64-71




GOLAEM 6.4.4 - CHANGELOG - April 5th 2019
---------------------------------------------

** Improvements

- Added support of animation Crowd Render Proxy in the VRay Render plugin
- Enabled 0 backward and/or forward default lane count on the Traffic Locator


** Bug fixes

- Fixed a GPU memory leak when using the Apex Cloth Behavior
- Fixed Cloth deformation not displayed at Cache Replay
- Fixed Sensor Locator Entity Type Filters references
- Fixed Lane Change not working in the Traffic Locator
- Fixed Driver Side not working in the Traffic Locator
- Fixed Layout Character Palette shuffle sampling not taken into account
- Fixed a crash when using Visual Feedback with no geometry mapped to the Sensor
- Fixed a crash when baking geometry without UVs as Alembic
- Fixed a crash when rendering with the Arnold Render plugin
- Fixed a crash when baking Geometry after changing Character Files
- Fixed IK when having null length bone in the Character Maker
- Fixed normals in the Arnold Render plugin
- Fixed UVs for fur in the VRay Render plugin


** Refactoring

- Changed Layout Character Palette default shuffle sampling from 10 to 100


** Supported Rendering Engines

- Mtoa 3.1
- V-Ray For Maya 4.0X
- V-Ray For 3ds Max 4.10
- Renderman Studio 22
- Mental Ray 3.13.X
- Redshift 2.6.14-20
- 3Delight Studio Pro 11.0.XX and 12.X
- Guerilla Render 1.4.4
- Katana 2.5, 2.6 and 3.0 from KtoA 2.X and RfK 21.6, 22.X
- Unreal Engine 4.20

Also supported (but must be manually installed):

- Mtoa 3.0, 2.X
- V-Ray For Maya 3.6X
- Renderman Studio 21.5-7
- Redshift 2.5.64-71




GOLAEM 6.4.3 - CHANGELOG - March 1st 2019
---------------------------------------------

** New features

- Added support for Maya 2019
- Added support for 3dsMax 2019
- New Character File distance-based LOD system at simulation time and rendering time


** Improvements

- Added Arnold visibility flags controlled through Shader Attributes in the Character Maker
- Added Receive Shadows Override, Self Shadows Override attributes on Crowd Render Proxy (in the Arnold Attributes)
- Added Golaem Terrain Geometry exporter from the Maya Export menu
- Added Noise X following curve direction when using Curve Mode in the Population Tool
- Added expression inputs for direction & intensity in the Force Behavior
- Channels closestEntity / closestEntityOfType is now dynamic, evaluated at each call
- Improved Population Tool placement performance
- Added an Execution priority on Behaviors inside a parallel. Default to 0
 Added subexpression in Golaem Attributes and Channel Expressions, such as entity##this.attribute.aTargetId##.position


** Bug fixes

- Fixed Character Geometry File swapping during the simulation in the Geometry Behavior
- Fixed Local Translation on the SetBone Behavior
- Fixed "Lock Posture on Stop" in the Physicalize Behavior
- Fixed a crash when trying to load an invalid Layout File
- Fixed a crash in the Navigation Behavior when there is no Perception Locator
- Fixed a crash when trying to render fur without any shader assigned in the Character Maker
- Fixed a crash when using the UVPin & the Kill Behavior
- Fixed a crash when using nested (##) expressions in mel 


** Refactoring

- New Maya Extension for the Redshift plugin (split from the plugin)


** Supported Rendering Engines

- Mtoa 3.1
- V-Ray For Maya 4.0X
- V-Ray For 3ds Max 4.10
- Renderman Studio 22
- Mental Ray 3.13.X
- Redshift 2.6.14-20
- 3Delight Studio Pro 11.0.XX and 12.X
- Guerilla Render 1.4.4
- Katana 2.5, 2.6 and 3.0 from KtoA 2.X and RfK 21.6, 22.1

Also supported (but must be manually installed):

- Mtoa 3.0, 2.X
- V-Ray For Maya 3.6X
- Renderman Studio 21.5-7
- Redshift 2.5.64-71




GOLAEM 6.4.2 - CHANGELOG - February 1st 2019
---------------------------------------------

** Improvements

- Added Xgen density mask support in Golaem Fur
- Added support for Python user callbacks when Golaem Render nodes are created
- Rendering plugins for Mtoa 3, Redshift 2.6, Vray Next and Renderman 22 are now installed by default


** Bug fixes

- Fixed a crash when setting a bone in the Channel Operator Behavior
- Fixed a crash when displaying Entities without Geometry File
- Fixed a crash when canceling fur export in the Character Maker
- Fixed Shader Attribute being connected to the Character Node in the Character Maker
- Fixed motion blur in the Renderman For Katana plugin
- Fixed fur computation when the character is oriented
- Fixed frustum culling in Cache Replay mode
- Fixed Redshift visibility overrides
- Fixed issues when launching the Library Tool
- Fixed error message when closing the Library Tool
- Fixed cryptomatte within the Renderman plugin
- Fixed entity selection in Maya 2018 when the Golaem Fur is drawn


** Refactoring

- Renderman plugin is now called from PreRenderFrame and PostRenderFrame MEL callbacks
- Hidden meshes are ignored by default when computing a NavMesh
- Warning message when computing a heavy 3D NavMesh 
- Updated warning message to take the Crowd Unit into account when computing a NavMesh


** API

- Renamed trx try and trz short flags for tlx tly tlz in the glmHistory command


** Supported Rendering Engines

- Mtoa 3.1
- V-Ray For Maya 4.0X
- V-Ray For 3ds Max 3.60.04-0.5
- Renderman Studio 22
- Mental Ray 3.13.X
- Redshift 2.6.14-20
- 3Delight Studio Pro 11.0.XX and 12.X
- Guerilla Render 1.4.4
- Katana 2.5, 2.6 and 3.0 from KtoA 2.X and RfK 21.6, 22.1

Also supported (but must be manually installed):

- Mtoa 3.0, 2.X
- V-Ray For Maya 3.6X
- Renderman Studio 21.5-7
- Redshift 2.5.64-71




GOLAEM 6.4.1.1 - CHANGELOG - January 4th 2019
---------------------------------------------

** Bug fixes

- Fixed a crash when displaying a Simulation Cache with a Layout File with the Katana Plugin
- Fixed a crash when displaying a Simulation Cache with a Layout File with the 3Ds Max Plugin


** Supported Rendering Engines

- Mtoa 3.0, 2.X
- V-Ray For Maya 3.6X
- V-Ray For 3ds Max 3.60.XX
- Renderman Studio 21.5-7
- Mental Ray 3.13.X
- Redshift 2.5.64-71
- 3Delight Studio Pro 11.0.XX and 12.X
- Guerilla Render 1.4.4
- Katana 2.5, 2.6 and 3.0 from KtoA 2.X and RfK 21.6, 22.1

Also supported (but must be manually installed):

- Mtoa 3.1
- V-Ray For Maya 4.0X
- Renderman Studio 22.1
- Redshift 2.6.14-20




GOLAEM 6.4.1 - CHANGELOG - December 18th 2018
---------------------------------------------

** Improvements

- New material prefix attribute in the Katana plugin
- New Shader Attribute "isVisible" in the Character Maker


** Bug fixes

- Fixed ground adaptation when using squash'n'stretch on Entity legs
- Fixed inconsistency when using multiple view panels with Golaem
- Fixed Entity selection in Render Previz with Maya 2018
- Fixed a crash when importing fur information without UVs
- Fixed a crash when selecting an Entity to open the Visual Feedback Tool
- Fixed rendering when fur widths are defined per curve and not per vertex
- Fixed Entity display in Cache Replay when shadows were enable in Maya 2018
- Fixed multiple display issues when using the Render Previz mode in Golaem
- Fixed memory leak in the Simulation Cache API
- Fixed drag and drop of Fur Asset Node in the Character Maker


** Refactoring

- Added log message when a fur is imported in the Character Maker


** API

- New glmTerrainFileRaycast command


** Supported Rendering Engines

- Mtoa 3.0, 2.X
- V-Ray For Maya 3.6X
- V-Ray For 3ds Max 3.60.XX
- Renderman Studio 21.5-7
- Mental Ray 3.13.X
- Redshift 2.5.64-71
- 3Delight Studio Pro 11.0.XX and 12.X
- Guerilla Render 1.4.4
- Katana 2.5, 2.6 and 3.0 from KtoA 2.X and RfK 21.6, 22.1

Also supported (but must be manually installed):

- Mtoa 3.1
- V-Ray For Maya 4.0X
- Renderman Studio 22.1
- Redshift 2.6.14-20




GOLAEM 6.4 - CHANGELOG - November 13th 2018
---------------------------------------------

** New features

- New Golaem plugin for Unreal Engine which allows to preview and render Golaem Caches (beta)
- Added support of procedural fur in the Arnold, V-Ray, Renderman render plugins
- Added support of UVSets when using FBX / GCG Character Geometry File
- Added support of UVSets in the Arnold, V-Ray, Renderman render plugins
- Added support of UVSets in the FBX geometry bake


** Improvements

- Added Render Callback check in the Render Checker
- Added World direction to body direction option in the ChOp Converter
- Added Body direction to world direction option in the ChOp Converter
- Added Local bone transform in the SetBone Behavir


** Bug fixes

- Fixed Roll Bones computation on Spine Limbs
- Fixed Roll Bones computation on Effector Limbs
- Fixed VP2 selection in Maya 2018 when having multiple Simulation Cache Proxies
- Fixed a crash when importing Mesh Asset node into a collapsed Group Node in the Character Maker
- Fixed a crash when using cloth simulation and emitters
- Fixed a crash when batch rendering with the Renderman render plugin
- Fixed destination terrain adaptation in the Renderman render plugin
- Fixed Plug Output connection to Maya objects
- Fixed constant force stopping in the Force Behavior
- Fixed Library export when exporting a Simulation Cache
- Fixed GLMCROWD_LAYOUTSAVE_ENABLE not taken into account when closing Maya
- Fixed smart selection in the Layout Tool


** Refactoring

- The Export to vrscene attribute now exports ascii vrscene in the Crowd Render Proxy
- Styled flat icons in the Behavior Editor


** Supported Rendering Engines

- Mtoa 3.0, 2.X
- V-Ray For Maya 3.6X
- V-Ray For 3ds Max 3.60.XX
- Renderman Studio 21.5-7
- Mental Ray 3.13.X
- Redshift 2.5.64-71
- 3Delight Studio Pro 11.0.XX and 12.X
- Guerilla Render 1.4.4
- Katana 2.5, 2.6 and 3.0 from KtoA 2.X and RfK 21.6, 22.1

Also supported (but must be manually installed):

- Mtoa 3.1
- Renderman Studio 22.1
- Redshift 2.6.14-20




GOLAEM 6.3.5 - CHANGELOG - September 28th 2018
---------------------------------------------

** Improvements

- Operator round, ceil and floor in the ChOp Operation Node


** Bug fixes

- Fixed VP2 Simulation Cache Proxy selection in Maya 2018
- Fixed Render Checker when using Golaem Attributes
- Fixed wrong motion blur when layout is enabled
- Fixed Apex Behavior when using multiple Physics Locators
- Fixed ground adaptation in the Traffic Locator


** Refactoring

- Styled flat icons in the Golaem Editors
- Exported Golaem Attributes are now exposed in the Crowd Manager Node
- Removed Ass export from the Simulation Baker (use Arnold ass export instead)
- Renamed Int output mode to Round output mode in the CrowdRamp

** API

- Added a wrapper to the Simulation Cache Library to make it independant from Maya
- Separated Simulation Cache Library in two Python modules (glm.ui.simCacheLibWindowand and glm.simCacheLib)


** Supported Rendering Engines

- Mtoa 3.0, 2.X
- V-Ray For Maya 3.6X
- V-Ray For 3ds Max 3.60.XX
- Renderman Studio 21.5-7
- Mental Ray 3.13.X
- Redshift 2.5.64-71
- 3Delight Studio Pro 11.0.XX & 12.X
- Guerilla Render 1.4.4
- Katana 2.5 and 2.6 from KtoA 1.1.5.1, 2.0.4 and RfK 21.6, 22.1

Also supported (but must be manually installed):

- Mtoa 3.1
- Renderman Studio 22.1
- Redshift 2.6.14-20




GOLAEM 6.3.4 - CHANGELOG - September 11th 2018
---------------------------------------------

** Improvements

- GLMCROWD_FULL_LICENSE environment variable can be added to force Full License fetching
- Added collision check for Component Mode based Population Tool
- Added self collision check for Component Mode based Population Tool
- Added Destination Terrain information in the Simulation Cache Library Items
- Added support of multiple attributes edition in the Shader Attribute Layer
- Improved evaluation of the Physicalize Behavior in Kinematic, Local and World Servo modes
- Added an optional paintedZoneName parameter to the painted*** channels
- Improved ground adaptation and pinning on deformed grounds
- Integer cast operator in the Ramp Node


** Bug fixes

- Fixed a crash with pinned grounds
- Fixed a crash when unhiding a Component Mode based Population Tool
- Fixed a crash when exporting the Simulation and the Manager start frame is lower than the scene start frame
- Fixed a crash when using the Simulation Percent attribute of the Manager 
- Fixed a crash when using Emitters and Cloth in Cache Replay Mode
- Fixed a crash when the Cloth Apex file is not found in the Character File
- Fixed asset percent assignment in the Character Maker geometry tab
- Fixed Traffic Locator not compatible with multiple CrowdFields
- Fixed reproducibility when using the Navigation Behavior
- Fixed Ground Adaptation when using the Layout Tool
- Fixed Physics Locator shared between simulations
- Fixed Blind Data mapping in the Locomotion Behavior
- Fixed rendering of cloth meshes being sometimes instanced
- Fixed nCloth simulation when the base mesh has transform values


** API

- Qt.py updated to version 1.1 


** Supported Rendering Engines

- Mtoa 3.0, 2.X
- V-Ray For Maya 3.6X
- V-Ray For 3ds Max 3.60.XX
- Renderman Studio 21.5-7
- Mental Ray 3.13.X
- Redshift 2.5.64-71
- 3Delight Studio Pro 11.0.XX & 12.X
- Guerilla Render 1.4.4
- Katana 2.5 and 2.6 from KtoA 1.1.5.1, 2.0.4 and RfK 21.6

Also supported (but must be manually installed):

- Mtoa 1.4.X
- Redshift 2.6.14-20




GOLAEM 6.3.3 - CHANGELOG - August 6th 2018
---------------------------------------------

** Improvements

- Golaem Attributes can now be exported in Simulation Caches and used as Shader Attributes
- Added Ground Cell and a Perching Cell options in the Visual Feedback Tool
- Improved one frame lag in the Expression Trigger
- New deformable attribute on the PolygonZone Trigger
- New Ground Is Deformable attribute in the Terrain Locator (beta)
- New Allow Collision At Start in the GoTo Behavior
- Floor and ceil operator in the Ramp Node


** Bug fixes

- Fixed motion blur when an Entity is killed in the Layout Tool
- Fixed a crash when using PerchOn and Pinning Behaviors
- Fixed a crash when using a non existing PPAttribute in the Channel Operator Behavior
- Fixed duplicating several times a wide range of Entities with the Layout Tool
- Fixed target randomization when the NavMesh is dynamic in the GoTo Behavior
- Fixed Boid Max Speed not properly taken into account in the Flock Behavior
- Fixed perching used with high speed boids in the PerchOn Behavior
- Fixed Social Force Avoidance in the Navigation Behavior
- Fixed ground adaptation with deformed meshes
- Fixed Footprint count in the Motion Clip Node
- Fixed crowd units in the Golaem For Max plugin


** Refactoring

- Population Tool and Paint Tool are now available with a Layout License


** Supported Rendering Engines

- Mtoa 3.0, 2.X
- V-Ray For Maya 3.6X
- V-Ray For 3ds Max 3.60.XX
- Renderman Studio 21.5-7
- Mental Ray 3.13.X
- Redshift 2.5.64-71
- 3Delight Studio Pro 11.0.XX & 12.X
- Guerilla Render 1.4.4
- Katana 2.5 and 2.6 from KtoA 1.1.5.1, 2.0.4 and RfK 21.6

Also supported (but must be manually installed):

- Mtoa 1.4.X
- Redshift 2.0.91-93




GOLAEM 6.3.2 - CHANGELOG - July 16th 2018
---------------------------------------------

** New features

- Support of XGen groom on static meshes with Arnold
- Support of XGen groom on static meshes with V-Ray
- New Populate On Curve mode in the Population Tool
- New Follow Curve mode in the GoTo Behavior


** Improvements

- Golaem up axis is now dynamic for Group Entities as well
- Support of NavMesh switch in the SetTerrain Behavior
- Added footprints display in The Motion Clip Preview Tool
- The Motion Clip node and the Motion Clip Preview Tool display the same values as the Character Maker
- MEL Expression now supports Golaem Attribute inner expression (##expression##)
- New path following attributes in the GoTo Behavior
- Improved performances of the Navigation Behavior


** Bug fixes

- Fixed path planning in the GoTo Behavior
- Fixed path following in large environments in the GoTo Behavior
- Fixed stopping interpolation in the Physicalize Behavior
- Fixed a crash when selecting cached Entities in Maya 2018 VP2.0
- Fixed a crash when rendering killed / emitted Entities
- Fixed a crash when perceiving killed entities in the Visual Feedback
- Fixed ground display in the Visual Feedback
- Fixed Perception not working correctly with the Kill and Emit Behaviors
- Fixed Perception and Sensor Locators VP2 display


** Refactoring

- Channel distanceToGoToTarget reports a real distance to target
- Automatic export of a Simulation Cache Library File when a simulation is exported
- Motion Clip Edit Parameters are linked to the original parameters by default


** Supported Rendering Engines

- Mtoa 3.0, 2.X
- V-Ray For Maya 3.6X
- V-Ray For 3ds Max 3.60.XX
- Renderman Studio 21.3 & 21.4
- Mental Ray 3.13.X
- Redshift 2.5.64-71
- 3Delight Studio Pro 11.0.XX & 12.X
- Guerilla Render 1.4.4
- Katana 2.5 and 2.6 from KtoA 1.1.5.1, 2.0.4 and RfK 21.6

Also supported (but must be manually installed):

- Mtoa 1.4.X
- Redshift 2.0.91-93




GOLAEM 6.3.1 - CHANGELOG - June 20th 2018
---------------------------------------------

** Improvements

- Fixed a potential crash when exiting Maya
- GLMCROWD_CHARAMAKER_AUTOLAYOUT environment variable can be set to to enable / disable auto layout in the Character Maker
- Added PLE License check in the Crowd Render Settings Checker
- Support of CryptoMatte in V-Ray
- Support of string Shader Attributes in V-Ray
- Added support for Python user callbacks when most Golaem nodes are created
- Added support for MEL user callbacks when a Crowd Manager Node is created
- New Footprint counter attribute in the Motion Clip Node
- New Max Step Spine Ratio attribute in the GroundAdapt Behavior
- Ground adaptation now works when there are Spine Nodes between the Pelvis and each of the Limb Nodes
- Correct projection of slots when Orient On Ground Normal is enabled in the Population Tool
- Terrain Locator can now be parented to animate its transform
- The number of triangles of a Locomotion database is now displayed in the Visual Feedback


** Bug fixes

- Fixed slowdown when opening scenes with references
- Fixed conversion of IK chains with null length bones
- Fixed Entity selection in Cache Replay Mode in Maya 2018
- Fixed computation of Cloth when using an AdaptOrientation Behavior
- Fixed Alembic Export for Character Geometry Files with per control points UVs and Normals
- Fixed Alembic Export reverted normals for .gcg Character Geometry Files
- Fixed ground adaptation errors when 3D Terrains
- Fixed a crash when not setting an expression in the GoTo Behavior
- Fixed a crash when a Behavior Graph is invalid
- Fixed Motion Clip draging in the SyncMotion and NavAndLoco Behaviors
- Fixed Transition node not created with SyncMotion and NavAndLoco Behaviors
- Fixed External Entity Locator Attribute Editor
- Fixed Population Tool slot edition not saved in Maya 2018
- Fixed Golaem Shelf when using a Layout license
- Fixed custom default shader with Mtoa 2.x and 3.x
- Fixed animation popping when the Starting Duration is very low in the Locomotion Behavior
- Fixed ground adaptation when "Create neutral animation" is true in the Locomotion Behavior
- Fixed ground adaptation footprint position computation
- Fixed support sequence not correctly saved in the Character Maker
- Fixed paintedColor Channel
- Fixed a potential crash when exiting Maya


** Refactoring

- Updated warning messages when exporting a Motion File using Squash'n'Stretch
- Refactored Group Entity Types and SetFormation Behavior Attribute Editor


** API

- New -boneOrientation in the glmSimulationCacheTool command


** Supported Rendering Engines

- Mtoa 3.0, 2.X
- V-Ray For Maya 3.6X
- V-Ray For 3ds Max 3.60.XX
- Renderman Studio 21.3 & 21.4
- Mental Ray 3.13.X
- Redshift 2.5.64-71
- 3Delight Studio Pro 11.0.XX & 12.X
- Guerilla Render 1.4.4
- Katana 2.5 and 2.6 from KtoA 1.1.5.1, 2.0.4 and RfK 21.6

Also supported (but must be manually installed):

- Mtoa 1.4.X
- Redshift 2.0.91-93




GOLAEM 6.3 - CHANGELOG - May 7th 2018
---------------------------------------------

** New features

- Golaem up axis is now dynamic (related to the terrain geometry normal)
- New Python API to read and write Simulation Cache Files
- New SetTerrain Behavior to change the ground geometry of Entities


** Improvements

- Adding Behaviors in a Behavior Graph does not influence previously generated random numbers anymore
- Warning message when a sane scene is opened with a PLE License
- Warning message when a hierarchy mismatch in detected in the Character Maker
- rgbPP value can be displayed by the Simulation Cache Proxy node
- Improved geometry / vertex cache support in the Golaem Character Geometry file (.gcg)
- New isAnimationEnabled Channel
- New Shelf Icon when running Golaem with a PLE License
- New "Update Mode" in the Terrain Locator
- New "Static" Formation Main Way mode in the SetFormation Behavior
- Improved bone orientation for IK chain with more than 3 bones
- Improved "Conversion Factor" computation in the Character Maker
- Improved performances when opening a Character File in the Character Maker
- Maya meshes inside Golaem do handle non uniform scales now
- New "Remap by Name" option when importing animation in the Character Maker
- Arnold 5 nodes are now created in a "golaem" namespace in the Arnold Render Proxy
- Added support for user callbacks when most Golaem nodes are created


** Bug fixes

- Fixed ground adaptation jittering (due to time warping)
- Fixed ground adaptation when using the "When Support Phase Changes" mode on hard slopes
- Fixed computation of null length bones orientation in IK chains with more than 3 bones
- Fixed conversion of IK chains with null length bones
- Fixed Conversion Quality Indicator with null length bones
- Fixed Shader Attribute creation when shared by multiple shaders in the Character Maker
- Fixed naming of duplicated rendering types in the Character Maker
- Fixed cloth cache export on meshes with multiple materials
- Fixed cloth cache rendering when using Time Edition Layers in the Simulation Layout Tool
- Fixed cloth cache rendering when an Entity is selection in the Simulation Layout Tool
- Fixed rotation when using different axis in the Edit Bone Layer of the Simulation Layout Tool
- Fixed duplicated Entity Ids after baking to Alembic in the Simulation Layout Tool
- Fixed merge of Simulation Layout File in the Simulation Layout Tool
- Fixed a crash when baking meshes with multiple materials as Alembic
- Fixed a crash when dragging a Population Tool on an empty space
- Fixed a crash when using Animation Channels on emitted Entities
- Fixed a crash when rendering incomplete meshes
- Fixed a crash when using the Population Tool as emitter with 0 slots
- Fixed a crash when hiding a Motion Locator
- Fixed a crash when an Entity Type is invalid in the Simulation Cache File in the Katana plugin
- Fixed lateral clearance computation in Group Entities
- Fixed desired velocity in Group Entities
- Fixed the display of the Polygon Population Tool
- Fixed an error message in the Population Tool Paint Attribute UI
- Fixed frame index when using Locomotion Channels in the Visual Feedback
- Fixed blendshape Render Previz issue, when the Character bind pose and rest pose do not match
- Fixed blendshape were lost when mirroring the skeleton animation
- Fixed entity selection disabling rendering of cloth meshes
- Fixed badly exported simulation cache when an emitter did not emit all of it's entities 


** Refactoring

- IK Cache configuration is now on the CharacterMaker Locator instead of the CharacterMaker UI
- Chosen slot is displayed as Local / Final target in the Visual Feedback when using the Formation Behavior
- Two Sided display is enabled by default in the Entity Type and Simulation Cache Proxy nodes
- Increased the default radius of a Flock Locator
- rgbPP is exported by default by the Simulation Exporter


** Supported Rendering Engines

- Mtoa 3.0, 2.X
- V-Ray For Maya 3.6X, 3.5X & 3.40.XX
- V-Ray For 3ds Max 3.60.XX
- Renderman Studio 21.3 & 21.4
- Mental Ray 3.13.X
- Redshift 2.5.34
- 3Delight Studio Pro 11.0.XX & 12.X
- Guerilla Render 1.4.4
- Katana 2.5 and 2.6 from KtoA 1.1.5.1, 2.0.4 and RfK 21.6

Also supported (but must be manually installed):

- Mtoa 1.4.X
- Redshift 2.0.91-93




GOLAEM 6.2.4 - CHANGELOG - March 5th 2018
---------------------------------------------

** New features

- Support of referencing in Golaem (beta)
- Create Reference / Update Reference menus


** Improvements

- GLMCROWD_LAYOUTSAVE_ENABLE environment variable can be set to 0 to disable Layout File automatic saves
- Support of crypto_asset tag in the Arnold plugin
- Support of string Shader Attributes in the Arnold plugin
- Support of zoom and drag in the Locomotion Database Visual Feedback
- Support of Shading Namespace in Simulation, Cache Replay and rendering
- Physics properties can be loaded from another Character File in the Character Maker
- New NavMesh generation mode
- New Update Mode in the Terrain Locator
- New low pass filter in the AdaptOrientation Behavior
- New "Wind Velocity Noise" Attribute in the ApexCloth Behavior
- New "Save Initial State On Stop" Attribute in the Attribute Behavior
- New "Orient On Ground Normals" Attribute in the Population Tool
- Perception Sensors now work in full 3D
- Raycast meshes can be displayed in the Visual Feedback
- New precise IK Plane blend hidden option in the EntityType Node
- Improved export of animation when using the Conversion Factor attributes
- Improved performances in the Terrain adaptation (raycast)
- Support of transformGeometry nodes in the Character Geometry Export


** Bug fixes

- Fixed support of Material ID and VRay Skin Mtl
- Fixed cloth rendering when the Layout Tool was used
- Fixed cloth cache export when other meshes have multi materials. Simulation Caches need to be reexported
- Fixed shared Shader Attributes import in the Character Maker
- Fixed Flee Mode in the Steer Behavior
- Fixed a crash when using the Polygon Zone Trigger and Group Entity Types
- Fixed a crash when the Cache File Directory was empty in the Crowd Render Proxy
- Fixed Polygon Population Tool display
- Fixed headAttBank Channel to take the Up vector into account
- Fixed IK Planes display when in Motion Mode in the Character Maker
- Fixed automatic mapping not detecting arms and legs in the Character Maker
- Fixed Visual Feedback opening with the Channel Operator Editor
- Fixed alias names display in the Channel Operator Editor


** Refactoring

- Target distance has been replaced by Influence Radius in the Steer Behavior
- Different color is used for additive blended motions in the Visual Feedback
- Motion Clips now display the real part of animation in the final posture in the Visual Feedback
- Refactored UI of the advanced export option for Character Geometry File (.gcg) in the Character Maker
- Simulation Exporter shelf icon exports cache on double clicks


** Supported Rendering Engines

- Mtoa 1.4.X
- V-Ray For Maya 3.6X, 3.5X & 3.40.XX
- V-Ray For 3ds Max 3.60.XX
- Renderman Studio 21.3 & 21.4
- Mental Ray 3.13.X
- Redshift 2.5.34
- 3Delight Studio Pro 11.0.XX & 12.X
- Guerilla Render 1.4.4
- Katana 2.5 and 2.6 from KtoA 1.1.5.1, 2.0.4 and RfK 21.6

Also supported (but must be manually installed):

- Mtoa 2.0 & 2.1
- Redshift 2.0.91-93




GOLAEM 6.2.3 - CHANGELOG - February 5th 2018
---------------------------------------------

** Improvements

- Support of Arnold 5 Render Stats
- Golaem particles are now hidden at render time
- Currently displayed Character File now appears in the Character Maker Locator Attributes
- Support of floating point frames in Arnold, V-Ray For Maya, V-Ray For Max, Redshift, Mental Ray and 3Delight
- Added an advanced export option for Character Geometry File (.gcg) in the Character Maker
- Support of string Shader Attributes in the Renderman plugin
- Support of HumanIk Joints in the Character Maker
- Population Tool can now populate using ground normals
- Improved Population Tool Paint display and viewport switching 
- Improved Path Follower performanced
- Behavior Triggers are renamed when a Behavior is renamed
- New Frame Override attribute in the Golaem For Max plugin
- Added Notes in the Channel Operator Editor
- Added a landing speed attribute in the PerchOn Behavior
- Node positions is conserved in the Channel Operator Editor
- New attributes to orient the Entity in the AdaptGround Behavior
- New attribute to compensate Pelvis Orientation in the AdaptGround Behavior 


** Bug fixes

- Fixed Trajectory Edit Layer reloading in Maya
- Fixed Trajectory Layer when Maya start frame is not 0
- Fixed sequencing of Flock Behaviors
- Fixed transformGeometry Nodes not taken into account in the Character Geometry File (.gcg) export
- Fixed Stopping Duration not taking into account Body Mask in the Physicalize Behavior
- Fixed a performance issue in the Golaem Character File (.gcg) importer
- Fixed a crash when initializing Sensors with more than four Navigation Behaviors
- Fixed a crash when using a Navigation Behavior without a Perception Locator
- Fixed a crash when using Golaem Attributes directly in an Expression
- Fixed a crash when using the Master-Slave Behavior
- Fixed a crash when using the Kill Behavior and the Visual Feedback
- Fixed a crash when using the Kill Behavior and an Expression
- Fixed a crash when rendering more than 10 Character Files
- Fixed a crash when rewinding a simulation that uses the Automatic Apex Creation feature of the ApexCloth Behavior
- Fixed a crash when having Layout Operations applied on Characters with Cloth in the Layout Tool
- Fixed rigid meshes scaling in the Character Geometry File
- Fixed reflections issues when using displacement in Redshift
- Fixed Maya double attributes not visible in the Custom Operations of the Swiss Knife Tool
- Fixed Animation Transition not created when connected through an Anchor Node
- Fixed display of killed Entities in the Golaem For Max plugin
- Fixed a display issue of the NavAndLoco Behavior in the Crowd Visual Feedback
- Fixed sampling when skeleton root height was far different from 1 in the NavAndLoco Behavior
- Fixed connection wrongly refreshed when slots were left empty in the Channel Operator Editor
- Fixed auto-layout not correctly resizing the scene for some nodes in the Channel Operator Editor
- Fixed ground adaptation on Physics Ground
- Fixed error message about glmRefreshChOpEditor not loaded
- Fixed cloth deformation applied to wrong meshes at render time after changing assets with the Character Palette


** Refactoring

- Motion Orientation Offset has now only the heading orientation in the Character Maker and in the Motion Clip
- Motion Orientation Ofsset attitude and bank parameters are replaced by a checkbox option in the Character Maker and in the Motion Clip
- Added an option to display the trajectories in the Visual Feedback of the NavAndLoco Behavior
- Improved error message when the bone count is different between the Character File and the Character Geometry File
- Improved error message when the bones in the .apx file do not correspond to the bones in the Character File
- Improved warning message when Expression is not valid (displays once only)
- Improved attribute display in the Channel Operator Editor for the Multiplexer Node


** API

- glmCreateEntityGeometry now takes into account Geometry Behavior and Tag in NAMES_AND_SHADERS mode  in glm_crowd_io.h
- glmDestroyEntityGeometryMesh now takes an uint8_t crowdField index instead of GlmEntityBoundingBox as last parameter (use bbox->_crowdFieldIndex instead)
- glmDestroyEntityGeometryMesh is now safe when using instancing in glm_crowd_io.h
- glmDestroyEntityGeometry is now safe when using instancing in glm_crowd_io.h
- New -bindPoseType flag in the glmExportCharacterGeometry command


** Packaging

- The Golaem For Katana plugin is now packaged in the Maya 2018 installation package (in procedurals/katana/)


** Supported Rendering Engines

- Mtoa 1.4.X
- V-Ray For Maya 3.6X, 3.5X & 3.40.XX
- V-Ray For 3ds Max 3.60.XX
- Renderman Studio 21.3 & 21.4
- Mental Ray 3.13.X
- Redshift 2.5.34
- 3Delight Studio Pro 11.0.XX & 12.X
- Guerilla Render 1.4.4
- Katana 2.5 and 2.6 from KtoA 1.1.5.1, 2.0.4 and RfK 21.6

Also supported (but must be manually installed):

- Mtoa 2.0 & 2.1
- Redshift 2.0.91-93




GOLAEM 6.2.2 - CHANGELOG - December 22nd 2017
---------------------------------------------

** New features

- New NavAndLoco Behavior which uses Motion Clips to drive the avoidance of Character (beta)


** Improvements

- Support of displacement in the Redshift plugin
- Smart selection in the Layout Tool
- Relative percentage in the Geometry Tab of the Character Maker


** Bug fixes

- Fixed Vector Field Outer Flow not working with Viewport 2.0
- Fixed Vector Field Clear Surface button with Viewport 2.0
- Fixed Vector Field Resolution with Viewport 2.0
- Fixed display issues with cloths in Cache Replay mode
- Fixed Population Tool slot orientation with Legacy Viewport
- Fixed automatic creation of Golaem Attributes
- Fixed ignored Golaem Attributes
- Fixed altered Maya shadows when creating Golaem nodes
- Fixed ground adaptation when combined with an animation with fully extended legs
- Fixed physics parameters not converted when using a custom Golaem Unit
- Fixed a crash when using Golaem Attributes and the ChOp Behavior
- Fixed a crash when rendering multple Render Proxies with different Shader Attributes
- Fixed a crash when adding more Character Files than required in the Render Proxy
- Fixed a mirror issue when using 3D grounds
- Fixed a potential crash when rendering different entity types with Renderman or 3Delight


** Refactoring

- Support of Mtoa 2.10 Shading system
- Warning message when a Simulation Cache is baked using a PLE License
- Changed position of "Fix Pos/Orient on Blending Frames" parameter in the Character Maker
- Renamed Golaem Attributes accesses in Expressions / ChOp Behavior from this.kb/crowdFieldKB.name to this.attribute/sharedAttribute.name 


** Supported Rendering Engines

- Mtoa 1.4.X
- V-Ray For Maya 3.6X, 3.5X & 3.40.XX
- V-Ray For 3ds Max 3.60.XX
- Renderman Studio 21.3 & 21.4
- Mental Ray 3.13.X
- Redshift 2.5.30
- 3Delight Studio Pro 11.0.XX & 12.X
- Guerilla Render 1.4.4
- Katana 2.5 and 2.6 from KtoA 1.1.5.1, 2.0.4 and RfK 21.6

Also supported (but must be manually installed):

- Mtoa 2.0 & 2.1
- Redshift 2.0.91-93




GOLAEM 6.2.1 - CHANGELOG - November 24th 2017
---------------------------------------------

** Improvements

- New global Shader Override attribute in the Maya Crowd Render Proxy
- New Additional Excluded Entities attribute in the Maya Crowd Render Proxy
- New global Shader Override attribute in the Katana plugin
- New Additional Excluded Entities attribute in the Katana plugin
- Support of shading assignment in the Katana plugin when using Renderman For Katana (from RfK 21.6)
- The Population Tool can populate in 3D (full orientation) in Component Mode
- The Simulation Cache Proxy transform is exported in the Katana NodeGraphXML file
- Character Shader Attributes can now be fed with predefined Channel values
- Character Shader Attributes can now be connected to the Character Node (and are assigned to all meshes)
- Improved stopping animation in the Locomotion Behavior


** Bug fixes

- Fixed wrong aiming in the AimAt Behavior
- Fixed mirror not working properly in the SyncMotion Behavior
- Fixed the Locomotion Behavior when used with an AdaptPosition Behavior
- Fixed position noise computation in the Population Tool
- Fixed Character conversion when using Geometry Tags in the Golaemizator


** Refactoring

- Full support of MtoA2 / Arnold5 using MtoA translators
- Default Linux temp variable is now TMPDIR instead of TMP
- KB Attribute renamed Golaem Attribute in the EntityType Node
- Alembic Point Cache bake export is not supported when using FBX Character Geometry File
- Character Shader Attribute of type "file" is replaced with "string"


** Supported Rendering Engines

- Mtoa 1.4.X
- V-Ray For Maya 3.6X, 3.5X & 3.40.XX
- V-Ray For 3ds Max 3.60.XX
- Renderman Studio 21.3 & 21.4
- Mental Ray 3.13.X
- Redshift 2.5.30
- 3Delight Studio Pro 11.0.XX & 12.X
- Guerilla Render 1.4.4
- Katana 2.5 and 2.6 from KtoA 1.1.5.1, 2.0.4 and RfK 21.6

Also supported (but must be manually installed):

- Mtoa 2.0
- Redshift 2.0.91-93




GOLAEM 6.2 - CHANGELOG - October 27th 2017
---------------------------------------------

** Important notice

From this release, Golaem Navigation relies on Golaem Sensors. Thus, all previous scenes using the 
Navigation Behavior will produce a slightly different result due to an improved perception system


** New features

- New Golaem plugin for Katana which allows to preview and render Golaem Caches within Katana, KtoA and RfK
- New Geometry Tag mechanism to switch the Geometry Files used in the different steps of the pipeline (simulation cache replay, render and bake)
- Introduction of the Golaem Attributes as replacement for the PPAttributes
- New Golaem Attribute Spreadsheet Tool to monitor and edit Golaem Attributes


** Improvements

- Navigation Behavior now uses Golaem Sensors for its perception. Sensors can be configured
- Support of Geometry Tags in the Geometry Behavior
- OptionVar glmGeometryTags can be used to define custom Geometry Tag names
- All selected items are deleted when clicking on a Simulation Layout Tool Layer delete button
- GLM_CROWDUNIT environment variable can also be used for the 3ds Max plugin
- Entity Scales are taken into account in Perception
- Orient Pelvis On Ground Normal attribute now works in particle mode within the AdaptGround Behavior


** Bug fixes

- Fixed motion blur computation with Arnold 5
- Fixed a crash when using the physics Behaviors and some specific collisions
- Fixed a crash when using Group EntityTypes
- Fixed a crash when using a Translate and a Rotate Expression in the SetBone Behavior
- Fixed a crash when displaying the Maya Rigid Bodies in the Character Maker under Linux
- Fixed Autocompute Skeleton Mapping not mapping some effectors in the Character Maker
- Fixed glmClearChOpEditor and glmRefreshChOpEditor being called in Maya batch
- Fixed geometry repartition within the Golaemisator Tool
- Fixed Golaemisator not opening with Maya 2017 and Linux
- Fixed Reset Shaders button with Renderman shaders
- Fixed time offset in the One File Per Entity Alembic Bake Mode
- Fixed Trajectory Edit and Trajectory Mode order in the Simulation Layout Tool
- Fixed error message about missing Simulation Cache when using Trajectory Layers
- Fixed Group Laxness not set correctly when using multiple Navigation Behaviors
- Fixed the loading of old Character Files (pre-v6) in the Character Maker
- Fixed V-Ray Subdivision 


** Refactoring

- Reorganized icons in the Simulation Layout Tool
- Crowd Archiver does not archive Simulation Caches anymore by default
- SiToA is not supported anymore


** API

- The Character Geometry files are now returned and set per Geometry Tag in the glmCharacterFileTool command
- Geometry properties now include the Geometry Tag in the glmCharacterMaker command
- Removed glmGetNavMeshDefaultValue command
- Removed glmSpatialRequestCmd command


** Supported Rendering Engines

- Mtoa 1.4.X
- V-Ray For Maya 3.6X, 3.5X & 3.40.XX
- V-Ray For 3ds Max 3.60.XX
- Renderman Studio 21.3 & 21.4
- Mental Ray 3.13.X
- Redshift 2.5.30
- 3Delight Studio Pro 11.0.XX & 12.X
- Guerilla Render 1.4.4
- Katana 2.5 and 2.6 with KtoA 1.1.X, 2.X and RfK 21.X

Also supported (but must be manually installed):

- Mtoa 2.0
- Redshift 2.0.91-93




GOLAEM 6.1.2.1 - CHANGELOG - October 2nd 2017
---------------------------------------------

** Bug fixes

- Fixed Trajectorty Edit Layer when selecting multiple entities
- Fixed Trajectory Vector Field Layer with Maya 2016 and the Legacy Viewport


** Supported Rendering Engines

- Mtoa 1.4.X
- V-Ray For Maya 3.5X & 3.40.XX
- V-Ray For 3ds Max 3.60.XX
- Renderman Studio 21.3 & 21.4
- Mental Ray 3.13.X
- Redshift 2.5.30
- 3Delight Studio Pro 11.0.XX & 12.X
- Guerilla Render 1.4.4
- Katana 2.X (Arnold and Renderman)

Also supported (but must be manually installed):

- Mtoa 2.0
- Redshift 2.0.91-93




GOLAEM 6.1.2 - CHANGELOG - September 28th 2017
---------------------------------------------

** Improvements

- Support of subdivision in 3Delight
- Support of subdivision in Redshift
- Support of n-edges faces in V-Ray
- Support of quad faces in Redshift
- Simulation Cache Library now opens library files in separate tabs
- Motion Mapping file in the Entity Type Node
- Meshes rendered with V-Ray RenderID now uses V-Ray ID generator
- Refresh Geometry button of the Simulation Cache Proxy Node also refreshes the rendering geometry cache
- New option to replay bone local orientations from the animation posture instead of the skeleton in the Physicalize Behavior
- New option to freeze cloth simulation in the ApexCloth Behavior
- New option to drive entities towards targets in the MeshPin Behavior
- Full component selection within the Population Tool and the Simulation Cache Proxy Node in Maya 2018
- Use Shift key to add / remove Entities to the current selection in the Simulation Cache Proxy Node in Maya 2018
- Use 'L' to auto layout selected bides in the Channel Operator Editor
- Grouped layers are deleted when the Group is deleted in the Simulation Layout Tool
- Selected layers are deleted when selected in the Simulation Layout Tool


** Bug fixes

- Fixed a bug when using the Time Offset Layer with a SnapTo Layer in the Simulation Layout Tool
- Fixed a bug when using the Edit Bone Layer with a SnapTo Layer in the Simulation Layout Tool
- Fixed dynamic speedRatioPP in Motion and SyncMotion Behaviors
- Fixed Triangle Mesh mode in the Crowd Rigid Body Node
- Fixed display of clothes in Simulation Cache Replay
- Fixed a crash when autocomputing the Character Skeleton in the Character Maker
- Fixed a crash when exporting gcg Geometry File with a joint-scaled bindpose
- Fixed vector expression parsing in ChOp nodes
- Fixed a layout bug in the Channel Operator Editor
- Fixed External Entity Locator undefined position when in collision with the NavMesh


** Refactoring

- Vector expressions are consistently displayed in the Channel Operator Editor and the Visual Feedback
- Updated icon in the Visual Feedback and the Channel Operator Behavior for the Channel Operator Editor


** API

- Rendering type can be fetched in the glmSimulationCacheTool command
- glmSpatialRequest command is deprecated


** Supported Rendering Engines

- Mtoa 1.4.X
- V-Ray For Maya 3.5X & 3.40.XX
- V-Ray For 3ds Max 3.60.XX
- Renderman Studio 21.3 & 21.4
- Mental Ray 3.13.X
- Redshift 2.5.30
- 3Delight Studio Pro 11.0.XX & 12.X
- Guerilla Render 1.4.4
- Katana 2.X (Arnold and Renderman)

Also supported (but must be manually installed):

- Mtoa 2.0
- Redshift 2.0.91-93




GOLAEM 6.1.1 - CHANGELOG - September 5th 2017
---------------------------------------------

** New features

- Added support for Maya 2018


** Improvements

- Improved plugin loading time when a firewall is set 
- Improved performances when using the SnapTo Layer in the Simulation Layout Tool
- New Export Animation Alembic Mode in the Simulation Baker (can be opened as a Point Cache within Houdini)
- Connections are now selectable and can be deleted using the Suppr Key in the the Channel Operator Editor
- Scale in and out with the Alt key is not supported in the Channel Operator Editor
- Visual Feedback values are now updated correctly when changing the selected Entity in the Channel Operator Editor
- Channel Operator Editor is now consistent when opened multiple times (one instance, nodes at the same positions)
- Channel Operator Editor is now refreshed correctly when opening or creating a new scene
- Conversion to World Angle now returns an angle between -180 and 180 in the Crowd Chop Converter Node
- New Channel this.previousDirection
- Added a transparency parameter in the Population Tool Locator
- Search field also searches within library item tags in the Simulation Cache Library


** Bug fixes

- Fixed Physics shapes edition not saved correctly in the Character Maker
- Fixed shading assignment in the VrayGolaem 3dsmax plugin
- Fixed SetBone Layer not working correctly when editing the same bone on a second entity in the Simulation Layout Tool
- Fixed Time Warp Layer not looping correctly with Geometry Behavior in the Simulation Layout Tool
- Fixed inactive Geometry Behavior causing Geometry File not found at rendering time
- Fixed Destination Terrain browser in the Simulation Cache Proxy node
- Fixed a crash when creating a new scene and using the Channel Operator Editor
- Fixed a crash when exiting Maya and using the Trajectory Layer in the Simulation Layout Tool
- Fixed a crash when using the PerchOn or MeshPin Behavior in multithread
- Fixed a crash when using the Kill Behavior and using callbacks
- Fixed a crash when using the Emit Behavior in VP2.0
- Fixed Perception not working properly with the External Entity Locator
- Fixed missing material and wrong UV when baking FBX Animation and using the Golaem Character Geometry File
- Fixed renaming the Simulation Cache Proxy which disabled Layout operations
- Fixed a bug when using the Paint Tool when computing tangents and bitangents
- Fixed the output directory refresh in the Golaemisator
- Fixed Channel this.direction return value


** Refactoring

- New Shelf icon for the Channel Operator Editor
- VrayGolaem 3dsmax plugin now comes along the Maya plugin install directory (in procedurals/3dsmax/)
- Removed Channel this.previousOrientation (not used)


** API

- Added a -release flag in the glmCheckLicense command


** Supported Rendering Engines

- Mtoa 2.0 & 1.4.X
- V-Ray For Maya 3.5X & 3.40.XX
- V-Ray For 3ds Max 3.60.XX
- Renderman Studio 21.3 and 21.4
- Mental Ray 3.13.X
- Redshift 2.0.91-93 / 2.5.13
- 3Delight Studio Pro 11.0.XX
- Guerilla Render 1.4.4
- Katana 2.X (Arnold and Renderman)




GOLAEM 6.1 - CHANGELOG - August 1st 2017
---------------------------------------------

** Important notice

From this release, Golaem switches to Personal Learning Edition license if no commercial license is found.
This behavior can be disabled by setting the GLMCROWD_NO_PLE environment variable to 1
More info on http://ple.golaem.com


** New features

- New Nodal Editor to build and debug ChannelOperation Behavior graphs
- New Golaemisator Tool to convert Maya Characters and Animations in one click


** Improvements

- Simulation Cache OutPlug now supports per-bone scale (SnS) in the Simulation Cache Proxy 
- Faster physics simulation thanks to NVidia PhysX 3.4
- GPU acceleration for Rigid Body Collisions (only on Windows) (beta)
- Deformable meshes are now handled in the Perch Behavior
- Added Target Expression in the LookAt and IK Behaviors
- Added norm, dist and rand operations to the ChOp Operation Node
- Added a modulo conversion mode in the ChOp Converter Node
- Added presets buttons in the ChannelOperator Behavior
- PostRender Callbacks now get called by PreRender Callbacks (as sanity checks)
- Added a Reverse Order option in the Sort By Distance Sensor Filter
- Expressions can now be caster explicitely as Double, Vector, PPAttribute, MEL... 


** Bug fixes

- Fixed node transformation and terrain adaptation in the 3dsMax plugin
- Fixed display when playing mirrored animations in the Motion Behaviors
- Fixed the one frame lag with animated meshes in the MeshPin Behavior
- Fixed out of frustum computation of Entities in the MeshPin Behavior 
- Fixed a crash due to multithread access in the MeshPin Behavior
- Fixed a crash when setting an up vector almost equal to current up vector in the MeshPin Behavior
- Fixed a crash with the AimAt Attributes in the MasterSlave Behavior
- Fixed a crash when using the -selection and -transformId flags with an invalid transform Id in the glmHistory command
- Fixed Duplicate Layer on duplicated Entities in the Simulation Layout Tool
- Fixed Arnold Ass file bake export
- Fixed Entities not being simmulated when some particles have a 0 lifespan
- Fixed Simulation Cache Bake when using Time Offset and Time Warp Layers in the Simulation Layout Tool
- Fixed MEL Expression not evaluated correctly 	in the ChOp Input Node
- Fixed MEL Expression not evaluated on first frame in the ChOp Input Node
- Fixed Local position and local orientation offsets unit conversion in the Emit Behavior
- Fixed Max Distance unit conversion in the PolygonZone Trigger
- Fixed PPAttribute Trigger not taking changes into account
- Fixed restart of the IK Behavior
- Fixed Target Expression initialization in the IK, LookAt, Steer and GoTo Behaviors
- Fixed Collision ID not working as expected in the Collision Trigger


** Refactoring

- Golaem Minidump is now disabled by default for new installations of Golaem
- PyQt dependency has been updated to 1.0
- New icon for the Replacer Shader Layer in the Simulation Layout Tool


** API

- glmExportCharacter and glmExportCharacterGeometry commands now return the path of the exported file
- Flags -firstFrame and -lastFrame replaced by -startFrame and -endFrame in glmMayaToSimulationCache command
- Flags -entityIds and -duplicate can be used together in the glmHistory command 
- Flag -entityId set to -1 now returns the list of all Entity Ids in the Simulation Cache in the glmHistory command
- New functions glmCreateEntityExclusionList and glmDestroyEntityExclusionList in glm_crowd.h


** Supported Rendering Engines

- Mtoa 2.0 & 1.4.X
- V-Ray For Maya 3.5X & 3.40.XX
- V-Ray For 3ds Max 3.60.XX
- Renderman Studio 21.3 and 21.4
- Mental Ray 3.13.X
- Redshift 2.0.91-93 / 2.5.13
- 3Delight Studio Pro 11.0.XX
- Guerilla Render 1.4.4
- Katana 2.X (Arnold and Renderman)




GOLAEM 6.0.2 - CHANGELOG - July 10th 2017
---------------------------------------------

** New features

- New Override Shader Layer in the Layout Tool
- New Channels for Body Orientation axes and Entity Up Vector as input / output


** Improvements

- Added mirror operations in the Skeleton Tab of the Character Maker
- Traffic Lights status in the Traffic Crossing Locator 
- Desired Speed and Move Orientation is now updated by the Flock Behavior
- Added Body Orientation axes and Entity Up Vector helpers in the viewport


** Bug fixes

- Fixed the Time Warp Layer
- Fixed Local Servo Physics Mode with Joint Limits not centered in the Physicalize Behavior
- Fixed wrong initialization when using emitters in the Channel Operator Behavior
- Fixed Roll Bones Mapping in the Character Maker
- Fixed ground adaptation in the Traffic Behavior
- Fixed mesh transform management in the PerchOn Behavior
- Fixed dynamic mesh transform management in the PerchOn Behavior
- Fixed a multithreading crash in the PerchOn Behavior
- Fixed a multithreading issue in the Attribute Behavior
- Fixed a crash when having overlapping crossings in the Traffic Locator 
- Fixed a crash when starting a Physicalize Behavior with Entity Emitters
- Fixed a crash when using Entity Emitters and the Attribute Behavior
- Fixed a crash when rendering Entities with cloth simulation
- Fixed a crash in the Alembic Bake Export Per Entity mode
- Fixed a crash when using the Visual Feedback and a wrongly configured SetBone Behavior
- Fixed Locomotion Behavior not working anymore with Maya Particle Fields
- Fixed Create Vector Field button in the GoTo Behavior
- Fixed Paint Density button in the Population Tool
- Fixed Alembic and FBX Bake Export with prefixed mesh names
- Fixed vector evaluation in a MEL expression
- Fixed the World Direction To Body Angle Converter operation
- Fixed the World Direction To Move Angle Converter operation
- Fixed dimming of the 'Lock Posture on Stop' in the Physicalize Behavior


** Refactoring

- Refactored error messages when converting motions in the Character Maker (now display the name of all bones)
- Import Motion Options are now in a collapsed menu in the Character Maker


** API

- glmMayaToSimulationCacheCmd command has been renamed to glmMayaToSimulationCache
- Added a cancel button on progress bars in glmMayaToSimulationCache


** Supported Rendering Engines

- Mtoa 2.0 & 1.4.X
- V-Ray For Maya 3.50.XX & 3.40.XX
- V-Ray For 3ds Max 3.50.XX
- Renderman Studio 21.X
- Mental Ray 3.13.X
- Redshift 2.0.91-93 / 2.5.13
- 3Delight Studio Pro 11.0.XX
- Guerilla Render 1.4.4
- Katana 2.X (Arnold and Renderman)




GOLAEM 6.0.1 - CHANGELOG - June 12th 2017
---------------------------------------------

** New features

- Added a Freeze On Collided mode in the MasterSlave Behavior (eg sticky arrows)
- Added collision support of Apex Cloth Behavior and Crowd Rigid Bodies (max 32 spheres and 32 planes)


** Improvements

- Support of non-triangulated geometry in the Character Geometry File (gcg)
- Simulation Cache file quantization format attribute in the CrowdManager Node
- Improved performances when using a MEL expression in an Input Channel Operator
- Conversion Factor can be set for Spine / Limbs / Effector nodes in the Character Maker
- New Export Animation In One File Per Entity FBX Mode in the Simulation Exporter
- New Export Animation In One File FBX Mode in the Simulation Exporter
- Added Expression as Target Mode in the Steer and GoTo Behaviors
- Added a Use Kinematic Target option in the Physicalize Behavior
- Added a Use Kinematic Target option in the Crowd Rigid Body node
- Added multiple Entity Types in the MasterSlave Behavior
- Added an AimAt mechanism in the MasterSlave Behavior
- Added a XYZ option to constraint position in the MasterSlave Behavior
- Added Object ID Pass support for EntityType and Character File
- Added Place on Connex Zones parameter in the Population Tool
- Added objectCount, objectPos, objectDist, objectId Channels for the ActivateSensor Behavior
- Added new target modes in the Steer Behavior
- Channels can be used within a MEL expression when using ##channelName##
- Population Tool Locators now get a unique ID
- Fixed ground adaptation when using "Direct Mode Controlled by Animation" in the Locomotion Behavior
- Particles emitted from Population Tool Locators get assigned the Population Tool ID as a PPAttribute (glmPopToolId)
- Added statistics parameter in the Terrain Locator (displays navmesh information)
- Added drawConnexZones parameter in the TerrainLocator
- Ground adaptation can now be disabled for an Entity Type (advanced attributes)
- Emit Behavior can now emit particles without Entity Types
- Added a vertex limit parameter for Convex Hulls in Crowd Rigid Body


** Bug fixes

- Fixed blendshape deformation computation when controlled by a distant bone
- Fixed mirror animations looks awkward in some specific cases
- Fixed wrong ground adaptation when playing mirror animations
- Fixed a crash when baking sparse Simulation Caches in FBX or Alembic
- Fixed a crash when using the Emit and Perception Behaviors
- Fixed a crash when UVs were not set for all the faces of the face when exporting a Character Geometry file
- Fixed a crash when rendering Simulation Caches with Layout operations on missing Entities
- Fixed a crash when setting slot count to 0 in the circle Population Tool
- Fixed a crash when having two or more CrowdFields and using the Perception
- Fixed headAttBank Channel (was not returning the correct heading)
- Fixed multiple crashes when using the SnapTo Layer in the Simulation Layout Tool
- Fixed precision issue when using the Population Tool and Painted Vector Fields
- Fixed jittering and frame lag in the MeshPin Behavior
- Fixed limbFootprintPosition channel when ground adaptation is disabled
- Fixed load / save PNG buttons in the Paint Tool
- Fixed ground adaptation and Layout when using the Renderman plugin
- Fixed Behavior Visual Feedback coloring when the Behavior is stopped
- Fixed the Force Behavior display
- Fixed Rotate Layer flag in the glmHistory command
- Fixed Bake Simulation Cache export when Simulation Cache name begins with numbers
- Fixed Terrain Locator assignment when using the Paint Tool to paint Population Tool density


** Refactoring

- Traffic length and width are now in the Entity Type Node
- Refactored EntityTypes Attributes in the Entity Type Node
- Golaem python modules are now imported relatively


** API

- New glmMayaToSimulationCacheCmd command to convert maya keyframe animations as Simulation Caches
- New glmExportCharacter command to export a CharacterFile
- New glmExportCharacterGeometry command to export a Character Geometry File (.gcg)
- Added ppVectorAttrValue support in the glmSimulationCacheTool command
- Added support for rotation pivot in the Rotate Layer flag of the glmHistory command
- Flag conversionFactor of the glmExportMotion command is now of type double 3
- glmCrowdSimulationCacheReaderPlugin has been updated to better reflect rendering plugins process 


** Supported Rendering Engines

- Mtoa 1.4.0 & 1.3.X / Arnold Core 4.2.X
- V-Ray For Maya 3.40.XX & 3.30.XX
- V-Ray For 3ds Max 3.30.XX
- Renderman Studio 21.X
- Mental Ray 3.13.X
- Redshift 2.0.91-93 / 2.5.13
- 3Delight Studio Pro 11.0.XX
- Guerilla Render 1.4.4
- Katana 2.X (Arnold and Renderman)




GOLAEM 6 - CHANGELOG - May 2nd 2017
---------------------------------------------

** New features

- New ChannelOperator Behavior to build your own fuzzy logic mechanism
- New Perception system to perceive obstacles and entities
- New Traffic Simulation Behaviors
- New Emit Behavior
- New Kill Behavior
- New Accumulator Trigger
- New Trajectory Edit layers in the Layout Tool (smoothing, avoidance, vector field...)
- Component based edition of slot of the PopulationTool
- Render Previz display mode now supports up to 16 shadowing lights (spot, omni, ambient, point or directional) 
- Render Previz display mode can now be extended via its .GLSL shader


** Improvements

- PopulationTool can now be used as an emitter
- Added grouping options in the SnapTo Layer of the Layout Tool
- Added an option to copy physics properties from a Character File to another in the Character Maker
- Added support of Render Stats within the Redshift Render Proxy
- Added a MotionID PPAttribute control to the Motion and the SyncMotion Behaviors
- Improved interaction between Navigation and Locomotion Behaviors 
- Improved undo / redo in the Layout Tool
- rgbPP PPAttribute is now used as the diffuse color of the displayed Entities
- Arnold opaque attribute can now be set per mesh in the Character Maker
- GLMCROWD_UNIT environment variable can now be used to set the Crowd Unit within the Manager Node and the NavMesh Tool
- Starting duration allows to spread the transform change on time or animation's translation in the SyncMotion Behavior
- Syncing a SyncMotion Behavior on another now shares the transform information
- Syncing a SyncMotion Behavior on another now makes one owning the animation time information
- Max Raycast Distance attribute in the Polygon Zone Trigger
- Wind attribute can now be keyframed in the ApexCloth Behavior
- Simulation Cache export can be interrupted from the PreCallback (if an error status is returned)


** Bug fixes

- Fixed a reproducibility issue when having multiple CrowdFields within Viewport 2.0
- Fixed ground adaptation for tunnels, bridges and trenches in the Layout Tool
- Fixed a crash when rendering a cache with BlindData and Blendshapes
- Fixed a crash when using the Time Offset layer in the Layout Tool
- Fixed a crash when using the ApexCloth Behavior with multiple CrowdFields
- Fixed a crash when using Goto Behavior with GroupEntityTypes
- Fixed a crash when loading a Layout file containing non existing Entity Types references
- Fixed a crash when batch exporting motion files using the glmExportMotion command
- Fixed a crash when exporting a simulation with an External Entity Locator
- Fixed a crash when sharing a SetBone Behavior amongst several EntityTypes
- Fixed a crash when syncing a SyncMotion Behavior on a Motion Behavior
- Fixed a crash when some nodes where not related to the pelvis node in the Character Maker
- Fixed Animation Transition match score and display with cropped Motion Clips
- Fixed stopping duration computation in the Flock Behavior
- Fixed blending computation in the Steering Behavior
- Fixed Apex colliders orientation when created
- Fixed invalid placement of slots on a NavMesh within the PopulationTool Locator
- Fixed sourcing of Python modules within Maya 2017
- Fixed the creation of the SimulationCacheProxy when using the Simulation Baker
- Fixed rendering when using the Renderman Render Proxy with Render.exe
- Fixed the ObjectId pass within the Redshift Render Proxy
- Fixed a bug that disabled ApexCloth simulation on a mesh
- Fixed sync duration not taken into account in the SyncMotion Behavior
- Fixed a bug allowing multiple connections between two nodes in the Character Maker
- Fixed a ghost window appearing in the Character Maker in Maya 2017
- Fixed the Connect tool in the Swiss Knife Tool


** Refactoring

- Most Golaem nodes now get sorted in groups in the Outliner
- Most Golaem nodes now get colored in the Outliner 
- Maya2016 styled flat icons in the Golaem Shelf
- Icons in the Golaem Menus
- Target icon is back again in the Golaem Shelf
- PopulationTools now have a color within the viewport
- Consistent units within the plugin (NavMesh Tool and Visual Feedback)
- Refactored attributes within the Flock Behavior
- Removed Kill Painting mode
- Removed Layout Name and Layout Dir from the Simulation Cache Proxy and the  Render Proxy
- Renamed filters in the Collision Trigger


** API

- Added a glmParticleHandleConnections function to handle connections when a particle system is generated via the PopulationTool


** Supported Rendering Engines

- Mtoa 1.4.0 & 1.3.X / Arnold Core 4.2.X
- V-Ray For Maya 3.40.XX & 3.30.XX
- V-Ray For 3ds Max 3.30.XX
- Renderman Studio 21.X
- Mental Ray 3.13.X
- Redshift 2.0.77-80
- 3Delight Studio Pro 11.0.XX
- Guerilla Render 1.4.4
- Katana 2.X (Arnold and Renderman)




GOLAEM 5.3.4.1 - CHANGELOG - March 14th 2017
---------------------------------------------

** New features

- CrowdRenderProxy: Added an option to export to an expanded vrscene file when rendering with v-ray


** Improvements

- Display message/popup for unsaved layouts when baking
- Added a second curve with more precision in the transition's animation match item
- Added shallow_color in supported plugs for previz for RedShift


** Bug fixes

- Fixed ObjectId management with Redshfit
- Fixed a reproducibility issue when stopping a navigation behavior in multithread
- Fixed a crash and rendering glitches when using cloth + GCG + multimaterial
- Fixed a crash and glitches when having multiple cloth meshes
- Fixed Alembic/FBX baking not using selected entity ids properly
- Fixed Golaem Python modules loading within Maya 2017
- Fixed posture import for multiple characters in Layout
- Fixed VRay IPR rendering
- Fixed Nucleus index for duplicated cloth connection to solver
- Fixed a potential crash after removing entityTypes 
- Fixed dirmap & wrong message when importing a gcg file from the charaMaker 
- Fixed error message about skeleton bindpose scale not matching - the real bone name will be displayed
- Fixed a crash when no shader is detected in mayaToGCG (mono material)
- Fixed the 'Enable layout' checkbox not taken into account in the simulation cache library


** Supported Rendering Engines

- Mtoa 1.4.0 & 1.3.X / Arnold Core 4.2.X
- V-Ray For Maya 3.40.XX & 3.30.XX
- V-Ray For 3ds Max 3.30.XX
- Renderman Studio 21.X
- Mental Ray For Maya (any version)
- Redshift 2.0.77-80
- 3Delight Studio Pro 11.0.XX
- Guerilla Render 1.4.4
- Katana 2.X (Arnold and Renderman)




GOLAEM 5.3.4 - CHANGELOG - January 23th 2017
---------------------------------------------

** New features

- Golaem can now store animation of non mapped bones in its Golaem Motion file (.gmo) 


** Improvements

- New Alembic Export mode, one file per entity
- Entity Id based Export in the Simulation Bake Tool
- Disable collisions option in the Physics Locator
- Hierarchical Shader Attributes range is now read from Maya shading graph in the Geometry Tab of the Character Maker
- New height offset parameter in the MeshPin Behavior


** Bug fixes

- Fixed blendshape export and naming in the gcg file format 
- Fixed joint limits display in the Character Maker 
- Fixed destination terrain adaptation in the Simulation Cache Proxy
- Fixed Layout File in the Simulation Cache Proxy saving when using Maya save
- Fixed scale and terrain adaptation in the Simulation Cache Proxy
- Fixed terrain display not using the proxy transform in the Layout Tool
- Fixed Shader Attributes range with Redshift shaders
- Fixed a crash when duplicating Entities with nCloth in the Layout Tool
- Fixed a crash when using Locomotion channels in the Locomotion Behavior
- Fixed a crash when creating a Population Tool with no slot
- Fixed a crash in the Perch Behavior when raycast distance was less than entity radius
- Fixed a crash when meshes had no Uvs in Character Geometry File (fbx)
- Fixed ground adaptation when using SnS animations with a leg length ratio > 1
- Fixed ground adaptation when the limb direction was upward
- Fixed baked geometry export not taking Layout into account
- Fixed Kill / Unkill Layout when rendering with Redshift
- Fixed Kill / Unkill Layout with entities with nCloth
- Fixed slot placement when distance was nul but noise wasn't in the Population Tool
- Fixed archiving Layout file (.gscl)
- Fixed Python conflict between mToA and Golaem
- Fixed Flock Locator update when using VP2.0


** Refactoring

- CrowdTargetLocator has ben replaced by the Population Tool Locator
- Motion Clips are now sequenced and not randomized anymore in the Motion and SyncMotion Behaviors
- More robust bone mapping in the Plug Output of the Simulation Cache Proxy
- New icon for the MeshPin Behavior


** Supported Rendering Engines

- Mtoa 1.4.0 & 1.3.X / Arnold Core 4.2.X
- V-Ray For Maya 3.40.XX & 3.30.XX
- V-Ray For 3ds Max 3.30.XX
- Renderman Studio 21.X
- Mental Ray For Maya (any version)
- Redshift 2.0.77-80
- 3Delight Studio Pro 11.0.XX
- Guerilla Render 1.4.4
- Katana 2.X (Arnold and Renderman)




GOLAEM 5.3.3 - CHANGELOG - December 19th 2016
---------------------------------------------

** New features

- New MeshPin Behavior to remap simulations on a specific Mesh Space
- Collision detection between slots of different Population Tool Locators


** Improvements

- Distance X & Z in the Population Tool Locator
- Noise X & Z in the Population Tool Locator
- Mesh Object Id Mode in the Render Proxy
- New flags characterFileId, meshIds, shaderAttributeValue in glmSimulationCacheTool command
- Redshift shading variation is taking into account when importing geometry in the Character Maker
- Redshift rendering proxy takes Render Proxy time into account
- A default Rendering Type is created when a new Character is initialized in the Character Maker
- Raycast distance for Polygon Triggers can be configured 
- Contextual menu to remove the tip on Effectors in the Character Maker
- Added displacement information to the vrscene exporter for 3ds Max
- SyncMotion Behavior can be used without any transform
- New option to keep the original animation orientation in the SyncMotion Behavior


** Bug fixes

- Fixed a crash when using multiple VrayGolaem nodes in 3ds Max
- Fixed a crash when exiting Maya with External Entities
- Fixed a crash when doing a Play Backward next to the simulation start frame
- Fixed shaderAttribute flag in glmCharacterFileTool command
- Fixed Cache Proxy Library Item creation when in Component Mode
- Fixed transform parameter when rendering with Renderman
- Fixed FBX To GCG Conversion ignoring some meshes (based on wrong material assertion)
- Fixed FBX Export (Animation Mode) when using Rigid Meshes
- Fixed PLE license when using instanced in Redshift


** Refactoring

- Switched viewport 2 rendering to subscene override to be compliant with Maya 2016.5 and 2017
- Forced coronal and transverse IK Planes when detecting a biped in the Character Maker
- Shader Importer triggers every time a Character File is loaded
- "Add all" button in WeightList controllers
- Contextual select in TextScrollListMapping controllers
- Layout files are now per Simulation Cache Proxy (instead of per CrowdField)


** API

- New glmSceneLicenseCheck command


** Supported Rendering Engines

- Mtoa 1.4.0 & 1.3.X / Arnold Core 4.2.X
- V-Ray For Maya 3.40.XX & 3.30.XX
- V-Ray For 3ds Max 3.30.XX
- Renderman Studio 21.X
- Mental Ray For Maya (any version)
- Redshift 2.0.76
- 3Delight Studio Pro 11.0.XX
- Guerilla Render 1.4.4
- Katana 2.X (Arnold and Renderman)

Also supported (but must be manually installed):

- Renderman Studio 20.X




GOLAEM CROWD 5.3.2.1 - CHANGELOG - November 18th 2016
---------------------------------------------

** Important notice

From this release, Evaluation licenses have been replaced by Personal Learning Edition licenses.
Personal Learning Edition licenses are not time limited anymore but all files generated will be 
"waterwarked" at rendering time. More info on http://ple.golaem.com


** New features

- Shading diversity in the Redshift render plugin


** Improvements

- Values of Time Offset / Time Warp layers can now be set or added
- Improved Bind Pose Detection Mode in the Character Maker (now uses skin clusters information)
- Improved performances when using multiple Simulation Cache Proxies in a scene
- Added support of instances in the Redshift render plugin
- Added support of Vector Shader Attributes exports in the Alembic Baker
- Added selection information in the Simulation Cache Layout Tool
- Added default material support in 3delight and Renderman render plugins
- Added Up axis check in the Maya Scene Settings Checker
- Support of scaling in the Character Geometry GCG file
- Support of Blendshape / Blind Data animations in glmExportMotion
- Added evaluation mode in the Ramp Node


** Bug fixes

- Fixed node transform not taken into account by instanced geometries at render time
- Fixed simulation display frustum culling when using huge values for the far clipping plane
- Fixed creation of Stop Triggers when duplicating behaviors
- Fixed mapping of Motion Clips when duplicating Motion, SyncMotion and Locomotion behaviors
- Fixed mirror animation in specific situations
- Fixed a crash when rendering more than 8 Crowd Render Proxies
- Fixed a crash after picking an entity with a start frame different than the simulation start frame
- Fixed a crash when exporting an empty mesh as Character Geometry GCG file
- Fixed a crash when refreshing Simulation Cache Proxy when in Simulation Mode
- Fixed a crash when using ragdoll with zero-mass or zero-density
- Fixed a crash when a ApexCloth behavior is started
- Fixed a crash with uninitialized entities in VP2
- Fixed a crash hen rendering a mesh without a shading group in the Redshift render plugin
- Fixed normals when using Render Previz on some Character Geometry GCG file
- Fixed multi material handling in the Character Geometry GCG file
- Fixed ground adaptation when the entire motion had footprints
- Fixed ground adaptation when blending with non ground-adapted animations
- Fixed material export when baking a simulation as FBX
- Fixed namespaces creation when baking a simulation as FBX
- Fixed display of Box Crowd Rigid Bodies with VP2
- Fixed parameters not correctly taken into account when having multiple Flock Behaviors
- Fixed Sync Mode based on Body Mask in the Motion Behavior
- Fixed non reproductible simulations when using more than one particle system
- Fixed disconnected roadmaps in the NavMesh Creator
- Fixed no Cache Replay display on CentOS7


** Refactoring

- Replace User Properties with Arbitrary Geometry Parameters in the Alembic Baker
- Bake Simulation Cache Layout as a Simulation Cache has been moved to the Simulation Exporter Tool (Baker tab)
- Decreased limit for warning message when computing a NavMesh for a huge environment
- Target reachability is checked even when there are multiple zones in a NavMesh
- Removed Layout operations on a CrowdManager Node (Kill, Set Mesh Assets)
- Render Previz geometries get refreshed when shaders are imported


** API

- Added a -personal flag to the glmCheckLicense command
- Added a -savedWithPLE flag to the glmCheckLicense command
- Added a sortedBones attribute flag to the glmCharacterFileTool command
- Added a entityKilled attribute flag to the glmSimulationCacheTool command
- Added a boolean return value to the glmConvertFbxToGcg command


** Supported Rendering Engines

- Mtoa 1.4.0 & 1.3.X / Arnold Core 4.2.X
- V-Ray For Maya 3.40.XX & 3.30.XX
- V-Ray For 3ds Max 3.30.XX
- Renderman Studio 21.X
- Mental Ray For Maya (any version)
- Redshift 2.0.70, 2.0.71 & 2.0.72
- 3Delight Studio Pro 11.0.XX
- Guerilla Render 1.4b31
- Katana 2.X (Arnold and Renderman)

Also supported (but must be manually installed):

- Renderman Studio 20.X




GOLAEM CROWD 5.3.1 - CHANGELOG - October 21st 2016
---------------------------------------------

** Improvements

- Improved memory usage at rendering time (up to 50%)
- Improved Collision Trigger UI
- Improved "Open Layout File" in the Simulation Cache Layout (load all relevant gscl at the same time)
- Improved UI for the Animation Transition node (max zoom level, transition mode display, snap on maya frames, refresh)
- Sampled frames are now logged when rendering with a Info log level
- Auto Compute Motion Blur parameters tool in the Crowd Render Proxy
- Added new subdivision parameters for Arnold
- New "Random Target on Mesh" Target Mode in the GoTo Behavior 
- Added an option to remove the Motion Clip first frame offset in the SyncMotion Behavior


** Bug fixes

- Fixed render failure at second render with Redshift
- Fixed motion blur computation in 3Delight
- Fixed motion blur computation in Mental Ray
- Fixed motion blur computation in Renderman
- Fixed render percent in Redshift
- Fixed V-Ray render layer support
- Fixed bbox clamping in Redshift
- Fixed Simulation Cache corruption when using blend shapes with additive blending
- Fixed Limbs computation when using additive blending
- Fixed a crash when using the SetMeshAsset layer in a non existing mesh in the Simulation Cache Layout
- Fixed a crash when selecting an entity by entering its id in the Visual Feedback
- Fixed a crash when rendering an empty Crowd Render Proxy
- Fixed a crash when viewing cloth in the Simulation Cache Proxy
- Fixed Enable Layout checkbox in the Simulation Cache Proxy
- Fixed Terrain adaptation in Maya 2017
- Fixed multiple skeleton connected to the OutPlug Attribute of the Simulation Cache Proxy
- Fixed Layout File not saving when closing a scene without saving it
- Fixed consistency between Simulation Render Percent and Simulation Display percent
- Fixed normal computation in footprint display
- Fixed collision with Yeti render callbacks
- Fixed dynamic target / dynamic target update period in the GoTo Behavior
- Fixed update of percentage when setting Entity Types percents from the text field in the Population Tool
- Fixed Entity Types percents in the Group Entity Type Node in VP2.0
- Fixed bad offset for one bone constrained Character in the Render Previz display mode


** Refactoring

- Shader importer when a Character File is loaded via the Entity Type Interactive Menu
- Instancing is disabled in the Redshift Render plugin 
- Instancing is now enabled in the V-Ray Render plugin
- Automatic triangulation is now disabled in the Arnold Render plugin (faster and more precise geometry)
- NavMesh Creator now ignores hidden geometry


** API

- Update automatic skeleton flags in the glmCharacterMaker command to take detection mode and auto compute parameters into account
- Removed addSkelNode flag from the glmCharacterMaker command (not used)
- Support of layout and terrain files in SimulationCacheToolCmd
- Simulation Exporter Tool updates the Simulation Export optionVar when a simulation is exported
- New optionVar for Simulation Bake files


** Supported Rendering Engines

- Mtoa 1.3.X & 1.2.X / Arnold Core 4.2.X
- V-Ray For Maya 3.40.XX & 3.30.XX
- V-Ray For 3ds Max 3.30.XX
- Renderman Studio 21.X
- Mental Ray For Maya (any version)
- Redshift 2.0.66
- 3Delight Studio Pro 11.0.XX
- Guerilla Render 1.4b31
- Katana 2.X (Arnold and Renderman)

Also supported (but must be manually installed):

- Renderman Studio 20.X




GOLAEM CROWD 5.3.0.2 - CHANGELOG - October 7th 2016
---------------------------------------------

** Bug fixes

- Fixed file browser UI for Maya 2017 




GOLAEM CROWD 5.3.0.1 - CHANGELOG - September 28th 2016
---------------------------------------------

** Important notice

From this release, Renderman 19 and V-Ray 2.4 are not supported anymore


** New features

- New multithreaded Geometry File Format (.gcg) to store Character skinning! Up to 50x faster geometry generation at rendering time!
- New Transition Editor to control precisely between two Animation Behaviors
- Support of Redshift 2.0.52 - Beta (shading variation is not supported yet)
- Support of Mtoa 1.3
- Support of Renderman Studio 21.0
- Support of Maya 2017 (only Legacy Viewport for now)
- New Simulation Cache Proxy Manager to handle Simulation Cache Proxy Nodes


** Improvements

- Geometry assignment Channels
- EntityType Node creator interactive menu
- Added option to set a namespace on Mesh Assets or Shaders in the Character Maker
- Automatic Character bounding box computation in the Character Maker
- Asset Groups having only Asset Groups children are weighted by default in the Character Maker
- New Locomotion mode (direct mode controlled by animation) in the Locomotion Behavior
- Evaluation of the Random Trigger can now be constant
- Better performances for the Texture trigger
- New VRay displacement strategy (now reads attribute from the scene)


** Bug fixes

- Fixed Ass Bake Export (wrong syntax)
- Fixed FBX Bake Export with Point Cache when using ':' prefixed names
- Fixed Bake frames when using a scene made before Golaem 5.2.2
- Fixed huge memory leaks when rendering with Mental Ray
- Fixed item creation in the Simulation Cache Library
- Fixed referencing a Crowd Manager Node in a Cache Replay scene
- Fixed World Servo Mode velocity computation in the Physicalize Behavior
- Fixed MotionBehavior.currentFrame & currentRatio Channels (renamed as motionFrame and motionRatio)
- Fixed support of multiple displacement attributes with the same name in the Character Maker
- Fixed a crash when hiding particle systems
- Fixed a crash when hiding particle systems
- Fixed a crash when exporting Simulation Caches in a read-only folder
- Fixed a crash at rendering time when using the SnapTo Layer in the Simulation Layout Tool
- Fixed a crash when bake exporting some simulations
- Fixed ground adaptation at rendering time when using a Time Offset / Time Warp layer in the Simulation Layout Tool
- Fixed Set Mesh layer when dealing with cloth Mesh Assets in the Simulation Layout Tool
- Fixed Simulation Cache Layout Tool refresh when creating a Simulation Cache Proxy in a blank scene
- Fixed terrain assignment when baking a Simulation Cache Proxy
- Fixed scaling of Arnold bounding boxes
- Fixed ground adaptation set to Particle and no NavMesh
- Fixed bone window list in the Simulation Cache Proxy
- Fixed displacement keyword in the Geometry Tab of the Character Maker
- Fixed multiple opening of the Simulation Cache Library
- Fixed golaemCrowdCleanPre52 error when batch rendering


** Refactoring

- Geometry File exporter helper (gcg or fbx) in the Character Maker
- Subdivision Type panel has been removed in the NavMesh Creator (not used anymore)
- Added shelf icon for the Import Shaders Tool
- Added a message in the status bar when saving a file succesfully in the Character Maker
- Crop Motion / Edit Motion / Footprint panels can now be hidden in the Character Maker
- Render instancing has been disabled for Mental Ray due to major leaks that cannot be handled yet


** API

- New automatic skeleton and geometry import flags in the glmCharacterMaker command
- glmExportMotion now returns conversion quality values (mean position, orientation and scale errors)
- Reorganization of the Python code as package
- Reorganization of the Devkit
- Devkit samples now come with their compiled version
- Removed OptionVar for Simulation Layout Files (used the same one than Simulation Caches)


** Supported Rendering Engines

- Mtoa 1.3.X & 1.2.X / Arnold Core 4.2.X
- V-Ray For Maya 3.40.XX & 3.30.XX
- V-Ray For 3ds Max 3.30.XX
- Renderman Studio 21.X
- Mental Ray For Maya (any version)
- Redshift 2.0.52
- 3Delight Studio Pro 11.0.XX
- Guerilla Render 1.4b31
- Katana 2.X (Arnold and Renderman)

Also supported (but must be manually installed):

- Renderman Studio 20.X




GOLAEM CROWD 5.2.2 - CHANGELOG - August 11th 2016
---------------------------------------------

** New features

- Shader Attribute Layer in the Simulation Cache Layout Tool
- SnapTo and Dupplicate Layer in the Simulation Cache Layout Tool
- Vertex cache instancing mechanism
- Enable / Disable Layout in the Simulation Cache and Crowd Render Proxy Nodes
- Layout File can now be changed in the Simulation and Crowd Render Proxy Nodes
- Layout Terrain can now be changed in the Simulation and Crowd Render Proxy Nodes
- New Texture Trigger to read the color from Maya Texture Nodes (either 2d or 3d textures)


** Improvements

- Simulation Exporter Window now has a Simulation Baker tab to export Alembic, Fbx files for Crowd Render Proxy Nodes
- Support of colliders in the Automatic Apex Generation
- Support of skinning weight to determine the max distance on each vertex in the Automatic Apex Generation 
- Geometry generation for Arnold is now multithreaded
- Improved Social Force Avoidance in the Navigation Behavior
- New parameters to control Social Force Avoidance in the Navigation Behavior
- Improved Bake Layout in the Simulation Cache Layout Tool
- SaveAs option in the Simulation Cache Layout Tool
- Color threshold Attribute in the Painted Zone Trigger
- Layout Terrain is now saved in the Simulation Cache Library
- Layout Terrain is now saved in the Simulation Cache Library
- All Simulation Cache Proxies are imported in the the Simulation Cache Library if none are selected
- Better navigation when using VectorField nodes with high velocity Entities


** Bug fixes

- Fixed ApexCloth Behavior not working with the Detach Behavior
- Fixed a crash when using a Motion Blur Window Size smaller than 1
- Fixed a crash when rendering cloth with motion blur
- Fixed a crash when using Apex files with a long path
- Fixed a crash when trying to export to an unreachable folder with the Simulation Exporter
- Fixed a crash when opening a scene with a non existing NavMesh file
- Fixed a crash when deleting Trajectory layer transform in the Simulation Cache Layout Tool
- Fixed selection of the Simulation Cache Proxy node
- Fixed export terrain when directory was not existing
- Fixed invalid character file load in the Character Maker
- Fixed ground adaptation when using a Flock Locator
- Fixed assets not editable when having multiple Simulation Cache Proxy Nodes and using the Assets Palette Tool
- Fixed selection of entities after duplication in the Simulation Cache Layout Tool
- Fixed ground adaptation when using the Trajectory Layer in the Simulation Cache Layout Tool
- Fixed operations not being applied to every duplicated entities in the Simulation Cache Layout Tool
- Fixed "AEVectorFieldLocatorTemplate.mel line 61" error when selecting a VectorField Node
- Fixed simulation cache dim screenshot when not found in Simulation Cache Library
- Fixed screenshot generation in the Simulation Cache Library


** Refactoring

- Removed Export Terrain Item from the Golaem Menu (now in the Simulation Cache Proxy)
- Frame Attribute in the Simulation Cache Proxy Node
- Simulation Cache Library File is now saved on Maya exit


** API

- New layout and terrain flags in glmCrowdSimulationExporter
- New glmCrowdSimulationBaker command
- New OptionVar for Simulation Cache Library Files
- New OptionVar for Simulation Layout Files


** Supported Rendering Engines

- Mtoa 1.2.X / Arnold Core 4.2.X
- V-Ray For Maya 3.40.XX and 3.30.XX
- V-Ray For 3ds Max 3.30.XX
- Renderman Studio 20.X
- Mental Ray For Maya (any version)
- 3Delight Studio Pro 11.0.XX
- Guerilla Render 1.4b31
- Katana 2.X (Arnold and Renderman)

Also supported (but must be manually installed):

- V-Ray For Maya 2.4
- Renderman Studio 19.0




GOLAEM CROWD 5.2.1 - CHANGELOG - July 13th 2016
---------------------------------------------

** New features

- Support of Maya 2016 Ext 2 (only Legacy Viewport for now)
- Automatic mesh instancing mechanism with Mental Ray & V-Ray (without motion blur)


** Improvements

- Improved import geometry time on huge environments in the NavMesh Creator
- Improved NavMesh creation time in the NavMesh Creator (support of shared edges)
- Improved interaction between Crowd Rigid Bodies and Entities Rigid Bodies
- Offset parameter in the LookAt Behavior
- Support of Render Layers in the Simulation Cache Render Node
- Support of Batch Export in the Apex Cloth Behavior
- Support of ground adaptation when scaling a Simulation Cache Proxy node
- New Export Geometry In One File Per Entity Fbx Mode in the Simulation Exporter
- New option to export Ascii Fbx files in the Simulation Exporter
- Added an option box for duplicating behaviors (triggers can be either new or shared)
- New Blend to Animation parameter when switching to Kinematic Rigid Body in the Physicalize Behavior
- New optionVar for Shader files


** Bug fixes

- Fixed drag and drop of Containers and Operators from  the Behavior Outliner in the Behavior Editor
- Fixed duplicating triggers when duplicating behaviors
- Fixed wrong scaling when exporting FBX Geometry
- Fixed Geometry Behavior when exporting FBX Geometry
- Fixed a crash at the plugin unload
- Fixed a crash when automapping biped characters in the Character Maker
- Fixed a crash when using the Physicalize or the Force Behaviors
- Fixed a crash when using motion blur and instancing rigid meshes in the Arnold Render plugin
- Fixed a crash when the Character File is missing in Simulation Cache Replay mode
- Fixed a crash when multithreading the start of a Force Behavior
- Fixed a crash when having more than 16 Blend shapes displayed in the Render Previz display mode
- Fixed a crash when the vertex cache is not coherent with mesh control points in the Render Previz display mode
- Fixed a freeze when importing geometry in the Geometry Tab of the Character Maker
- Fixed the Check Shaders tool when a simulation has not been exported
- Fixed automatic Apex creation with in the Apex Cloth Behavior
- Fixed automatic Apex creation when several assets have the same name but from different character files in the Apex Cloth Behavior
- Fixed automatic Apex creation when no bones are configured in the Apex Cloth Behavior
- Fixed ground adaptation with in Simulation Cache Replay mode
- Fixed bad orientation of 1-bone characters with SnS in Simulation Cache Replay mode
- Fixed terrain draw in the Simulation Cache Proxy node
- Fixed Windows batch export when using glmBatchCrowdSimulationExporter
- Fixed save window in the Character Maker


** Supported Rendering Engines

- Mtoa 1.2.X / Arnold Core 4.2.X
- V-Ray For Maya 3.40.XX and 3.30.XX
- V-Ray For 3ds Max 3.30.XX
- Renderman Studio 20.X
- Mental Ray For Maya (any version)
- 3Delight Studio Pro 11.0.XX
- Guerilla Render 1.4b31
- Katana 2.X (Arnold and Renderman)

Also supported (but must be manually installed):

- V-Ray For Maya 2.4
- Renderman Studio 19.0




GOLAEM CROWD 5.2.0.1 - CHANGELOG - June 27th 2016
---------------------------------------------

** Bug fixes
- Fixed a crash when displaying the simulation cache in Viewport 2.0 




GOLAEM CROWD 5.2 - CHANGELOG - June 23rd 2016
---------------------------------------------
 

** Important Notice

IMPORTANT: Notice that Simulation Cache Proxy and Render proxy have been unified between Golaem Crowd 5.1.1 and 5.2
Use MEL function golaemCrowd511To52() to update your scene from Golaem Crowd 5.1.1 to 5.2

IMPORTANT: To be able to render a simulation, Golaem must be set in Cache Replay Mode 


** New features

- New unified Crowd Render Proxy (automatically created when a Simulation Cache Proxy node is created)
- New Apex Cloth Behavior
- Automatic mesh instancing mechanism with Arnold & Renderman
- Behaviors can now have multiple outputs / stopping triggers
- Batch Export Button in the Simulation Exporter
- New Export Geometry In One File Fbx Mode in the Simulation Exporter


** Improvements

- Faster duplicate layer in the Simulation Cache Layout
- Improvement of the OutPlug Attribute in the Simulation Cache Proxy Node
- Automatic Cloth Asset system in the ApexCloth Behavior
- Control on noise / random in the Ramp Node
- Starting / stopping duration in the ApexCloth Behavior
- Starting / stopping speed in the PerchOn Behavior
- Visual Feedback for the SetBone Behavior
- PerchOn status Channels
- Geometry Behavior Channels
- Shader Attributes range is now read from Maya shading graph in the Geometry Tab of the Character Maker
- Added Spine mirror mapping in the Character File
- Limit number of similar log traces (default to 5)
- Default Golaem color (orange) can be changed in the Crowd Manager Node
- Clear button in the Painted Zone and Vector Field Locators
- New locomotion database threshold for dimension computation in the Locomotion Behavior
- Locomotion database dimension information in the Locomotion Behavior Visual Feedback


** Bug fixes

- Fixed attribute coloration in Maya 2015 and 2016 when attributes are connected (now appears yellow)
- Fixed ApexCloth Behavior scaling bug
- Fixed Alembic / FBX geometry export with erased entities
- Fixed cloth shading in the Render Previz display mode
- Fixed SetBone Behavior when the played motion has squash'n'stretch
- Fixed a crash with PPAttribute in the Expression Trigger
- Fixed a crash when executing triggers in multithread
- Fixed a crash when rendering displacement with V-Ray
- Fixed a crash when starting a Physicalize behavior
- Fixed a crash when editing Ragdoll Maya Meshes scale with a negative value in the Character Maker
- Fixed a crash when setting up a wrong id of Ramp in an Expression
- Fixed a crash when rendering multiple Render Proxies with V-Ray
- Fixed a crash when changing the Physics Mode of an Entity when in collision with other Entities
- Fixed Simulation Cache Library item creation
- Fixed stopping PerchOn Behavior delay 
- Fixed GLMCROWD_NO_LICENSE environment variable
- Fixed connections between the Population Tool and their particle systems
- Fixed boldness and time to turn around in the Navigation Behavior
- Fixed entities detection when a Navigation Behavior is stopped and restarted
- Fixed bad rotations with multiple axis in the Simulation Cache Layout
- Fixed Entity Duplication in the Simulation Cache Layout
- Fixed Duplicated Entities Kill in the Simulation Cache Layout
- Fixed animation mirroring
- Fixed archive scene with Apex Cloth files
- Fixed Render Previz jiterring when using scaled cameras
- Fixed black screen when using maya selection with the Paint Tool
- Fixed Apex Cloth simulation export when using several clothes on an Entity Type
- Fixed Apex Cloth simulation export when using 'latch to neareset' in PhysX


** Refactoring

- Golaem is switched in Cache Replay Mode when a simulation is exported
- Render only works if Golaem is set in Cache Replay Mode
- Channel Helper in the SetBone Behavior
- Added shelf icon for the Simulation Cache Library
- Removed shelf icons for the Physics and the Flock Locator (accessible in the Crowd Menu instead)
- Painted meshes are now checked before being painted
- Removed light linking in the Entity Type and Simulation Cache Proxy Nodes (use scene lights and shadows instead)
- Removed Share Triggers contextual menu in the Behavior Editor


** API

- glmBatchCrowdSimulationExporter command to batch export a Golaem Simulation


** Supported Rendering Engines

- Mtoa 1.2.X / Arnold Core 4.2.X
- V-Ray For Maya 3.30.XX, 3.10.01, 3.00.01 & 3.05.04
- V-Ray For 3ds Max 3.30.XX
- Renderman Studio 20.X
- Mental Ray For Maya (any version)
- 3Delight Studio Pro 11.0.XX
- Guerilla Render 1.4b31
- Katana 2.X (Arnold and Renderman)

Also supported (but must be manually installed):

- V-Ray For Maya 2.4
- Renderman Studio 19.0




GOLAEM CROWD 5.1.1.3 - CHANGELOG - June 1st 2016
------------------------------------------------

** New features 

- Support of Maya 2016 Extension Release 2


** Bug fixes

- Fixed GLMCROWD_NO_LICENSE environment variable




GOLAEM CROWD 5.1.1.2 - CHANGELOG - May 27th 2016
------------------------------------------------

** Improvements 

- Faster duplicate transform layer




GOLAEM CROWD 5.1.1.1 - CHANGELOG - May 19th 2016
------------------------------------------------

** Bug fixes

- Rollback Arnold dependency




GOLAEM CROWD 5.1.1 - CHANGELOG - May 18th 2016
----------------------------------------------

** Important Notice

IMPORTANT: Notice that bone expressions of the SetBone behavior have been unified between Golaem Crowd 5.1 and 5.1.1
Use MEL function golaemCrowd51To511() to update your scene from Golaem Crowd 5.1 to 5.1.1


** New features 

- New Apex Cloth Behavior (Windows only) - Beta


** Improvements 

- nCloth Behavior now supports Input Mesh Attract
- Trajectory Edit Layer now supports Maya deformers
- Trajectory Edit Layer now supports curve smoothing
- Trajectory Edit Layer now supports two modes: curve length preservation or frame based position
- Trajectory Edit Layer can also be combined other transform layers
- Perceived Obstacles and Perceived Entities attributes in the Navigation Behavior
- Smooth Position Filters in the SetBone Behavior
- Effector bones can now be scaled within the SetBone Behavior
- Flock perching is now a Behavior
- Particle systems are now linked to their Population Tool Locator
- Improved "Save" Behaviors (it is now possible to specify what objects will be saved along with the Behaviors)
- Improved display of Vector Field nodes
- Improved Outer Flow of Vector Field nodes


** Bug fixes 

- Fixed a crash when trying to delete a weighted group in the Geometry Tab of the Character Maker
- Fixed a crash when exporting simulation as FBX using the "Export Animations To Separate Files" mode
- Fixed a crash when ending a Character Controller Behavior
- Fixed a crash when changing cache directory or cache name in the Simulation Cache Proxy node
- Fixed a crash when flocking in 2D mode
- Fixed wrong footprint computation on mirrored animations
- Fixed scales applied to multiple Entities in the Simulation Cache Layout
- Fixed keyframe addition in the Constraint Behavior
- Fixed unlinked behaviors issue when saving a Behavior Graph as custom
- Fixed Simulation Cache Layout Import Posture command
- Fixed IK offset interpolation in postures
- Fixed nCloth Render Previz when using an UVPin Behavior
- Fixed duplicate of a Random Operator
- Fixed mirror and enable controls of the Motion Clip in the Motion Behavior
- Fixed grouping of behaviors (connections were removed)
- Fixed Scene Check Test when a Navigation Behavior is in the scene
- Fixed Flock perching


** Refactoring 

- CharacterMaker Locator Physics Shapes are hidden when not in Skeleton Mode
- Position, Rotation and Scale expressions have been merged in the SetBone Behavior
- Behavior Containers are automatically renamed when their EntityType node is renamed
- New icon for the Geometry Behavior


** DevKit

- Update of the Simulation Cache Reader sample to generate character geometries


** Supported Rendering Engines

- Mtoa 1.1.X & 1.2.X / Arnold Core 4.2.X
- V-Ray For Maya 3.10.01, 3.00.01 & 3.05.04
- V-Ray For 3ds Max 3.30.XX
- Renderman Studio 20.X
- Mental Ray For Maya (any version)
- 3Delight Studio Pro 11.0.XX
- Guerilla Render 1.4b31
- Katana 2.X (Arnold and Renderman)

Also supported (but must be manually installed):

- Mtoa 1.0.X / Arnold Core 4.1.X
- V-Ray For Maya 2.4
- Renderman Studio 19.0




GOLAEM CROWD 5.1 - CHANGELOG - April 27th 2016
----------------------------------------------

** New features

- Trajectory Edit and Snap To layers in the Simulation Cache Layout Tool
- Grouping of layers in the Simulation Cache Layout Tool
- Support of shadows casting (only Spot Light for now) in the viewport
- Improved shaders in the Golaem Assets


** Improvements

- Painted Entity Type is now saved in the Paint Tool texture
- Support of animated FBX Terrain (transforms) in the Simulation Cache Proxy
- Speed and Acceleration Per-Particle attributes can now be animated
- Support of modulo (%) operator in Expressions
- Simulation FBX Mode exports assets-repartition Entity meshes
- New Heading / Attitude / Bank Channel
- UVPin Behavior now uses mesh normals instead of smoothed vertex normals
- Handle Motion Channels with SyncMotion Behaviors
- Exported FBX files are now compatible with Maya 2014 and later (from Character Maker or Simulation Exporter)
- PreEmit / PostEmit Callbacks preserve selection in the Population Tool Locator


** Bug fixes

- Fixed transform computation applied to V-Ray Render Proxy
- Fixed frame offset combined with motion blur in V-Ray
- Fixed a bug which deletes simulation when skipping frames
- Fixed Motion Locator posture computation
- Fixed rotation axis in the SetBone Behavior
- Fixed Expressions computation in the Set Bone Behavior
- Fixed starting / stopping duration not taken into account in the Locomotion Behavior
- Fixed Vector attribute generation when using V-Ray Vector Shader Attribute
- Fixed Vector Field computation when using Random Target in a GoTo Behavior
- Fixed refresh in the Physics Properties dialog in the Character Maker
- Fixed Simulation Cache Replay timeline display when simulation starts before frame 1
- Fixed Render Previz Display Mode using wrong camera with multiple Maya viewports
- Fixed a crash at simulation initialization when multiple particle systems are connected to a CrowdField
- Fixed a crash when computing mesh names in glmAssetMeshTools command
- Fixed a crash when using Golaem Groups
- Fixed a crash when using several simulations
- Fixed a crash when creating a loop between triggers in the Trigger Editor
- Fixed a crash when setting a next behavior in the If Operator
- Fixed a crash when no UV is present on the mesh used in a Cloth Behavior
- Fixed trigger node enabled / disabled coloring in the Trigger Editor
- Fixed a refresh bug when selecting a node in the Node Outliner in the Character Maker
- Fixed Simulation Cache Layout GUI (buttons, tooltips, refresh...)
- Fixed "Show In Maya" option in the Character Maker interfering with Maya selection
- Fixed conflict between the Hypershade and the Population Tool Locator AETemplate in Maya 2016
- Fixed behavior unlink when using a Parallel, NoOrder or Loop operator
- Fixed triggers not properly reset when re-entering behaviors or some operators
- Fixed the Behavior Editor Visual Feedback refresh when unselecting an Entity
- Fixed a refresh bug when resetting shaders in the Character Maker
- Fixed CharacterController Behavior when using Flock Behaviors
- Fixed the frame Rate in the Motion Preview Tool
- Fixed minimize / maximize in the Behavior Editor
- Fixed kill option in the Layout command 


** Refactoring

- Tool bar can not remove anymore from the BehaviorEditor
- Added a button to open the Trigger Editor from the TriContainer AETemplate
- Added buttons to open the Trigger Editor for each triggers in the If Operator AETemplate


** API

- Merge of glmHistoryExport and glmSimulationCacheCmd into glmHistory Command


** Supported Rendering Engines

- Mtoa 1.1.X & 1.2.X / Arnold Core 4.2.X
- V-Ray For Maya 3.10.01, 3.00.01 & 3.05.04
- V-Ray For 3ds Max 3.30.XX
- Renderman Studio 20.X
- Mental Ray For Maya (any version)
- 3Delight Studio Pro 11.0.XX
- Guerilla Render 1.4b31
- Katana 2.X (Arnold and Renderman)

Also supported (but must be manually installed):

- Mtoa 1.0.X / Arnold Core 4.1.X
- V-Ray For Maya 2.4
- Renderman Studio 19.0




GOLAEM CROWD 5.0.4.1 - CHANGELOG - May 25th 2016
------------------------------------------------

** Bug fixes

- Fixed invalid rendering of entities when having discontinuities in entity Ids and duplicated characters




GOLAEM CROWD 5.0.4 - CHANGELOG - March 30th 2016
------------------------------------------------

** New features

- New Character Controller Behavior to navigate / walk on physicalized Entities


** Improvements

- Bone edition has been improved with a nicer rotation pivot in the Simulation Cache Layout
- Added support of Child Rendering Types in the Character Maker
- Improved performances when selecting Entities in the Simulation Cache Layout
- Improved performances with multiple Characters simulations
- Improved transition frame delay between two sequenced UVPin Behavior
- Improved dirmap strategy to deal with multiple platforms studios
- Improved multiple Character assets shuffling in the Character Palette
- Position / Orientation offset can be only applied on blending frames in the Character Maker


** Bug fixes

- Fixed Entity culling when playblasting a scene with the Viewport 2.0
- Fixed weight computation when blending motions in a Locomotion Behavior
- Fixed import of Character Files with Child Rendering Types from Golaem 4
- Fixed PPAttributes input in Vector Shader Attributes
- Fixed a crash when loading Character Files from Golaem 4
- Fixed a crash when having more than 10 characters geometry files in a simulation
- Fixed a crash with OpenGL in Maya Batch
- Fixed a crash when initializing a simulation with an hidden Terrain Locator
- Fixed a crash when playing the time backwards
- Fixed a crash when building a Crowd Rigid Body convex mesh on a single triangle
- Fixed a crash due to infinite loops in the Auto Layout process of the Character Maker
- Fixed a crash due to wrong mesh count in the Simulation Cache Layout
- Fixed a crash when editing Crowdfield names in the Simulation Cache Proxy node
- Fixed a crash when exporting simulation with killed Entities in Alembic or FBX
- Fixed a crash when exporting an animation from a Character File with a different amount of bones
- Fixed a crash when using the Cloth Behavior
- Fixed reload of history in the Simulation Cache Layout
- Fixed Entity scale sampling when using small scale ratios
- Fixed Block operator behavior when shared amongst several Entity Types
- Fixed Apply button in the Physics Properties window of the Character Maker
- Fixed alpha computation in the Physics Properties window of the Character Maker
- Fixed blendshape rendering in the Simulation Cache Layout
- Fixed geometry frame not modified by the Time Offset Layer in the Simulation Cache Layout
- Fixed bad selection when duplicating many characters in the Simulation Cache Layout
- Fixed Notes saving in the Trigger Editor
- Fixed warnings when saving / loading a Custom Behavior Graph
- Fixed linear Locomotion Model preview in the Visual Feedback
- Fixed empty .mod file generated at Linux install when using an underscore in install path
- Fixed save as not updating the Character File name when in the Geometry tab of the Character Maker


** Refactoring

- Use Cached Terrain / Orient Pelvis On Ground are now also in the Simulation Cache Layout
- Replay last found frame for an Entity in the Simulation Cache Layout


** Misc

- Upgraded internal FBX SDK to 2016.1.2


** Supported Rendering Engines

- Mtoa 1.1.X & 1.2.X / Arnold Core 4.2.X
- V-Ray For Maya 3.10.01, 3.00.01 & 3.05.04
- V-Ray For 3ds Max 3.30.XX
- Renderman Studio 20.X
- Mental Ray For Maya (any version)
- 3Delight Studio Pro 11.0.XX
- Guerilla Render 1.4b31
- Katana 2.X (Arnold and Renderman)

Also supported (but must be manually installed):

- Mtoa 1.0.X / Arnold Core 4.1.X
- V-Ray For Maya 2.4
- Renderman Studio 19.0




GOLAEM CROWD 5.0.3 - CHANGELOG - February 26th 2016
---------------------------------------------------

** New features

- Time Offset and Time Warp layers in the Simulation Cache Layout Tool
- Scale range layer in the Simulation Cache Layout Tool
- Change Rendering Type layer in the Character Palette


** Improvements

- Trigger nodes can now have multiple outputs
- "Show in Hypershade" context menu for Shading Group, Shader Asset and Shader Attribute nodes in the Geometry Tab of the Character Maker
- Improved the "I'm Feeling Lucky" tool of the Character Palette to shuffle assets according to the Character File rules
- Rendering Types view now shows the full node hierarchy in the Geometry Tab of the Character Maker
- New option on the Script Behavior to display or not the executed command
- Draw Terrain option in the Simulation Cache Proxy node
- PPAttributes are now read when the behavior starts in the SyncMotion Behavior
- Switch attribute when different Characters are selected in the Character Palette
- Save button in the Simulation Cache Layout saves every all Simulation Cache Proxies history
- Physics World Ground Adaptation is now defined in the GroundAdapt Behavior (instead of the Terrain Locator)
- Selecting a Shader Attribute in the Character Maker select the relative UserData node in the Shading Graph


** Bug fixes

- Fixed rendering not working when multiple render proxies in the same scene
- Fixed flickering when stopping a MasterSlave Behavior (multi-thread related)
- Fixed 3D orientation update in the MasterSlave Behavior
- Fixed tab selection when dragging a trigger in a Trigger Container
- Fixed Motion Clips not added properly in a Locomotion Behavior (hash collision related)
- Fixed a crash when the root of a Trigger is not contained in the TriggerContainer
- Fixed a crash when a Character File is invalid in the Simulation Cache Proxy
- Fixed a crash when the Character Files list of a Render Proxy node is not up to date
- Fixed a crash when loading shaders with cyclic texture file graph in the Render Previz display mode
- Fixed a crash when rendering multiple Rendering Types using same Character File
- Fixed a crash when selecting an item in the Assets Outline of the Character Maker
- Fixed a crash when minimizing nodes in AutoLayout mode in the Geometry Tab of the Character Maker
- Fixed a crash when removing a particle system
- Fixed a crash when importing transforms with identical names in the Geometry Tab of the Character Maker
- Fixed a crash when using CTRL+SHIFT+D with no translation in history in the Simulation Cache Layout Tool
- Fixed non-consistent Bone editions between edition and rendering in the Simulation Cache Layout Tool
- Fixed bad orientation when rotating around multiple axis in the Simulation Cache Layout Tool
- Fixed geometry import sometimes linking the same node twice in the Character Maker
- Fixed Asset Properties and Asset Outliner show/hide status in the Character Maker
- Fixed Motion Mapping display disappearing in the Character Maker
- Fixed a memory leak with shader attributes in the Mental Ray Render Plugin
- Fixed Mental Ray Proxy creation added to the Display Layer
- Fixed CrowdField Entity information display
- Fixed Simulation Percent update in the CrowdField
- Fixed the Trigger list filter of the Trigger Editor
- Fixed hidden node selection in the Character Maker


** Refactoring

- Skeleton and Geometry tabs are vertical in the Character Maker (in Character Mode)
- Geometry nodes (except Asset Groups) are collapsed by default when opening a gcha file in the Geometry Tab of the Character Maker
- Asset Nodes becomes Asset Outliner and Node Properties becomes Asset Properties in the Geometry Tab of the Character Maker
- Refactored Simulation Cache Layout Tool Interface
- Tabs of the Trigger Editor are now at the bottom of the Behavior Editor
- Stopping color of tracked Behaviors is blue in the Behavior Editor
- Trigger Container & Behavior Editor icons updated
- CTRL+SHIFT+D replaced with SHIFT+D in the Simulation Cache Layout Tool


** API

- Flags for the Renderman / 3Delight / Guerilla Render Plugins


** Supported Rendering Engines

- Mtoa 1.1.X & 1.2.X / Arnold Core 4.2.X
- V-Ray For Maya 3.10.01, 3.00.01 & 3.05.04
- V-Ray For 3ds Max 3.30.XX
- Renderman Studio 20.X
- Mental Ray For Maya (any version)
- 3Delight Studio Pro 11.0.XX
- Guerilla Render 1.4b31
- Katana 2.X (Arnold and Renderman)

Also supported (but must be manually installed):

- Mtoa 1.0.X / Arnold Core 4.1.X
- V-Ray For Maya 2.4
- Renderman Studio 19.0




GOLAEM CROWD 5.0.2.1 - CHANGELOG - January 29th 2016
----------------------------------------------------

** Important notice

Check the following page to see how to update Scenes from Golaem Crowd v4.X to v5.0
http://golaem.com/content/doc/golaem-crowd-documentation/updating-golaem-crowd-4x-50

** Bug fixes
- Character Maker: fixed a crash when clicking the +/- of a node in the Geometry Tab while Auto Layout is enabled




GOLAEM CROWD 5.0.2 - CHANGELOG - January 27th 2016
--------------------------------------------------

** Important notice

Check the following page to see how to update Scenes from Golaem Crowd v4.X to v5.0
http://golaem.com/content/doc/golaem-crowd-documentation/updating-golaem-crowd-4x-50


** New features

- Simulation Cache Layout tool which allows to edit/layout Simulation Caches
- Character Palette which allows to edit/override Character Assets
- Nodal Geometry Tab in the Character Maker
- Nodal Trigger system in the Behavior Editor
- Support of Blind Data from the Character Maker to Simulation Export
- Vector shader attributes


** Improvements

- Optimization of memory usage in the animation engine (now uses 15% less memory)
- Optimization of initialisation time in the animation engine
- SyncMotion Behavior can now synchronize components of animation transforms only
- SyncMotion Behavior can now synchronize with a Motion behavior
- Disabled mouse wheel on sliders and spinboxes in the Geometry Tab of the Character Maker
- Filter Segment Scale Compensate attribute when a skeleton is loaded in the Character Maker
- Declare GLMCROWD_NO_LICENSE environment variable to avoid license check on render nodes


** Refactoring

- Kill List is now stored as a layer in the Simulation Cache Layout
- Shelf and Menus are now named Golaem and Golaem Render (instead of Crowd and Crowd Render)
- Rendering plugins now log all Golaem components
- Renderman RIS & REYES shaders have been renamed (CrowdGetUserDataRMS => CrowdGetUserDataFloatRMS and glmCrowdRMS_RIS_GetUserDataShader => glmCrowdRMS_RIS_GetUserDataFloat)
- Render Proxies are now created in a Reference Display Layer called golaemLayer


** API

- Support for gscl files in the glm_crowd.h and glm_crowd_io.h API
- Set of MEL/Python functions to create / edit a Simulation Cache Layout
- glmCharacterMaker command to create the geometry representation of a Character File
- glmExportTerrain command to export the terrain geometry to be used by the Simulation Cache Layout
- glmConnectMayaSkeletonToSimulationCacheProxy supports blind data


** Supported Rendering Engines

- Mtoa 1.1.X & 1.2.X / Arnold Core 4.2.X
- V-Ray For Maya 3.10.01, 3.00.01 & 3.05.04
- V-Ray For 3ds Max 3.30.XX
- Renderman Studio 20.X
- Mental Ray For Maya (any version)
- 3Delight Studio Pro 11.0.XX
- Guerilla Render 1.4
- Katana 2.X (Arnold and Renderman)

Also supported (but must be manually installed):

- Mtoa 1.0.X / Arnold Core 4.1.X
- V-Ray For Maya 2.4
- Renderman Studio 19.0




GOLAEM CROWD 4.3.3 - CHANGELOG - January 15th 2016
---------------------------------------------------

** Improvements

- Support of shading inside of 3ds Max when using VRayGolaem 3ds Max plugin
- Support for Mental Ray bump mapping
- Added a PPAttribute to select the object to sync on in the SyncMotion Behavior


** Bug fixes

- Fixed a crash when importing Entities as Maya skeleton in the Simulation Cache Proxy
- Fixed mirroring of IK planes animation
- Fixed ragdoll default posture


** Supported Rendering Engines

- Mtoa 1.1.X & 1.2.X / Arnold Core 4.2.X
- V-Ray For Maya 3.10.01, 3.00.01 & 3.05.04
- V-Ray For 3ds Max 3.30.XX
- Renderman Studio 20.X
- Mental Ray For Maya (any version)
- 3Delight Studio Pro 11.0.XX
- Guerilla Render 1.4
- Katana 2.X (Arnold and Renderman)

Also supported (but must be manually installed):

- Mtoa 1.0.X / Arnold Core 4.1.X
- V-Ray For Maya 2.4
- Renderman Studio 19.0




GOLAEM CROWD 4.3.2 - CHANGELOG - December 18th 2015
---------------------------------------------------

** New features

- New procedural rendering plugin for Guerilla Render
- Simulation Cache Proxy node Output plugs (mesh drive)


** Improvements

- Collision Layer for Cloth simulation
- Allow multiple meshes as terrain source and destination in the UVPin Behavior
- Connect nodes Tool in the Crowd Swiss Knife Tool
- Added a parameter to force a new computation of the next footprint in the GroundAdaptation Behavior
- Add first Rendering Type in an Entity Type Node when loading a Character File for the first time


** Bug fixes

- Fixed bad footprint height computation (could produce some oscillation on the limb)
- Fixed motion phase alignment was not working in some very specific cases
- Fixed a crash when rendering scenes with different renderers in the same Maya session
- Fixed a crash when having multiple blendshape deformers per mesh
- Fixed Block Operator when Simulation substeps != 1
- Fixed Body Masks assignment in the Physicalize Behavior
- Fixed Entity picking when editing position offset in the Simulation Cache Proxy
- Fixed Custom Behaviors namespace naming import
- Fixed plug index in the ClothLocator, resulting in some colliders/cloth not simulated


** API

- glmCrowdSimulationExporter allows to export viewport screenshots


** Misc

- Change default installation directory on linux platforms ('$HOMEDIR' -> '$HOMEDIR/Golaem')


** Supported Rendering Engines

- Mtoa 1.1.X & 1.2.X / Arnold Core 4.2.X
- V-Ray For Maya 3.10.01, 3.00.01 & 3.05.04
- V-Ray For 3ds Max 3.20.XX
- Renderman Studio 20.X
- Mental Ray For Maya (any version)
- 3Delight Studio Pro 11.0.XX
- Guerilla Render 1.4
- Katana 2.X (Arnold and Renderman)

Also supported (but must be manually installed):

- Mtoa 1.0.X / Arnold Core 4.1.X
- V-Ray For Maya 2.4
- Renderman Studio 19.0




GOLAEM CROWD 4.3.1 - CHANGELOG - December 1st 2015
---------------------------------------------------

** Important Notice

IMPORTANT: Notice that rotation axis order in the SetBone behavior has changed between Golaem Crowd 4.3 and 4.3.1
Use MEL function golaemCrowd43To431() to update your scene from Golaem Crowd 4.3 to 4.3.1


** New features

- New Physics Channels
- New Ground information Channels


** Improvements

- SetBone Behavior allows to set the orientation of the Root Bone
- SetBone Behavior allows to set the position of the Root Bone
- Expressions in the SetBone Behavior can now be enabled/disabled
- UVPin & SetBone Behaviors can now be evaluated before or after Physics behaviors


** Bug fixes

- Fixed footprint recomputation in the simulation
- Fixed a crash when replacing particle systems with the Population Tool if a set Entity Type is no longer in the scene
- Fixed a crash when exporting CrowdField with namespaces
- Fixed a crash when parsing the default material in VRay Distributed Rendering
- Fixed a crash when fetching texture in a cyclic shading graph (cgfx shader) in Render Previz
- Fixed a crash when the "Same nucleus solver than clothes" option in the Cloth Locator
- Fixed a crash when rendering with Mental Ray
- Fixed a crash when mapping/unmapping effectors in the Character Maker
- Fixed the sphere Population Tool orientation noise
- Fixed Arnold .ass exporter
- Fixed Flock Behavior random number generation
- Fixed Render Checker Tool when checking Character Files with empty shader attributes
- Fixed squash'n'stretch support of the pelvis in the Motion & Locomotion Behaviors
- Fixed rotation axis in the SetBone Behavior


** Refactoring

- More verbose error messages when loading the Geometry File in Render Previz or render


** API

- In glm_crowd_io.h, log messages from the fbx classes are supported


** Supported Rendering Engines

- Mtoa 1.1.X & 1.2.X / Arnold Core 4.2.X
- V-Ray For Maya 3.10.01, 3.00.01 & 3.05.04
- V-Ray For 3ds Max 3.20.XX
- Renderman Studio 20.X
- Mental Ray For Maya (any version)
- 3Delight Studio Pro 11.0.XX
- Katana 2.X (Arnold and Renderman)

Also supported (but must be manually installed):

- Mtoa 1.0.X / Arnold Core 4.1.X
- V-Ray For Maya 2.4
- Renderman Studio 19.0




GOLAEM CROWD 4.3 - CHANGELOG - November 12th 2015
-------------------------------------------------

** Important Notice

IMPORTANT: Notice that mesh assignment in the AdaptPosition behavior has changed between Golaem Crowd 4.2.2 and 4.3
Use MEL function golaemCrowd422To43() to update your scene from Golaem Crowd 4.2.2 to 4.3


** New features

- New Golaem Crowd Layout license for the Cache Proxy node and or batch export crowd simulations
- AdaptPosition Behavior can now scatter Entities on several meshes
- Physicalize Behavior can now set a Collision ID on the Entity rigid bodies


** Improvements

- 'thisBehavior' keyword in the Expression trigger
- Check Render Settings Tool now works for lighting scene (without simulation nodes)
- Linear and Angular Damping can be set per bone in the Character Maker (instead of globally in the Physics Locator)
- Load / Save Node Attributes tool in the Crowd Swiss Knife Tool
- Skeleton Pelvis Height Ratio is now computed automatically in the CrowdEntityType node
- New 'Character and Ground Relative' mode in the AdaptPosition Behavior
- Start / Stop Duration attributes in the AdaptOrientation Behavior
- Stop Duration in the Flock Behavior


** Bug fixes

- Fixed fetching of PPAttributes in Motion and Goto Behaviors (when using several particle systems)
- Fixed orientation computation in the AdaptOrientation Behavior
- Fixed NavMesh creation of huge environments
- Fixed glmCrowd.mll unload
- Fixed Rendering Type Id assignment
- Fixed SetFormation Behavior
- Fixed manipulator and rendering glitch with VP2.0 in the Paint Tool
- Fixed a crash when dirmapping Character Files without Geometry Groups
- Fixed a crash when rendering an empty scene with Mental Ray, Renderman, Arnold & V-Ray
- Fixed a crash when rendering with V-Ray and using frustum culling
- Fixed a crash when rendering empty meshes with V-Ray
- Fixed a crash in the UVPin Behavior (multithread issue)
- Fixed a crash when exiting Maya after having opened the Simulation Window
- Fixed a crash when the Speed Ratio of a Motion Behavior is set to 0
- Fixed a crash when using Collision Triggers and several CrowdFields
- Fixed a crash when rendering mesh names longer than 256 characters
- Fixed non consistent shader assignment with V-Ray
- Fixed File Browser Window Save Button
- Fixed animation loops in the SyncMotion Behavior
- Fixed wrong orientation display in the SyncMotion Behavior
- Fixed starting duration interpolation in the UVPin Behavior
- Fixed cloth simulation when using 'same nucleus solver than clothes' option in the Cloth Locator
- Fixed warning messages on restart in the Cloth Behavior
- Fixed the IK Planes button loop in the Character Maker
- Fixed flocking behavior on non-flocking Entities if a Flock Locator was in the scene
- Fixed start and stop nodes selection
- Fixed a potential crash at simulation start when using navigation behaviors

** Refactoring

- Removed TBB dependency
- Refactoring of most custom Attribute Editor controllers
- Master-Slave behavior now requires that Master and Slave entities belong to the same particle system (temp)


** API

- glmCheckLicense has now -full or -layout flags
- In glm_crowd_io.h, glmBeginGeometryGeneration can now be called multiple times on different contexts without calling glmEndGeometryGeneration
- In glm_crowd_io.h, added a parameter to glmCreateEntityGeometry to create only mesh/shaders names, geometry or both
- In glm_crowd_io.h, added support of object id generation (for ObjectID render passes)




GOLAEM CROWD 4.2.2 - CHANGELOG - October 19th 2015
--------------------------------------------------

** New features

- Master / Slave Behavior to constraint Entities from one Entity Type to other Entities (e.g. spear entity to soldier entity)
- UVPin Behavior to remap simulations on a specific UV Space
- Support of Maya File Path Editor to relocate files
- New direction channels (boneDirection, paintedDirection)
- Master Entity Channel
- Rigid bodies can now be exported in a PhysX environment file (.xml) from the Physics Locator


** Improvements

- Automatic computation of a Character Physics Properties now excludes the effectors from the physics by default in the Character Maker
- Automatic computation of a Character Physics Properties also computes angular limits based on IK Planes in the Character Maker
- New Reset Angular Limits button in the Character Maker
- Visual Feedback on nodes when the hierarchy is different between the Golaem Motion Mapping and the source Character in the Character Maker
- Force direction and magnitude can now be controlled with dynamic PPAttributes in the Force Behavior
- Added a velocity threshold attribute to stop the Entity in the Locomotion Behavior
- Added Separation, Alignment and Cohesion Weights in the Flock Behavior
- Added a maximum up angle attribute in the Flock Behavior
- Added a warning message when the number of rigid bodies exceed 65535 (which triggers a crash if all of them collide with the AABB of the same object)
- Crowd Rigid bodies are renamed accordingly to their associated mesh transform


** Bug fixes

- Fixed a crash when batch exporting a simulation having Painted Zone / Vector Fields
- Fixed a crash when loading two skeleton consecutively in the Character Maker
- Fixed a crash when unmapping Maya geometry from the Terrain Locator
- Fixed a crash when Expression Trigger was active and empty
- Fixed a crash when restarting a simulation while having nodes like Nucleus in the scene
- Fixed wrong computation when using default values in Physics Collision Triggers
- Fixed camera update when playblasting crowd simulations with VP2.0
- Fixed 3Delight Render Proxy creation with Maya 2016
- Fixed update when using multiple splines with painted surface
- Fixed a warning message when a bone was mapped to both the last extension and first auxiliary of the next bone
- Fixed creation of a Crowd Rigid Body without a selected transform object
- Fixed computation of a Crowd Rigid Body when added to a hierarchy of transforms
- Fixed display of Crowd Rigid Body when in Convex Hull and Triangle Mesh mode


** Refactoring

- Helper icon next to PPAttribute, Bone, Limb, Effector, Blend Shape Names Attribute
- Default values of Physics Collision Triggers have been changed


** Supported Rendering Engines

- Mtoa 1.1.X & 1.2.X / Arnold Core 4.2.X
- V-Ray For Maya 3.10.01, 3.00.01 & 3.05.04
- V-Ray For 3ds Max 3.20.XX
- Renderman Studio 20.X
- Mental Ray For Maya (any version)
- 3Delight Studio Pro 11.0.XX
- Katana 2.X (Arnold and Renderman)

Also supported (but must be manually installed):

- Mtoa 1.0.X / Arnold Core 4.1.X
- V-Ray For Maya 2.4
- Renderman Studio 19.0




GOLAEM CROWD 4.2.1.1 - CHANGELOG - October 5th 2015
---------------------------------------------------

** Bug fixes

- Fixed CharacterMaker physics spreadsheet selection and updates




GOLAEM CROWD 4.2.1 - CHANGELOG - October 1st 2015
-------------------------------------------------

** Important notice

From this release, Bullet physics engine is not supported anymore (replaced with NVidia PhysX)


** New features

- Maya meshes and objects can be directly used as Convex Hull & Triangle Mesh colliders for the Physics simulation
- Crowd Rigid Bodies can be dynamically defined as Kinematic or Dynamic objects
- Crowd Rigid Bodies can be taken into account in Collision Triggers (either using Id, Color or Physics Mode)
- Collision Triggers now have a collider / collided property
- Containers can be expanded / collapsed in the Behavior Editor
- New Channel / Expression Trigger


** Improvements

- Crowd Rigid Body shapes are configured automatically based on the connected object properties
- ObjectID pass can be configured in the VRay Proxy (one color per mesh, entity, crowdField, all)
- Heading / Attitude / Bank offsets in the AdaptOrientation Behavior
- Visibility, Object ID, Motion Blur attributes are now stored at the Object / VRay Properties level in 3ds Max plugin
- VRayGolaem 3ds Max plugin transform is now taken into account when rendering Crowd Characters in 3ds Max
- Render Checker now checks if the required PPAttributes have been exported to the Simulation Cache
- Edit Physics Properties window selection now selects the corresponding bone in the viewport
- Unphysicalized bones are not displayed by default in the Edit Physics Properties window
- Added a button to remap auxiliary and extensors bones to extensor only (and vice versa) in the Character Maker
- More precise visual feedback of updated or ended behaviors in the Behavior Editor (using gradients)
- DirectX11 compatibility tool


** Bug fixes

- Fixed Locomotion Channel in MotionClip nodes
- Fixed Geometry Behavior evaluation when Time Warp is used in a scene
- Fixed the Alternative Operator interface when changing condition order
- Fixed Alembic export with blendshape animation
- Fixed bad orientation of Geometry Behaviors in the Render Previz display mode
- Fixed vertex cache display of Geometry Behaviors in the Render Previz display mode when not every submesh has a cache


** Refactoring

- Refactoring of all rendering plugins to use the glm_crowd_io API (see below)
- Motion Blur attributes have been removed from the VRay Proxy and are now read in VRay Camera attributes
- Fixed the save of the position of the VisualFeedback window
- Fixed the save of the position of the MotionClipPreview window
- NavMesh Creator can now process any polygon (doesn't have to be quads or triangles)
- Creation of several Crowd Rigid Bodies when several objects are selected


** API

- Geometry Generation API (glm_crowd_io.h) to generate Character geometries from Simulation Cache files
- glmSimulationCacheTool command to query Simulation Cache attributes
- glmCharacterFileTools has been renamed to glmCharacterFileTool




GOLAEM CROWD 4.2.0.1 - CHANGELOG - September 4th 2015
-----------------------------------------------------

** Bug fixes

- Fixed Windows installer requesting Administrator access




GOLAEM CROWD 4.2 - CHANGELOG - September 3rd 2015
-------------------------------------------------

** Important notice

From this release, Golaem Crowd does not use a custom launch script anymore to start Maya with the correct configuration.
Depending on the install option, you can either start Maya the usual way or define the MAYA_MODULE_PATH environment variable.
More here: http://install.golaem.com


** New features

- Support of Servo mode in the Physics behaviors (local and world space)
- Maya meshes and objects can be used directly as colliders for the Physics simulation
- New adaptation mode (Forward & Up Vectors) in the AdaptOrientation Behavior


** Improvements

- No more launch script. Golaem Crowd module file can be installed in the Maya user files or defined via MAYA_MODULE_PATH
- Collision triggers now uses the real shapes of rigid bodies instead of the AABB (may be less performant)
- Visual feedback of updated or ended behaviors in the Behavior Editor
- Moving objects can be synchronized in the SyncMotion Behavior
- Repartition control between Reach and Wander modes in the Steer Behavior
- Obstacle choice frequency control in the Flock Locator
- Improved visual feedback for flocking Entities in the viewport
- Interactive playback help icon
- Customizable default shader for Arnold, VRay and Mental Ray
- Visual feedback on nodes in the Character Maker (red nodes will not be saved in the Character File / orange nodes will be saved but requires some attention)


** Bug fixes

- Fixed a crash when autocomputing the Skeleton Mapping on some kinds of morphologies in the Character Maker
- Fixed a crash when mapping wrong bones in the Character Maker
- Fixed a crash when deleting the CrowdField during the simulation having cloths
- Fixed the duplication of cloth colliders if not present in the assets repartition
- Fixed the Flock behaviors when using a custom Crowd Unit
- Fix displacement in the VRay Render Proxy


** API

- glmCharacterFileTools command can now also query the shader attributes of a Character File (.gch / .gcha)


** Supported Rendering Engines

- Mtoa 1.1.X & 1.2.X / Arnold Core 4.2.X
- V-Ray For Maya 3.10.01, 3.00.01 & 3.05.04
- V-Ray For 3ds Max 3.20.XX
- Renderman Studio 20.X
- Mental Ray For Maya (any version)
- 3Delight Studio Pro 11.0.XX
- Katana 2.X (Arnold and Renderman)

Also supported (but must be manually installed):

- Mtoa 1.0.X / Arnold Core 4.1.X
- V-Ray For Maya 2.4
- Renderman Studio 19.0




GOLAEM CROWD 4.1.2.1 - CHANGELOG - August 3rd 2015
-----------------------------------------------

** Bug fixes

- Fixed a crash when rendering different Character Files with Arnold
- Fixed an important memory leak during simulation (appeared in version 4.1.2)




GOLAEM CROWD 4.1.2 - CHANGELOG - July 30th 2015
----------------------------------------------

** Important notice

From this release, Renderman 18 is not supported anymore


** New features

- Support of Renderman Studio 20.0
- Support of Maya dirmap mechanism
- Render Previz display mode supports Maya Lights (ambient & directionnal)
- New Mental Ray Proxy shading system (mia_material_x_passes and all render passes are now supported)


** Improvements

- Flee target mode in GoTo Behavior
- Expressions can now also be used in the SetBone Behavior
- Vector Channels now support [x/y/z] (this.position[x])
- Ramp controls can now be used in an Expression in the Attribute & SetBone Behaviors
- Roll bones can now be out of the Limb bone chain in the Character Maker
- Added a second curve in the Loop indicator to improve precision in the Character Maker
- Added a #tid# keyword for Mel/Python callbacks / scripts (will be replaced with the EntityType id)
- VRayGolaem 3ds Max plugin checks if the Golaem VRay plugin is correctly installed before render starts


** Bug fixes

- Fixed a crash when Character Files were not found in the Simulation Cache Proxy
- Fixed a crash when the Character fbx and the Golaem Character have different number of bones
- Fixed a crash when using a MEL expression in the Attribute Editor
- Fix Physics Collision Entity Type trigger
- Fixed Attitude computation in the AdaptOrientation Behavior
- Fixed a bad blending computation between motions when an Motion Behavior is started and stopped during the same frame
- Fixed scaled skeleton import when using the Joint Orient Detection in the Character Maker


** Refactoring

- Using bone names instead of bone ids in IK, LookAt & Detach Behaviors
- The #noise# tag in the SetBone Behavior is replaced by Ramp Controls
- Render plugins now log an info line when rendering starts


** API

- glmCharacterFileTools command to query / set attributes of a Character File (.gch / .gcha)
- glmCheckShaders, glmCheckBoundingBoxes, glmGetRenderingTypes are now replaced with glmCharacterFileTools
- Environment variable GLMCROWD_DIRMAP_ENABLE to disable Golaem Crowd dirmap mechanism


** Supported Rendering Engines

- Mtoa 1.1.X & 1.2.X / Arnold Core 4.2.X
- V-Ray For Maya 3.10.01, 3.00.01 & 3.05.04
- V-Ray For 3ds Max 3.20.XX
- Mental Ray For Maya (any version)
- 3Delight Studio Pro 11.0.XX
- Renderman Studio 20.0
- Katana 2.X (Arnold and Renderman)

Also supported (but must be manually installed):

- Mtoa 1.0.X / Arnold Core 4.1.X
- V-Ray For Maya 2.4
- Renderman Studio 19.0




GOLAEM CROWD 4.1.1 - CHANGELOG - July 13th 2015
----------------------------------------------

** Important Notice

IMPORTANT: Notice that starting and stopping duration attributes in Motion behaviors have changed between Golaem Crowd 4.1 and 4.1.1
Use MEL function golaemCrowd41To411() to update your scene from Golaem Crowd 4.1 to 4.1.1


** New features

- VRay for 3dsMax proxy can now display cached Entities as bounding boxes
- VRay for 3dsMax proxy allows to control rendering parameters directly in 3dsMax
- Renderman for Katana export tool in Renderman Studio Proxy


** Improvements

- Support of Renderman Studio 19.0 for Maya 2016
- Motion, Locomotion, SyncMotion, LookAt, IK Behaviors have now starting & stopping durations controllable with PPAttributes
- Highlight Behavior, Trigger and MotionClips selection in the Behavior Editor Outliner


** Bug fixes

- Fixed a crash when painting on meshes without UVs
- Fixed a crash when a particle system has a groupId but there's not GroupEntityType defined
- Fixed a crash when only a part of the Entities have Squash&Stretch bones in the Animation Bones display mode
- Fixed a crash when a Force Behavior was started on an Entity that has no Physicalize Behavior
- Fixed frozen Entities when using the Physicalize Behavior
- Fixed inertia computation when using the Physicalize Behavior
- Fixed wrong display of sphere bones in Physics Shape display mode
- Fixed an issue that allowed to connect two nodes inside the same operator
- Fixed SetBone behavior blendshape expression
- Fixed Proxy transform combined with frustum culling
- Fixed Mental Ray frustum fov calculation
- Fixed VRay for 3dsMax Proxy random render issue
- Fixed VRay for 3dsMax frustum culling
- Fixed vrscene export of the Simulation Exporter
- Fixed import cache format detection in the Simulation Cache Proxy


** Refactoring

- Removed Partio cache format option in the Simulation Exporter
- Added a license check to the commands glmExportMotion, glmExportMotionMapping, glmPaintTool, SimulationCacheEditorExport/Import


** Supported Rendering Engines

- Mtoa 1.1.X & 1.2.X / Arnold Core 4.2.X
- V-Ray For Maya 3.05.04
- V-Ray For 3ds Max 3.20.XX
- Mental Ray For Maya (any version)
- 3Delight Studio Pro 11.0.XX
- Renderman Studio 19.0
- Katana 1.X & 2.X (Arnold and Renderman)

Also supported (but must be manually installed):

- Mtoa 1.0.X / Arnold Core 4.1.X
- V-Ray For Maya 2.4
- Renderman Studio 18.0





GOLAEM CROWD 4.1 - CHANGELOG - June 15th 2015
---------------------------------------------

** New features

- Support of V-Ray 3.0 for 3ds Max
- Integration of Nvidia PhysX for physics simulation (physics simulation are now multithreaded!!)
- New physics collision triggers with Entity Types, entity color and bone color
- New Entity Channels (closestEntity, closestEntityOfType, entityXXXX) in the Attribute Behavior
- New Behavior Channels (closestEntity, closestEntityOfType, distanceWithEntity) in the Attribute Behavior
- Support of in-between Blendshapes
- Support of V-Ray 3.0 for Maya 2016


** Improvements

- AdaptPosition Behavior allows to add Character relative position offset
- Link after the Alternative / Random Operator can now be enabled / disabled in the Behavior Editor
- Mental Ray Proxy supports ObjectID pass for Mental Ray
- Detach behavior can now also re-attach bones
- Character Maker allows to export Character Files for previous Golaem Crowd versions
- Added a warning when trying to import non-baked animations in the Character Maker
- Added a warning when trying to import skeletons with Segment Scale Compensate option is activated


** Bug fixes

- Fixed a crash when computing motion blur for cloths
- Fixed a crash when renaming a Shader in the Character Maker
- Fixed a crash when painting meshes with a huge number of normals
- Fixed a crash when Entity Types materials had cyclic nodes
- Fixed motion import that set wrong Squash and Stretch values (shrunken bones at render time)
- Fixed roll bones orientation (was using the IK Normal Plane instead of the Bone orientation)
- Fixed FBX export for Maya 2016
- Fixed Cloth Locator scene reload
- Fixed Shader appearing twice in a Shading Group in the Character Maker
- Fixed Force and Steer Behaviors viewport 2.0 display
- Fixed [operand1 + <<operand2>>] operation in the Attribute Behavior


** Refactoring

- Golaem Crowd switches back in Simulation Mode when the last Cache Proxy node is deleted
- Simulation Export is disabled when in Simulation Mode
- Physicalize behavior can not set gravity anymore. Gravity can only be set in the Physics Locator


** Supported Rendering Engines

- Mtoa 1.1.X & 1.2.X / Arnold Core 4.2.X
- V-Ray For Maya 3.0
- V-Ray For 3ds Max 3.0
- Mental Ray For Maya (any version)
- 3Delight Studio Pro 11.0.XX
- Renderman Studio 19.0
- Katana 1.X & 2.X (Arnold only)

Also supported (but must be manually installed):

- Mtoa 1.0.X / Arnold Core 4.1.X
- V-Ray For Maya 2.4
- Renderman Studio 18.0




GOLAEM CROWD 4.0.5 - CHANGELOG - May 27th 2015
----------------------------------------------

** Important notice

From this release, Maya 2012 is not supported anymore


** New features

- UVPin terrain
- Simulation Time control in the CrowdManager node
- Simulation Export pre and post MEL/Python Callbacks
- Support of Archive Scene Maya feature (via the CrowdArchiver node)
- Support of Maya 2016


** Improvements

- Global CrowdField control in the CrowdManager node
- Light Linking support in the V-Ray proxy
- Render proxies can now be created in Maya batch
- Focus on the selected Behavior in the Behavior Editor from the Visual Feedback selector


** Bug fixes

- Fixed a crash when exiting Maya after having rendered with MentalRay
- Fixed a crash when exiting Maya after having rendered with Arnold
- Fixed a crash when rendering with 3delight
- Fixed a crash when opening a scene if the working station has no graphics card
- Fixed blendshapes assignment in Render Previz display mode
- Fixed ground adaptation on no-spine Characters
- Fixed Vector Field target refresh
- Fixed Simulation Tool Rib export (bad syntax)
- Fixed Linux silent install not properly using Maya default install location
- Fixed RPATH not properly set on rendering plugins
- Fixed Physics Shapes meshes and Shader nodes not correctly deleted when deleting the Character Maker Locator


** Supported Rendering Engines

- Mtoa 1.1.X & 1.2.X / Arnold Core 4.2.X
- V-Ray For Maya 3.0
- Mental Ray For Maya (any version)
- 3Delight Studio Pro 11.0.XX
- Renderman Studio 19.0
- Katana 1.X & 2.X (Arnold only)

Also supported (but must be manually installed):

- Mtoa 1.0.X / Arnold Core 4.1.X
- V-Ray For Maya 2.4
- Renderman Studio 18.0




GOLAEM CROWD 4.0.4 - CHANGELOG - April 29th 2015
------------------------------------------------

** Improvements

- Ask for save when closing a Skeleton Tab in the Character Maker
- Added controls to edit IK Normal Planes in the Character Maker viewport
- Simplify the Skeleton Mapping Checker to easily and automatically check skeleton mapping in the Character Maker
- Improved Auto Compute Skeleton Mapping process for biped skeleton
- Added configuration dialog to fine tune the Auto Compute Skeleton Mapping process
- Added Navigation Perception parameters in the Visual Feedback


** Bug fixes

- Fixed Simulation Cache Proxy losing its Character Files list
- Fixed Render Proxy losing its Character Files list when using a Simulation Cache Proxy
- Fixed RenderMan 19 plugin loading with Linux and Renderman Pro Server
- Fixed Navigation Behavior perception algorithm
- Fixed the scale of Entity's personal space radius in the Navigation Behavior
- Fixed a crash in the Cache Proxy when computing assets for Entities in the Kill List
- Fixed a crash when using the External Entity Locator
- Fixed ignored Cloth constraint because the associated rigid was not found
- Fixed Cloth not working correctly when there is a scale in the bone's hierarchy
- Fixed multi-Population Tool Locator replace particle system
- Fixed Simulation Tool Rib export (bad syntax)
- Fixed User Scripts loading at Batch Render Time


** Refactoring

-  Added the name of the edited node in the IK Normal Planes Window


** Supported Rendering Engines

- Mtoa 1.1.X & 1.2.X / Arnold Core 4.2.X
- V-Ray For Maya 3.0
- Mental Ray For Maya (any version)
- 3Delight Studio Pro 11.0.XX
- Renderman Studio 19.0
- Katana 1.X (Arnold only)

Also supported (but must be manually installed):

- Mtoa 1.0.X / Arnold Core 4.1.X
- V-Ray For Maya 2.4
- Renderman Studio 18.0




GOLAEM CROWD 4.0.3 - CHANGELOG - April 15th 2015
------------------------------------------------

** Important notice

Check the following page to see how to update your Arnold assets from Golaem Crowd v4.0.2 to v4.0.3
http://golaem.com/content/doc/golaem-crowd-documentation/updating-golaem-crowd-402-403


** New features

- RendermanStudio Render Proxy now supports Renderman 19.0
- RendermanStudio Render Proxy now supports Subdivision Surfaces
- Character Files now contains Shader Groups
- Blendshapes values can be set from the SetBone Behavior
- Blendshapes values can be read from the Attribute Behavior (new Channel)


** Improvements

- Constraint Behavior can now constraint position / orientation / scale of a constrained Maya object
- VRay Render Proxy now has a Frame attribute (to offset Simulation Caches)
- Alt key to duplicate a Behavior from the Behavior Outliner into the Workspace
- "Save As Template" now works on single Behaviors
- Alternative Operator displays an id for each condition in the Behavior Editor


** Bug fixes

- Fixed a crash at the CrowdField Start Frame when the simulation was not completely rewinded
- Fixed a crash when resetting shaders on an Empty Mesh Asset in the Character Maker
- Fixed a crash when editing the Physics Shapes in the Character Maker
- Fixed a crash when deleting the Character Maker Locator node
- Fixed a crash when using a not valid mel expression in the SetBone Behavior
- Fixed Physics Properties reordering in the Character Maker
- Fixed multi-Population Tool Locator emit
- Fixed bad picking when using Impostors Display Mode
- Fixed the edition of a motion delta orientation when exporting a Motion file in the Character Maker
- Fixed the Character FBX Export (non-skinned bones were not exported in the .fbx file)
- Fixed Batch Render when motion blur was enabled
- Fixed Arnold Batch Render when a CrowdField was in the scene
- Fixed Renderman Batch Render callback
- Fixed "Save As Template" feature when Target Locators were connected to a Behavior
- Fixed "Add New Entity Type Attribute" feature in the Behavior Editor


** Refactoring

- Combobox instead of tabs for Character / Motion / Motion Mapping in the Character Maker
- "Relocate FBX" context menu on Geometry Asset in the Character Maker
- Arnold Render Proxy now uses Shader Groups to shade the Crowd Characters
- Alembic Export now exports Shader Groups as a User Attribute
- Creating a Cache Replay Proxy switches to Cache Replay Proxy Mode


** API

- New flags in glmExportMotionMapping in order to create and export automatically the .gmm file
- glmSortParticleIds to sort particleIds of a particle system along x or z axis


** Supported Rendering Engines

- Mtoa 1.1.X & 1.2.X / Arnold Core 4.2.X
- V-Ray For Maya 3.0
- Mental Ray For Maya (any version)
- 3Delight Studio Pro 11.0.XX
- Renderman Studio 19.0
- Katana 1.X (Arnold only)

Also supported (but must be manually installed):

- Mtoa 1.0.X / Arnold Core 4.1.X
- V-Ray For Maya 2.4
- Renderman Studio 18.0




GOLAEM CROWD 4.0.2 - CHANGELOG - March 24th 2015
------------------------------------------------

** Important notice

Check the following page to see how to update Assets & Scenes from Golaem Crowd v3.5.X to v4.0
http://golaem.com/content/doc/golaem-crowd-documentation/updating-golaem-crowd-35-40


** New features

- Cloth simulation (relying on Maya's nCloth, working with rigid and transform constraints)
- Squash & Stretch animation
- Splines to control Vector Fields, Paint Zones, Population Tools
- Several Terrain Locators can be used within a same simulation (set per CrowdField)
- Several Physics Locators can be used within a same simulation (set per CrowdField)
- Several Flock Locators can be used within a same simulation (set per CrowdField)
- Character Shapes for Physics Simulation can now be placed, rotated, scaled and colored with Maya primitives


** Improvements

- Render Previz Display Mode supports Blendshapes animation
- Render Previz Display Mode supports Cloth simulation (using FBX normals)
- Simulation Cache Proxy supports Blendshapes animation
- Simulation Cache Proxy supports Cloth simulation (using FBX normals)
- Dynamic Triggers nodes (several Triggers can be added within a same node)
- VRay Render Proxy now support new VRay 3.0 Subdivision parameters
- Log Level in Render Proxies (VRay, Arnold & MRay)
- All node attributes are available in the Channel Box
- Mirror Motion Clip icon in Motion, SyncMotion & Locomotion Behavior
- Enable Motion Clip icon in Motion, SyncMotion & Locomotion Behavior
- Preview specific Motion Clip in the SyncMotion Behavior
- Saving Simulation Cache and importing skeleton can be cancelled (ESC) in the Simulation Cache Proxy
- Population Tool slots orientation can be controlled with Vector Fields
- About Window which checks license status, new version & can access to the Release Notes
- Improved Crowd Proxy Tool (check renderer version)


** Bug fixes

- Fixed Undo/Redo inside the BehaviorEditor when deleting a Behavior/Trigger/MotionClip
- Fixed Alembic export (now using Ogawa instead of HDF5)


** Refactoring

- Merged Entity Type and Entity Surface Shape nodes
- Merged Character Maker and Assets Manager tools
- Load / Save As / Save buttons in the Character Maker
- Replaced LCG Random Number Generator with Mersenne Twister
- No more Framerate attribute in the Rendering Plugins
- VisualFeedback attributes are now split between the CrowdManager & the Behavior Nodes
- CrowdManager Feedback attributes can be controlled from the VisualFeedback panel
- Behavior Feedback attributes can be controlled from the VisualFeedback panel
- Tooltips upon motions for the Locomotion Model in the VisualFeedback
- Improved visualization performance
- Entity radius is now emitted in radiusPP PPAttribute
- Removed Parent Behavior from Behavior AETemplates
- Removed RendermanCompliantPlugin Rendering Plugin
- Removed Interpolated Mode in Ground Adapt Behavior
- Removed Randomize Start Percent checkbox from Motion, Locomotion & Sync Behaviors (use the Start Percent Attributes instead)
- Refactoring of the Crowd Menu


** API

- New Simulation Cache file format (Golaem Simulation Cache .gsc) (Partio is still available)
- Simulation Cache API (glm_crowd.h) to read Golaem Simulation Cache files
- glmSimulationCache command-line tool to read Golaem Simulation Cache files
- glmEntityType is now exported automatically in the Simulation Cache
- Entity Height and radius is now exported in the Simulation Cache
- Simulation Cache are now numbered with the frame number (instead of a pdc number)
- glmCrowdSimulationExporter syntax has changed (flag names)
- glmSpatialRequestCmd syntax has changed (crowdField flag)
- MEL glmHandlePopToolConnections function to handle connections during the Population Tool creation
- New command glmCheckLicense to check the license status of the plugin
- Deleted command glmCrowdAssetsManager


** Supported Rendering Engines

- Mtoa 1.1.X & 1.2.X / Arnold Core 4.2.X
- V-Ray For Maya 3.0
- Mental Ray For Maya (any version)
- 3Delight Studio Pro 11.0.57
- Renderman Studio 18.0
- Katana 1.X (Arnold only)

Also supported (but must be manually installed):

- Mtoa 1.0.X / Arnold Core 4.1.X
- V-Ray For Maya 2.4




GOLAEM CROWD 3.5.3 - CHANGELOG - March 4th 2015
-----------------------------------------------

** Important notice

On Windows, licenses registered with the Golaem License Tool are not working anymore ("golaem_LICENSE" environment variable must be set instead)


** New features

- New Painted Color Channel


** Improvements

- Dynamic Speed Ratio in beMotion et syncMotion
- Add Blend Shapes values in the VisualFeedback
- Added Attitude and Bank orientations in the MotionClip
- Speed Ratio can be dynamic in Motion and SyncMotion Behaviors
- Motion synchronisation can be made on either the root or the pelvis position in the SyncMotion Behavior


** Bug fixes

- Fixed batch render if there is either a Locomotion, Motion or SyncMotion Behavior in the scene
- Fixed crash when creation a Simulation Cache Proxy in an empty scene
- Fixed flag name in the glmMotionExport command
- Fixed warnings when opening a scene containing a SyncMotion Behavior
- Fixed Distance Trigger with empty emitter when simulation starts
- Fixed ground sampling filter preventing self intersection of physics raycasts
- Fixed empty Behavior panel in the Behavior Editor
- Fixed wrong footprints computation when the motion file (.gmo) fps from Maya fps
- Fix crash when refresh assets for particles with a life-span at 0


** Refactoring

- Improved footprint prediction
- Improved picking (based on bones) in the Simulation Cache Proxy
- Skeleton files are no more copied in the Simulation Cache directory when exporting a simulation
- Crowd Shelf is clean at each plugin load


** Supported Rendering Engines

- Mtoa 1.1.X & 1.2.X / Arnold Core 4.2.X
- V-Ray For Maya 3.0
- Mental Ray For Maya (any version)
- 3Delight Studio Pro 11.0.57
- Renderman Studio 18.0
- Katana 1.X (Arnold only)

Also supported (but must be manually installed):

- Mtoa 1.0.X / Arnold Core 4.1.X
- V-Ray For Maya 2.4




GOLAEM CROWD 3.5.2 - CHANGELOG - February 2nd 2015
--------------------------------------------------

** New features

- Simulation Cache Proxy node to interactively playback cached simulations
- Simulation Cache Toggle Icon in the Crowd Shelf to switch display between Simulation and Cache Playblack in the viewport
- New Channel System to query animation, navigation and behaviors attributes (such as bone position, footprint, target...)
- Sticky Note utility in the Behavior Editor to add notes and annotations in Behavior Graphs
- Anchor Operator in the Behavior Editor to organize Graphs design


** Improvements

- Refactoring of the Attribute Behavior: supports now many expressions, MEL commands and can query Channel values
- Pre-Emit & Post-Emit MEL/Python Callbacks in the Population Tool Locator
- Terrain Locator can add Physicalized Entities to the Ground Adaptation of Entities
- Behaviors / Containers can safely be duplicated in the Behavior Editor now (CTRL+D)
- SyncMotion Behavior now works with animated objects
- Entity ground adaptation works with animations having different ground heights (stairs climbing...)


** Bug fixes

- Fixed Render Previz of multiple Rendering Types with different FBX files
- Fixed Render Previz of Geometry Animations when using a Simulation Scale
- Fixed evaluation of MotionLocator with viewport 2.0
- Fixed evaluation of FlockLocator with viewport 2.0
- Fixed issue when sequencing two Locomotion Behaviors
- Fixed Attribute Editor for Motion & Locomotion Behaviors with Start Percent Attribute
- Fixed navMesh file loading when opening a new scene in the TerrainLocator


** Refactoring

- Motion Clip nodes now have on unique IDs
- Check in Check Scene Settings Tool if the 'Locators' Show option is set
- Remove CrowdTrigger icon from Crowd Shelf


** API

- glmDuplicateBehaviors command to duplicate Behaviors / Containers
- glmGetChannelValue command to query Channel values


** Supported Rendering Engines

- Mtoa 1.1.X & 1.2.X / Arnold Core 4.2.X
- V-Ray For Maya 3.0
- Mental Ray For Maya (any version)
- 3Delight Studio Pro 11.0.57
- Renderman Studio 18.0
- Katana 1.X (Arnold only)

Also supported (but must be manually installed):

- Mtoa 1.0.X / Arnold Core 4.1.X
- V-Ray For Maya 2.4




GOLAEM CROWD 3.5.1 - CHANGELOG - January 9th 2015
-------------------------------------------------

** Important notice

Due to the refactoring of render proxies, render proxies created with previous version of Golaem Crowd should be deleted and re-created.


** New features

- VRay proxy now supports to VRay 3.0
- Camera frustum based rendering now works with Mental Ray and V-Ray as well
- PaintTool now supports UDIM meshes


** Improvements

- SyncMotion Behavior now also works with curves
- Camera frustum parameters can now be displayed in the Maya viewport
- CrowdField with different start frames can now be exported and rendered separately
- Simulation Caches, FBX & Alembic files of different CrowdField can be exported in different directories
- Alembic export also exports Shader User Attributes (and Surface Shader names)
- New ground adaptation mode (orient the pelvis orientation of the character on the surface before adapting the legs) in the AdaptGround behavior
- Removed some limitations on the roll bone edition (the list of bones to apply roll on is now the full bone chain) in the Character Maker
- Visual Feedback window allows to set the selected Entity (from its id)
- Locomotion database in not influenced anymore by the Entity size


** Bug fixes

- Fixed roll bone definition in the Character Maker
- Fixed Alembic export naming when exporting several frames
- Fixed a crash with Alembic export when exporting a mesh with no UVs
- Fixed a crash when batch exporting simulation and renderer scene files at the same time
- Fixed a crash when opening the visualFeedback in an empty scene
- Fixed a crash in undo/redo the PaintTool
- Fixed display refresh of the SyncMotion Behavior
- Fixed default motion blur value of the Renderman Studio Proxy
- Fixed the saved position of the VisualFeedback and the MotionClipPreview when docked
- Fixed EntityTypeAttributes not handled correctly with groups


** Refactoring

- Frustrum based parameters have been renamed with Frustum


** Supported Rendering Engines

- Mtoa 1.1.X / Arnold Core 4.2.X
- V-Ray For Maya 3.0
- Mental Ray For Maya (any version)
- 3Delight Studio Pro 11.0.57
- Renderman Studio 18.0
- Katana 1.X (Arnold only)

Also supported (but must be manually installed):

- Mtoa 1.0.X / Arnold Core 4.1.X
- V-Ray For Maya 2.4




GOLAEM CROWD 3.5 - CHANGELOG - December 8th 2014
------------------------------------------------

** Important Notice

IMPORTANT: Notice that glmEntityId computation has changed between Golaem Crowd 3.4.2 and 3.5.
It impacts Triggers relying on EntityIds and already existing Kill list values.
Use MEL function golaemCrowd342To35() to update your scene from Golaem Crowd 3.4.2 to 3.5.


** New features

- Support of Alembic export (Maya 2015 only)
- New SyncMotion behavior to handle fine interaction with other characters / environment
- New option to do Camera frustrum based rendering (only works with Arnold for now)
- Add a Slot Editor in the Population Tool locator
- Added a FadeIn / Fade Out parameter to behaviors


** Improvements

- CrowdFields can now be exported separately, even if the other CrowdFields are disabled
- New Maya Scene Checker shelf icon
- New Visual Feedback shelf icon
- Delay Operator becomes Block Operator (has now a Trigger)
- Physicalize and Force Behaviors allow to differentiate spines in a Character (allowing detaching a rider from a horse for example)
- Added tooltip for the bone quality conversion in the CharacterMaker
- Added the number of Entities attribute in the CrowdField
- Selected CrowdFields display a bounding box of its connected Entities
- Check Render Settings now check for the renderer version


** Bug fixes

- Fixed a crash in Render Previz display mode with Viewport 2.0
- Fixed a crash when trying to load missing Fbx vertex caches
- Fixed a leak of file descriptors with Fbx vertex caches
- Fixed a crash when undoing the creation of a particle system from the PopulationTool locator
- Fixed a crash when reopening a scene with a CrowdTargetLocator
- Fixed Rendering Type assignment panel in the EntityType node
- Fixed camera clipping planes computation when displaying Entities
- Fixed bad GeometryId assignment when using Geometry Behavior and the Render Previz display mode
- Fixed the Limb mapping tooltip display in the CharacterMaker
- Fixed the Forward Kinematic Animation Compatibility giving sometimes a wrong result
- Fixed conflict between the AdaptOrientation and the Force behavior
- Fixed velocity computation in the AdaptPosition behavior
- Fixed .ass, .mi, .rib export when exporting several CrowdField nodes
- Fixed Mental Ray Render Stats
- Fixed refresh button in the EntityTypeSurface node
- Fixed a crash when loading Python during a simulation
- Fixed roll bones parameters edition in CharacterMaker (leading to wrong computation)
- Fixed offset between previz and rendering in GeometryBehavior when using 1-bone .gskm
- Fixed the Y axis scaling in the LocomotionModel view of the VisualFeedback according to the CrowdManager scale


** Refactoring

- New glmEntityId computation process (depending on the crowdFieldId): newEntityId = (entityId+1)*1000+crowdFieldId
- Filter kill listed Cntities if their particle lifespan in set to 0
- Autocreate 3Delight default render pass if required
- Autocreate VraySettings node if required
- Merged Maya Settings Checker & Crowd Settings Checker
- Added warning messages when cropping frames of a MotionClip are not valid


** Supported Rendering Engines

- Mtoa 1.1.X / Arnold Core 4.2.X
- Mtoa 1.0.X / Arnold Core 4.1.X
- V-Ray For Maya 2.4
- Mental Ray For Maya (any version)
- 3Delight Studio Pro 11.0.57
- Renderman Studio 18.0
- Katana 1.X (Arnold only)




GOLAEM CROWD 3.4.2 - CHANGELOG - November 12th 2014
---------------------------------------------------

** New features

- New glmCrowdAssetsManager command to show the Assets Manager, import .cam files, save .cam file and clear the Assets Manager


** Improvements

- Added an orientation offset in the Constraint Behavior
- AdaptPosition Behavior is now compatible with particles and emitters
- PPAttribute Paint mode can paint int / float values between a randomMin and a randomMax value
- Random trigger takes a float attribute
- Arnold Proxy supports ObjectID pass for Arnold
- Better Default Plane environment in the Physics Locator
- Better force repartition in the Force behavior
- Per bone randomize force in the Force behavior
- Render Previz display mode now supports Geometry Behavior


** Bug fixes

- Fixed a memory leak in the Arnold Render plugin
- Fixed Kill List in Arnold Render plugin
- Fixed the attitude orientation computation in the AdaptOrientation Behavior
- Fixed speed computation in the AdaptPosition Behavior
- Fixed EntityTypes Attributes affectation when emitting in multiple particle systems
- Fixed Position Behavior relative mode
- Fixed crash when deleting a Character in the Assets Manager
- Fixed Rendering Types assignment when Rendering Types have special characters in their names
- Fixed Rendering Types "remove all" buttons in the EntityType node
- Fixed wrong rendering of the Population Tool slot on Maya 2015 with Viewport 2.0
- Fixed the entity picking when there are several CrowdField nodes in the scene
- Fixed the search of TEMP dir when creating a Vray / 3delight Proxy
- Fixed crash when rendering meshes with multiple materials in Mental Ray
- Fixed camera scale computation in the Rendez Previz mode
- Fixed ground adaptation with characters having only one bone


** Refactoring

- Refresh FBX geometry cache when the viewport mode changes
- Constraint Behavior takes a bone name instead of a bone id
- Create a Renderman globals node when the RMS proxy is created
- Check Maya Settings tool checks if characters are allowed to be display in the viewport
- Compute Automapping is now works with bones having the same name in the Character Maker


** Supported Rendering Engines

- Mtoa 1.1.X / Arnold Core 4.2.X
- Mtoa 1.0.X / Arnold Core 4.1.X
- V-Ray For Maya 2.4
- Mental Ray For Maya (any version)
- 3Delight Studio Pro 11.0.57
- Renderman Studio 18.0




GOLAEM CROWD 3.4.1 - CHANGELOG - October 16th 2014
--------------------------------------------------

** Important Notice

IMPORTANT: Notice that the Rendering Types <-> Entity Types assignment has changed between Golaem Crowd 3.4 and 3.4.1
Use MEL function golaemCrowd34To341() to update your scene from Golaem Crowd 3.4 to 3.4.1


** New features

- Position Behavior to control the position of Crowd Entities with Maya objects (polygons, locators...)


** Improvements

- Entity Types now have the ability to be connected to several Rendering Types and weighted accordingly (assignment is made from the EntityType node now)
- Improved render performance and memory deallocation with Mental Ray
- Improved memory footprint with Mental Ray
- Arnold Procedural Plugin supports sitoa shader naming convention
- Updated Conversion Quality feedbacks now display curves to shows both the average quality value and the worst one in the CharacterMaker
- Added IK offsets in the Motion Mapping to improve retargeting in the CharacterMaker
- Sortable spreadsheet for Physics Properties in the CharacterMaker
- Improved tooltips for the Limb / Effector bone in the CharacterMaker
- Blendshapes values are now displayed in the MotionClip Preview


** Bug fixes

- Fixed Arnold .ass export with multi-crowdField
- Fixed invalid Navmesh Creator parameters with Maya 2015
- Fixed NavMesh Mode "Default Plane" error in the Terrain Locator with Maya 2015
- Fixed slot computation in the CrowdTarget locator
- Fixed mirrored body masks assignment a bug in Motion and Locomotion behaviors
- Fixed crash when a Motion Clip was created in an empty scene
- Fixed crash in the Visual Feedback with a Locomotion Model containing only one Motion Clip


** Refactoring

- Added a BehaviorEditor and a CharacterMaker logger
- Refactoring of the Render Previz mode (better bone scaling management)
- Texture painting now follows Maya default painting mode in the PaintTool


** DevKit

- Update of the Simulation Cache Reader sample to take the multi-crowdField feature into account


** Supported Rendering Engines

- Mtoa 1.1.X / Arnold Core 4.2.X
- V-Ray For Maya 2.4
- Mental Ray For Maya (any version)
- 3Delight Studio Pro 11.0.57
- Renderman Studio 18.0




GOLAEM CROWD 3.4 - CHANGELOG - October 1st 2014
-----------------------------------------------

** Important notice

IMPORTANT: Due to the introduction of per-CrowdField simulation export, Simulation Cache files created with the previous version of Golaem Crowd should be re-exported.
It is also required to re-create the Crowd Render proxies in the scenes.


** New features

- Simulation Cache Files are now exported per CrowdField (one file per frame per CrowdField). It allows to easily break down the simulation in different pieces
- Crowd Render Proxies now allow to render one or several CrowdField nodes
- Motion Clip preview widget (available from the AEditor or the Behavior Editor)
- Environment variable GLMCROWD_BATCH_ENABLE to specify if a simulation should run in Maya batch (set to NO by default)
- New mode to paint the Render Kill List (the Kill List Editor tool, now deprecated, has been removed)
- Switch, HSL & GetUserData shaders for Renderman Studio


** Improvements

- Delay Operator can be controlled with either a random or a PPAttribute value
- Mirror mapping on effectors is computed automatically when autocomputing skeleton mapping in the CharacterMaker
- Rotation of a motion can also be edited for attitude and bank (not only heading) in the CharacterMaker and the Motion Clip
- Kill list is taken into account by the FBX export as well
- CrowdTarget Locator has now a display color attribute
- Renderman Studio shaders do not need to be suffixed with _rfm in the Assets Manager anymore
- VRay Proxy visibility is now taken into account


** Bug fixes

- Render Previz display mode now supports Geometry behavior current frame
- Fixed a memory leak in the V-Ray proxy causing slow renders with huge crowds (>5000)
- Fixed potential div0 in frame computationof the Geometry behavior
- A license is not taken anymore when batch rendering a crowd simulation (if a license was available)
- Fixed crash with Maya 2012 and Mtoa
- Fixed crash with the Simulation Cache Editor with Windows


** Refactoring

- Crowd Assets Association files (.caa) are now exported in the same directory than their Cache Files
- Brand new Visual Feedback widget (new LocomotionModel preview, no more GL glitches...)
- AdaptGround priority refactor


** API

- totalDeltaOrientation parameter was replaced with totalDeltaOrientationHeading, totalDeltaOrientationAttitude and totalDeltaOrientationBank in glmExportMotion
- headingDirectionX, headingDirectionY and headingDirectionZ parameters were replaced respectively by movingDirectionX, movingDirectionY and movingDirectionZ in glmExportMotion
- Remove -multiCache parameter from glmCrowdSimulationExporter (was not used)


** Supported Rendering Engines

- Mtoa 1.1.X
- V-Ray For Maya 2.4
- Mental Ray For Maya (any version)
- 3Delight Studio Pro 11.0.57
- Renderman Studio 18.0




GOLAEM CROWD 3.3.3 - CHANGELOG - September 8th 2014
---------------------------------------------------

** New features

- Support of Maya 2015
- Added a Motion Clip and a Trigger outliner in the Behavior Editor


** Improvements

- Added a physics mode filter in the physics collision trigger
- Added an option in the Motion and Locomotion behaviors to disable interpolation between the frames of a Motion Clip


** Bug fixes

- Fixed the Shader Checker tool to be compatible with several kind of shaders (mia ...)
- Fixed the Distance Trigger if particle system is entity's particle system
- Fixed the GoTo behavior when targeting an empty particle system
- Fixed a bug when stopping a behavior while it is starting
- Fixed entity picking when several particleSystem are linked to only one CrowdField
- Fixed spines saving with the Character Maker
- Fixed crash in the SpatialRequestCmd command


** Supported Rendering Engines

- Mtoa 1.1.X
- V-Ray For Maya 2.4
- Mental Ray For Maya (any version)
- 3Delight Studio Pro 11.0.57
- Renderman Studio 18.0




GOLAEM CROWD 3.3.2 - CHANGELOG - August 5th 2014
------------------------------------------------

** New features

- Support of Maya 2013.5 (Maya 2013 Subscription Pack)


** Improvements

- Support of vertex caches in the Render Previz mode of the Entity Surface Shape node
- Arnold proxy now supports to Mtoa 1.1.X
- Add mirror option in Motion behavior
- Improved animation quality during ground adaptation
- Added more information to the quality converter toolbars of the Character Maker
- Dim half-extent properties of the Physics bone depending on their shape in the Character Maker
- Angular velocity is computed only when required in the Locomotion behavior


** Bug fixes

- Fixed Vector field or Trigger zone unable to be painted
- Fixed direction computation in the AdaptOrientation behavior
- Fixed physics bone display in the Physics mode of the Entity Surface Shape node
- Fixed crash when playing simulation with hidden Vector Fields
- Fixed crash when reinitializing simulations with some triggers in the scene
- Fixed assets distribution in the Render Previz mode of the Entity Surface Shape node
- Fixed Alternative Operator not evaluating conditions in correct order


** Refactoring

- Numeric attributes of the Character Maker now uses . as numeric separator


** Supported Rendering Engines

- Mtoa 1.1.X
- V-Ray For Maya 2.4
- Mental Ray For Maya (any version)
- 3Delight Studio Pro 11.0.57
- Renderman Studio 18.0




GOLAEM CROWD 3.3.1 - CHANGELOG - July 8th 2014
----------------------------------------------

** Important Notice

IMPORTANT: Notice that a keyword in the SetBone behavior has changed between Golaem Crowd 3.3 and 3.3.1
Use MEL function golaemCrowd33To331() to update your scene from Golaem Crowd 3.3 to 3.3.1


** New features

- Additive blending animations in the Motion Behavior
- PopulationTool shape manipulators


** Improvements

- Distance trigger now offers improved performances
- Support phases reader now offers improved performances
- Voxel Based Subdivision mode of the NavMesh Creator uses a new triangulation method
- PopulationTool and PaintTool interactive modes are compliant with Maya2014 viewport 2.0
- Improved noise function in the SetBone behavior
- Noise Frequency in the SetBone behavior
- #noise# keyword can now be used in MEL expression in the SetBone behavior
- Check shader command also check inactive meshes
- Support of scaled bones in the Render Previz mode of the Entity Surface Shape node
- Improved check of MRay, Arnold, 3Delight & Renderman proxies in the Check Render Settings tool
- Relocator function in the SwissKnife tool (admin mode)


** Bug fixes

- Fixed OpenGL call in Maya batch mode
- Fixed Locomotion Behavior not turning at all when Motion Clips with no null linear velocities are in the database
- Fixed geometry animation normal computation (when using baked animated flags...)
- Fixed entity position computation in a trigger when entity is not visible in the viewport
- Fixed a crash when the CrowdManager node is not initialized before the MotionLocator
- Fixed a crash in the Assets Manager when removing an asset
- Fixed paint contextual buttons in the Trigger node, GoTo Behavior and PopulationTool Locator
- Fixed glmGetMapToNodes MEL function
- Fixed 3Delight proxy creation for Linux
- Fixed PopulationTool locator initial distance value
- Fixed order of half extents values in the Physics Properties table view of the CharacterMaker


** Refactoring

- The noise function in the SetBone behavior can be called with the keyword #noise#
- Refactored display of the Crowd Visual Feedback
- Render Previz mode of the Entity Surface Shape node uses color attributes if no textures are plugged


** Supported Rendering Engines

- Mental Ray For Maya (any version)
- V-Ray For Maya 2.4
- Mtoa 1.0.X
- 3Delight Studio Pro 11.0.57
- Renderman Studio 18.0




GOLAEM CROWD 3.3 - CHANGELOG - June 11th 2014
---------------------------------------------

** Important Notice

IMPORTANT: Notice that some node attributes have changed between Golaem Crowd 3.2.2 and 3.3
Use MEL function golaemCrowd322To33() to update your scene from Golaem Crowd 3.2.2 and 3.3


** New features

- Maya Blend Shapes are now completely supported from Assets Management to render
- Import Shaders tool (automatically executed when using the Render Proxy tool)
- Swiss Army Knife Tool to automatize common tasks in Golaem Crowd
- Crowd Scene Checker tool


** Improvements

- Visual Feedback information are displayed in a dedicated dockable HUD
- Visual Feedback displays the selected Entity posture in a dedicated viewport
- Terrain Locator now defines a default infinite and planar NavMesh (see the important notice above to update your scenes accordingly)
- Added a "none" Ground Mode in the Terrain Locator
- PopulationTool locator now allows to automatically link its created particle systems to a CrowdField
- PaintTool supports teared off panels
- Progressive brush pressure and stroke direction smoothing in the PaintTool
- Outer Flow parameter in the VectorField locator
- New attribute in the CrowdField to export the pelvis velocity in a PPAttribute
- Use Shift + Click on [+] to expand / collapse items in the Assets Manager & Character Maker tree views
- Tree views of the Assets Manager are now consistent
- Improved quadrupeds ground adaptation
- Improved quadrupeds orientation adaptation (independant from behavior order)
- New Rotation Pivot Mode and Rotation Pivot Offset in the AdaptOrientation behavior
- PolygonZone trigger can now take groups containing several meshes
- Distance trigger can now take groups containing several dag nodes
- Added an integer attribute mode in the EntityType Attribute node
- Added a slots assignment mode in the Advanced Parameters of the SetFormation behavior


** Bug fixes

- Fixed crash in the PPAttribute trigger and an empty attribute name
- Fixed crash when misconfiguring attributes in the GoTo behavior
- Fixed crash in the Alternative & Random operators when a connection is leading to a "no behavior"
- Fixed crash when the terrain geometry is hidden
- Fixed crash when rendering with Arnold and messages where logged
- Fixed crash when the bone name attribute was not correct in the SetBone behavior
- Fixed crash when computing the automatic mapping of a skeleton with no limbs
- Fixed crash when the Motion Velocity is at 0 in the Motion behavior
- Fixed units (seconds) for the Min / Max Update Period attributes in the Locomotion behavior
- Fixed painted EntityTypes slots consistency in the PopulationTool Locator
- Fixed weights when duplicating a Rendering Type in the Assets Manager
- Fixed rotate axis in the SetBone behavior (see the important notice above to update your scenes accordingly)
- Fixed random target picking when looping on a GoTo behavior
- Fixed footprint display in the Motion & Locomotion behaviors
- Fixed discontinuities in postures when using the Loop operator
- Fixed incorrect bounding box position when root joint is in a transform hierarchy in the Assets Manager
- Fixed Randomize Start Offset interface in the Motion & Locomotion behaviors
- Fixed glmComputeMeshNamesCmd error message with lifespan-0ed particles
- Fixed display for Force & Steer behaviors when the Crowd Unit change
- Fixed disabling Physics Properties on bone chains in the Character Maker
- Fixed Cylinders display mode scale
- Fixed EntityType sliders in the GroupEntityType node template
- Fixed SetFormation visual feedback


** Refactoring

- Better support for scaled meshes in the PaintTool
- Error message from Triggers are more verbose and indicate the name of the problematic Trigger node
- Verbose message when the exported geometry FBX file does not have all the meshes listed in the Assets Manager
- Remove the gravity parameter from the PhysicsLocator and the Force behavior (now only in  the Physicalize behavior)
- Remove the Override Translation parameter from the AdaptOrientation behavior (not used anymore)
- A FlockLocator is created automatically when a Flock / Steer behavior is created
- A PhysicsLocator is created automatically when a Physicalize / Force / Detach behavior is created
- Physics shapes are no longer shown when loading a gmo file in the CharacterMaker
- A warning message is displayed when the radius changes too much in a PopulationTool locator (meaning that the Crowd Unit may not be appropriate)
- Remove default distance between slots when using different Crowd Units in the PopulationTool locator
- SurfaceShape transform node is now locked
- New paint panel in the PopulationTool Locator template
- Small refactoring of the behaviors Visual Feedback templates
- Small refactoring of the CrowdManager node template
- Small refactoring of the Locomotion behavior template
- Small refactoring of the AdaptOrientation behavior template
- Small refactoring of the PaintTool template
- Small refactoring of the MotionClip template


** Supported Rendering Engines

- Mental Ray For Maya (any version)
- V-Ray For Maya 2.4
- Mtoa 1.0.X
- 3Delight Studio Pro 10.0.50
- Renderman Studio 4.0




GOLAEM CROWD 3.2.2 - CHANGELOG - May 14th 2014
----------------------------------------------

** New features

- PaintTool can load / save 32bits png file
- SimulationTool can now only export the caa file


** Improvements

- PPAttribute Trigger can take component into account (myAttrPP.x / y / z / r / g / b)
- Physics shapes are built automatically when creating the skeleton mapping in the CharacterMaker
- Better support of occluded geometry in the PaintTool
- Brush opacity influences VectorField painting in the PaintTool
- Major performance improvement with huge maps in the PaintTool
- Rotate stroke in the PaintTool
- Bone count limit upped to 512 in the Render Previz
- PaintTool contextural icons improved
- Better support for CTRL/ALT/SHIFT keys in PaintTool
- Heading direction can be edited in the MotionClip node
- In CrowdField, export the pelvis velocity in a per particule vector attribute
- In Locomotion and Motion Behaviors, modify the color of footprints (visual feedback)


** Bug fixes

- Fixed crash when changing a motion file path manually in the MotionClip
- Fixed crash when using PPAttribute in the AdaptOrientation behavior
- Fixed inconsistent ids in ComputeMeshNamesCmd
- Fixed heading direction computation in the CharacterMaker
- Fixed the edition of delta way of an animation in the CharacterMaker
- Fixed Distance Trigger when particle system is the Entity particle system
- Fixed Distance Trigger when particle system have lifespan0ed particles
- Fixed broken slots display on some hardware configurations in the PopulationTool
- Fixed running behaviors display in the Visual Feedback
- Fixed locator bounding box computation in the PaintTool
- Fixed the display bounding box in the SurfaceShape
- Fixed bounding boxes check in the Render Checker


** Refactoring

- Default physics shape is now Capsule in the CharacterMaker
- Unplugged undo/redo in the EntityType mode of the PaintTool
- Complete refactoring of the Render Checker


** Supported Rendering Engines

- Mental Ray For Maya (any version)
- V-Ray For Maya 2.4
- Mtoa 1.0.X
- 3Delight Studio Pro 10.0.50
- Renderman Studio 4.0




GOLAEM CROWD 3.2.1 - CHANGELOG - April 16th 2014
------------------------------------------------

** New features

- SetBone behavior which let you noise, replace, control bones orientation during a simulation
- Entity Types can be painted on top of an existing Population Tool
- Visual debug information are now displayed in a dedicated HUD, including behaviors specific information
- Physics collision trigger to start a behavior when two entities collides


** Improvements

- Paint map size, vector field color, vector field arrow size can be customized
- Paint brush resize ratio is now view dependent
- Paint cursor improved now indicate mode with letters: (P) Paint, (R) Radius, (E) Erase
- Optimized Distance Trigger if particle system is entity's particle system
- Added Render Stats on the VRay proxy
- Improved frame init performances on the VRay procedural rendering plugin


** Bug fixes

- Fixed characters stopping in the middle of vector fields
- Fixed a crash in the Character Maker when autocomputing a skeleton mapping
- Fixed display refresh when loading a .gmm file in the Character Maker
- Fixed motion replay that was not correctly taking the pelvis orientation into account
- Fixed behaviors grouping in the Behavior Editor
- Fixed "Save as Template" in the Behavior Editor
- Fixed a bug when using the Attribute Editor to configure an Alternative Op
- Fixed the glmExportMotion command which could not save gmm files as xml
- Fixed saving/loading of the play pelvis/spine parts of the gmm files in the glmExportMotion command


** Refactoring

- A Visual Feedback Attributes panel is now available in every Behavior
- Added context icons to swith to paint tool mode
- Made StartPercent attributes in Motion and Locomotion behaviors more coherent
- Improved error message relative to Motion Clips
- Fixed Population Tool Locator Component Mode buttons layout
- Added Golaem Crowd version number to dump file names




GOLAEM CROWD 3.2 - CHANGELOG - April 3rd 2014
----------------------------------------------

** Important notice

Due to the addition of motion weights, motion priorities in Motion behaviors must be set again


** New features

- Golaem Crowd can now generate a 30d evaluation license if no license is found on the system
- Erase Paint Tool to remove painted information
- Slots of a Population Tool Locator generated from the Component Mode can now be updated
- Weights can be used to control blend weight on concurrent Motion Behaviors with same priority
- New command glmComputeMeshNames to get the mesh names of an exported entity


** Improvements

- Render Previz now supports Dual Quaternion and Weighted blend skinning
- Distance trigger takes particles of a particle system into account
- Start frame between nodes (CrowdManager, CrowdField, particle systems) are now linked
- Use limb name instead of limb id in the glmExportMotionCmd
- GroundAdaptation behavior now adapts the entity when it is enabled


** Bug fixes

- Fixed Vector field mode when the Crowd Unit is set to decimeters
- Fixed a crash when loading pyMel with Maya 2012
- Fixed a crash when painting slots in a manually created PopulationTool locator
- Fixed multi-shader order in the Assets Manager to match FBX order
- Fixed a crash when computing perceived objects in obstacle heavy environments in the Navigation behavior
- Fixed a crash when the Character File is invalid and Visual Debug is activated
- Fixed a crash when removing the mirror mapping on a limb with effectors in the Character Maker
- Fixed a lag between the BehaviorEditor Visual Debug and the Viewport Visual Debug
- Fixed the mirror animation display on the Character Maker Locator
- Fixed entity navigation when entity is not generated on the terrain
- Fixed undo/redo in the Crowd Paint Tool


** Refactoring

- Footprints are now displayed without orientation in the CharaMaker Locator


** Supported Rendering Engines

- Mental Ray For Maya (any version)
- V-Ray For Maya 2.4
- Mtoa 1.0.X
- 3Delight Studio Pro 10.0.50
- Renderman Studio 4.0




GOLAEM CROWD 3.1.2 - CHANGELOG - March 17th 2014
------------------------------------------------

** Important notice

Due to the introduction of detachable bones & props, Simulation Cache files
created with the previous version of Golaem Crowd should be re-exported.


** New features

- Crowd Paint Tool to paint everything in Golaem Crowd! Population Tool slots, PPAttributes, Vector Fields, Triggers and much more
- Detach behavior to interactively detach bones or props from the Entity
- Simulation cache now stores world positions of each bone (in addition to world orientations)
- Delay operator to add delays in the behavior graph
- Simulation Cache can now be exported dynamically for the current frame when a Render is launched
- New Simulation Cache Editor node to import, edit, export a simulation cache in Maya
- Introduction of the DevKit (installed in GolaemCrowdDir/devkit)


** Improvements

- Physics properties are now edited in a table view in the CharacterMaker
- Added conversion preview that allow to test Ik planes and Ik cache in the CharacterMaker
- Added parameters to randomize the start percent of a Locomotion behavior
- Improved consistency between the Behavior Editor selection and the Maya selection
- AdaptOrientation behavior now takes ground normal to compute the character attitude
- AdaptOrientation behavior now takes bones projection to compute the character attitude
- Added an IK cache to improve performance in simulation (can be disabled by using the useConversionIkCache parameter on the Entity Type)


** Bug fixes

- Fixed a crash when saving a cam/caa file in a read only directory
- Fixed a crash when saving an empty cam file
- Fixed a crash when dealing with the sliders of the Assets Manager
- Fixed a Linux crash when loading a scene with a terrain and a connected Population Tool
- Fixed a crash in Render Previz mode caused by empty entity list
- Fixed a crash with nParticle linked to a CrowdField
- Fixed a crash in the Population Tool context
- Fixed RenderingTypeId PP in the EntityType node
- Fixed Arnold .ass file export
- Fixed a crash when adding a new Spine in the CharacterMaker
- Fixed broken drag and drop bone mapping in the CharacterMaker
- Fixed error messages when no Assets Manager file or no assigned Rendering Type are assigned in the Entity Surface Shape


** Refactoring

- Remove GetUserDataVray shaders (use VRay User Scalar shader instead)
- Remove trueTrigger and falseTrigger nodes (no more useful)
- Settings are now saved when loading a .cam file in the AssetsManager
- Clean the Extra Attributes panel of the plugin nodes
- Moved Windows default installation directory to "C:\Golaem"


** DevKit

- New sample to read and display the Simulation Cache


** Supported Rendering Engines

- Mental Ray For Maya (any version)
- V-Ray For Maya 2.4
- Mtoa 1.0.X
- 3Delight Studio Pro 10.0.50
- Renderman Studio 4.0




GOLAEM CROWD 3.1.1 - CHANGELOG - February 14th 2014
---------------------------------------------------

** New features

- Script behavior to execute a piece of script at each simulation update
- Loop operator (can be used to create While, DoWhile & For loops)
- Substep parameter in the Crowd Manager node to set the number of times the simulation is updated per frame
- Added cropping parameters to the Motion Clip node


** Improvements

- Entity picking is now conserved between two simulations
- Entity picking can be disabled in the Entity Surface Shape
- Added a Scale Object parameter in the Constraint behavior
- Surface Shape Render Previz mode uses the Assets Manager bounding box for culling
- Dynamics and Physicalize behaviors have been merged in the same behavior
- Golaem Crowd plugin now displays a message at loading time with version number, release date and nightly build id
- A warning is displayed if the Crowd Unit is changed after a simulation has been initialized
- Locomotion behavior displays the name and percentage of the currently played animation in the viewport
- Added a #gid# keyword for Mel/Python callbacks / scripts


** Bug fixes

- Fixed the renaming of a Motion Clip node when adding a new motion file
- Fixed the motion attributes computation in the MotionClip
- Fixed the Distance trigger (was not computing the right distance)
- Fixed a crash when deleting an animation curve on the Character Maker Locator
- Fixed a crash when disconnecting a Limb with mirror mapping in the Character Maker
- Fixed a missing footprint bug when first loading a motion in the Character Maker
- Fixed the cleaning of animation curves in the Character Maker
- Fixed the mirror mapping dialog not showing the right amount of mappable effectors in the Character Maker
- Fix Entity Ids parsing in the Simulation Cache Importer


** Refactoring

- Change default Shading Mode in Entity Surface Shape
- A trigger is now created for each exit link of the Alternative behavior
- Refactored the Orientation behavior 3d mode




GOLAEM CROWD 3.1 - CHANGELOG - January 28th 2014
------------------------------------------------

** New features

- Entity picking in the viewport
- Behavior visual debugging (status is now visible in the BehaviorEditor when picking an Entity)
- Mirror Mapping in the Character Maker
- AimAt behavior takes joint limits into account


** Improvements

- Now supports mtoa 1.0.0.1
- Entity Surface Shape now has a Shading Mode for the Render Previz display mode
- Entity Surface Shape displays more information (entity name, running behaviors, link between entity and particle...)
- Double click on Locomotion / Motion behavior enables to load several motion files at the same time (> Maya 2012)
- glmMotionExportCmd allows to export custom animCurves for footprints
- Behavior Editor Templates directory can be set with right-click
- AimAt behavior now supports Spine adaptation as well
- Added a locomotion channel in the Motion Clip to handle randomization of motion files with the same linear and angular speeds


** Bug fixes

- Fixed Motion Clip autoRename
- Fixed a crash when resetting scene containing a Locomotion behavior
- Fixed rotation bug while creating Population Tools on meshes
- Fixed huge density of bones when resetting the Physics properties of a skeleton in the Character Maker
- Fixed crash when DistanceTrigger / ZoneTrigger is used on groups
- Fixed CharacterMaker save XML Motion/Motion Mapping
- Fixed BeSetFormation wrong positions / orientations
- Fixed cylinder impostor display rotated by 180°
- Fixed crash when no target is provided is the Steer behavior
- Fixed crash if not the same number of bones in gskm and mapped IKJoint chain in the MotionLocator
- Fixed bad root orientation when entity has a Geometry behavior without any blending mode
- Fixed Entity Surface Shape diffuse textures loading
- Fixed 3Delight proxy 3d motion blur


** Refactoring

- Character Maker motion crop and blend frames are in Maya units now
- Force behavior magnitude takes the distance attributes into account


** Supported Rendering Engines

- Mental Ray For Maya (any version)
- V-Ray For Maya 2.4
- Mtoa 1.0.0.1 & Arnold 4.1.3.3 (compatible with other 1.0 versions)
- 3Delight Studio Pro 10.0.50
- Renderman Studio 4.0




GOLAEM CROWD 3.0.15 - CHANGELOG - January 3rd 2014
--------------------------------------------------

** Important notice

Due to the refactoring of render proxies, render proxies created with
previous version of Golaem Crowd should be deleted and re-created.


** New features

- Displacement is now supported in the Arnold Proxy
- Subdivision is now supported in the V-Ray Proxy
- Character Maker superuser mode (Konami™ code inside)
- Added perching management in the Flock Locator


** Improvements

- Arnold Proxy is now Katana-compliant
- V-Ray and 3delight Proxies now take an environment variable as output directory for their temporary scene file
- Dynamics Behavior has been splitted in two behaviors: Dynamics (to change the dynamics mode) and Force (to apply impulse or constant force)
- Force Behavior has a special display
- Body masks now support channels names
- Character Maker: load/save skeleton and motion files as XML
- Character Maker: reload a Maya skeleton within an existing mapping
- More verbose license check error message
- Flock Locator: obstacles detection is Maya-accelerated if obstacles are not dynamic


** Bug fixes

- Fixed the Cache Importer Exporter Tool
- Frame increment is fixed with V-Ray in batch render
- Now the frame 2 is exported as well
- Fixed double-click motion load for Behavior Motion and Locomotion
- Fixed the Renderman Studio Proxy template
- Fixed the V-Ray Proxy template
- Fixed the Parrallel Operator template
- Fixed assert in remote desktop visualization
- Fixed MotionExport command
- Fixed AdaptOrientation, Flock and Steer interactions


** Refactoring

- Motion locator now uses a Motion Clip
- Remove cached attributes from the Crowd Manager Node


** Supported Rendering Engines

- Mental Ray For Maya (any version)
- V-Ray For Maya 2.4
- Mtoa 1.0.0rc3 & Arnold 4.1.3
- 3Delight Studio Pro 10.0.50
- Renderman Studio 4.0




GOLAEM CROWD 3.0.14 - CHANGELOG - December 13th 2013
----------------------------------------------------

** Important Notice

IMPORTANT: Notice that scene compatibility has been broken between Golaem Crowd 3.0.13 and 3.0.14
Use MEL function golaemCrowd3013To3014() included in glmUpdateScene.mel (in the Golaem Samples Package)
to update your scene from Golaem Crowd 3.0.13 and 3.0.14


** New features

- Motion Clip nodes to edit motion files within a simulation (framerate, translation, rotation)
- Motion Locator node to play a motion file on a Maya character and validate assets conversion
- Displacement is now supported in the VRay Proxy
- Added obstacles management in the Flock Locator
- glmExportMotion MEL/Python command to export and modify a Motion from the CharacterMaker, a motion file and a skeleton
- glmExportMotionMapping MEL/Python command to export a Motion Mapping file
- HSL shader for 3Delight


** Improvements

- Character Maker: interface to crop motions
- Character Maker: remove ids from the UI and replace it with channel names
- Character Maker: reads joint limits information from Maya and apply them to the physics configuration
- Character Maker: displays joint limits of selected joints in the viewport
- Add an automatic Speed Ratio mode in the Motion Behavior
- 3Delight Proxy does not require RIB export anymore
- VRay Proxy now has an ObjectID attribute (for ObjectID pass)
- Behavior Editor now remembers open tabs
- Behavior Editor has a special display when errors or warnings pop
- Steer Behavior has now a special display
- Parallel Operator can now exits when a specific Behavior has ended
- Added a shortcut in the Entity Type to open its character file in the Character Maker
- Added a shortcut in the Entity Type to open its Behavior Container
- Added a shortcut in Behaviors to open their Behavior Container


** Bug fixes

- Fixed a crash related to the the Render Previz mode
- Fixed a crash when cleaning the Behavior Editor EntityTypes
- Fixed Kill list tool with all renderers
- Fixed several behaviors to take the crowdUnit into account
- Fixed surface shader calls in the 3Delight proxy
- Fixed Arnold batch render
- Fixed a display bug in the PopulationTool when created at (0,0,0)
- Fixed a display bug when loading a scene with EntityType Attributes
- Fixed a display bug when minimizing and maximizing BehaviorEditor, CharacterMaker and NavMeshCreator
- Fixed Geometry Behavior start random min and max values - they are now taken into account
- Fixed RenderID pass in the VRay Proxy


** Refactoring

- Parallel Operator Exit is no longer involved by disabled behaviors
- Character Maker: now the ground height is not shown when editing an animation
- Emit button of the Population Tool has been refactored
- Surface Shape now uses character posture for frustrum culling
- Random Trigger is now a percentage
- Change Arnold shader category




GOLAEM CROWD 3.0.13 - CHANGELOG - November 22nd 2013
----------------------------------------------------

** New features

- Golaem Crowd now supports any skeleton morphology!
- Golaem Crowd animation engine now support roll bones
- Character Maker: new nodal editor to convert skeletons in the Golaem Crowd file format
- Character Maker: new tool to edit, cyclify and convert animation clips in the Golaem Crowd file format
- New locomotion system (based on speed & orientation)
- New feet adaptation system (with full adaptation to the ground)
- Behavior Editor: Behaviors can now be disabled/enabled without removing them from the flow
- Behavior Editor: Behavior feedback (visual feedback for misconfigured Behaviors)
- Flock Behavior to simulate flocks of birds, fishes...
- Steer Behavior to make flocking Entities steering/fleeing a target with weight management
- New Population Tool Sphere shape to generate flocking Entities
- Flock Locator to define the flocking Entities environment
- Physicalize Behavior to activate/deactivate physics on the fly for each Entity
- Dynamics Behavior (was Ragdoll Behavior) can now apply a constant force in addition to an impulse
- Entity Surface Shape can display the real geometry diversity, skinning and shaders directly in the viewport
- Entity Surface Shape can display PPAttributes
- Entity Attribute Node to attach PPAttributes to EntityTypes
- Attribute Behavior to easily control Entities PPAttributes
- Crowd Render Proxy Tool shelf button to automatize Render Proxy creation
- Population Tool can gather slots to create groups of Entities
- Golaem Crowd now generates dump report when crashing


** Improvements

- Golaem Crowd now supports Viewport 2.0
- Entity Surface Shape can display Entity velocity, path and local target
